2003-05-06 06:12  rra

	* samples/moderators: fj.* is another exception.

2003-05-05 21:47  rra

	* include/Makefile: Install inn/*.h include files in
	PATHINCLUDE/inn/*.h, not inn/inn/*.h.

2003-05-05 04:13  rra

	* doc/compliance-nntp: Remove the point about articles without
	message IDs as the current draft now outlaws them entirely.  Update
	the one about OVER with bad ranges to reflect the current draft,
	and change the point about HDR with message IDs to instead note
	that the first word of the return should be 0 instead of the
	message ID.

2003-05-05 04:00  rra

	* NEWS, doc/pod/news.pod: Add a reference to the tdx-util man page
	and capitalize the changes section for the Perl and Python hooks.

2003-05-05 02:50  rra

	* INSTALL, doc/pod/install.pod: Update to reflect that INN 2.3 can
	also be upgraded using make update, and note that if using make
	update to upgrade from INN 2.3, the administrator should also look
	at the new files in samples.

2003-05-05 02:37  rra

	* Makefile: Also create PATHINCLUDE on make install.

2003-05-04 21:41  rra

	* backends/Makefile, lib/Makefile, nnrpd/Makefile,
	storage/Makefile: Update dependencies.

2003-05-04 21:40  rra

	* MANIFEST: Add nnrpd/list.c.

2003-05-04 20:52  rra

	* backends/send-uucp.in: Add the ctlinnd and shlock subs from
	controlchan.

2003-05-04 20:52  rra

	* doc/man/send-uucp.8: Add documentation for the site:host
	parameter.

2003-05-04 20:48  rra

	* CONTRIBUTORS: Add Frank McConnell.

2003-05-04 20:47  rra

	* backends/send-uucp.in: Add support for site:host specifications
	giving a different UUCP host than the name of the feed in
	newsfeeds.  Patch from Frank McConnell.

2003-05-04 20:39  rra

	* INSTALL, doc/pod/install.pod: Note that tradindexed is the most
	tested overview method.

2003-05-04 20:39  rra

	* NEWS, doc/pod/news.pod: Add a mention of ovdb instability and
	setting readserver to true in ovdb.conf.

2003-05-04 20:36  rra

	* doc/: pod/ovdb.pod, man/ovdb.5: Update somewhat, noting that ovdb
	works with version 3 and 4 now and removing the link to Heath's web
	page for current information since it's no longer current.  Mention
	under readserver that setting it may increase stability.

2003-05-03 03:31  rra

	* Makefile.global.in: Add an additional comment noting that DESTDIR
	should have a trailing slash.

2003-04-23 12:33  alexk

	* history/hisv6/hisv6.c: hisv6_seterror should be private

2003-04-23 12:33  alexk

	* frontends/ovdb_server.c: Fix sillies which stop ovdb_server
	starting

2003-04-20 19:04  vinocur

	* backends/Makefile, contrib/Makefile, control/Makefile,
	expire/Makefile, frontends/Makefile, history/Makefile,
	include/Makefile, innfeed/Makefile, samples/Makefile,
	scripts/Makefile, storage/Makefile: Add rules for erroring usefully
	if ./configure has not been run.

2003-04-20 13:32  alexk

	* storage/ovdb/ovdb.c: Fix a stupid operator precedence bug -
	hopefully fixes 3.2.9

2003-04-17 05:42  kondou

	* innd/art.c: trashed article is now recorded like 2.3

2003-04-16 21:53  rra

	* TODO: Add to bugs that innd returns 437 instead of 2xx to
	articles accepted but filed into junk.

2003-04-16 05:46  rra

	* include/inn/buffer.h: Include <inn/defines.h> for BEGIN_DECLS.

2003-04-15 03:43  rra

	* tests/lib/list-t.c: Terminate the initial comment to avoid a
	warning.

2003-04-14 22:20  rra

	* MANIFEST, tests/overview/tradindexed-t.c,
	tests/overview/data/high-numbered: Add a test for a search starting
	with article 1 in a group where the lowest numbered article is high
	enough that the base of the data file will be higher than 1.  This
	is a regression test for a now-fixed bug.

2003-04-09 16:31  alexk

	* frontends/ovdb_init.c, storage/ovdb/ovdb.c: Fix database upgrades
	- tested for 3.0.55 to 4.1.25. We follow the process which the
	Berkeley DB tools use - recover the database with a private
	environment, remove the existing environment, then upgrade each of
	the databases.

2003-04-09 04:27  rra

	* tests/lib/.cvsignore: Ignore list.t.

2003-04-09 04:27  rra

	* storage/tradindexed/.cvsignore: Also ignore .pure.

2003-04-09 04:16  rra

	* storage/tradindexed/tdx-util.c: When dumping overview, increase
	the reference count on the open overview data struct so that
	closing the open search doesn't free it underneath us.

2003-04-09 03:11  alexk

	* frontends/ovdb_init.c: Fix compilation on Berkeley DB 3.0.55

2003-04-09 01:40  rra

	* storage/tradindexed/tdx-data.c: Set the initial search->current
	correctly when the low mark of the search is less than the base of
	the group.

2003-04-09 00:59  rra

	* frontends/ovdb_init.c: Make the upgrade compile with BerkeleyDB
	v2 (I'm not sure if it does the right thing).

2003-04-08 17:23  alexk

	* storage/ovdb/ovdb.c: If c_get indicates we've reached the end,
	drop out of the loop

2003-04-08 14:12  alexk

	* storage/ovdb/ovdb.c: Return without doing anything in
	delete_all_records if we nothing matches our partial range, add in
	logging so we can see what went on in the error cases, avoid
	logging in the deadlock case. Make delete_old_stuff transactional
	(because we open groupinfo transactionally).

2003-04-07 11:17  alexk

	* storage/ovdb/ovdb.c: 4.1 needs groupinfo opened transactionally

2003-04-06 21:50  rra

	* MANIFEST, doc/man/active.5, doc/man/active.times.5,
	doc/man/distrib.pats.5, doc/man/expire.ctl.5, doc/pod/Makefile,
	doc/pod/active.pod, doc/pod/active.times.pod,
	doc/pod/distrib.pats.pod, doc/pod/expire.ctl.pod: Convert some more
	manual pages to POD and update and check the documentation
	somewhat.

2003-04-06 19:03  rra

	* storage/ovdb/ovdb.c: Free cursors before aborting transactions.

2003-04-05 03:01  rra

	* storage/ovdb/ovdb.c: Avoid an unused variable warning for
	versions of BerkeleyDB prior to v4.

2003-04-04 16:47  vinocur

	* doc/: hook-python, pod/hook-python.pod: Fix typo

2003-04-03 05:10  rra

	* TODO: Move lots of open bugs and requests from my e-mail into
	somewhere slightly more generally useful.

2003-04-03 05:02  rra

	* frontends/inews.c: When generating a Date header, use local time
	rather than UTC.  Patch from Yar Tikhiy.

2003-04-03 00:54  rra

	* MANIFEST, doc/pod/Makefile, doc/pod/simpleftp.pod,
	doc/man/simpleftp.1: Document that simpleftp is not -w clean, and
	rewrite the short man page in POD while I'm at it.

2003-04-03 00:26  rra

	* INSTALL, doc/pod/install.pod: Use correct terminology for block
	devices (rather than raw partitions, which is something slightly
	different), and de-emphasize them slightly since it's not clear
	they're really *that* much of a win.

2003-04-01 06:07  rra

	* innd/innd.c: -m t also disabled readers when readerswhenstopped
	was set, and did not disable readers when it wasn't, the opposite
	of what it should do.  Reported by John Wehle.

2003-03-29 18:22  rra

	* include/Makefile: Use PUBLIC instead of INSTALL as the variable
	for the headers to install, since otherwise we override the path to
	the install script.

2003-03-28 08:13  rra

	* include/Makefile: Install the header files, by popular request,
	even though the interface isn't stable yet (and unfortunately for
	right now we have to install config.h as well).

2003-03-28 08:10  rra

	* Makefile.global.in: Add PATHINCLUDE.

2003-03-28 07:23  rra

	* site/.cvsignore: Also ignore update.

2003-03-28 01:52  rra

	* innd/keywords.c, innfeed/buffer.c, storage/expire.c,
	storage/buffindexed/buffindexed.c, storage/cnfs/cnfs.c: strlcpy
	cannot be used with strings that may not be nul-terminated.

2003-03-28 01:16  rra

	* expire/makehistory.c: Can't use strlcpy when the source argument
	is not a nul-terminated string, even if the length argument is less
	than the valid length of the string.  This should fix the core
	dumps in makehistory when using CNFS.

2003-03-27 23:56  rra

	* storage/: interface.c, tradspool/tradspool.c: Convince
	MatchGroups to always handle either Xref or Newsgroups headers
	rather than changing its behavior based on storeonxref, since the
	merged behavior is safe for either type of header.
	
	Fix tradspool_next, which was broken in all sorts of interesting
	ways.  It's good to allocate memory before using it, and the first
	word of the Xref header is not a newsgroup.  Use the Newsgroups
	header for determining the storage class of articles without Xref
	headers even if storeonxref is true, which should make some of the
	mysteriously missing articles after makehistory show up again and
	get rid of some of the errors about being unable to find a storage
	class go away.	This fix should also prevent some duplicate message
	IDs in history after running makehistory.

2003-03-23 23:36  vinocur

	* doc/man/news.daily.8: "delayrm" does not actually imply
	"expireover" (since fastrm can be used for both expire and
	expireover)

2003-03-19 00:19  vinocur

	* doc/: pod/innd.pod, man/innd.8: inn.conf parameter logartsize:
	was incorrectly called logsize:

2003-03-13 09:22  alexk

	* frontends/ovdb_init.c, storage/ovdb/ovdb-private.h,
	storage/ovdb/ovdb.c: Add code so upgrades which need an environment
	upgrade work, make delete_all_records transactional

2003-03-12 09:25  rra

	* scripts/innupgrade.in: Strip trailing whitespace from attributes
	before deciding whether to quote them.

2003-03-11 14:28  alexk

	* frontends/ovdb_stat.c: Fix up multiple core dumps

2003-03-10 04:41  rra

	* samples/control.ctl: Comment out the ka.* lines by default since
	the hierarchy is private.

2003-03-10 01:40  rra

	* nnrpd/nnrpd.c: Move timer and stats initialization before
	SetupDaemon so that exits from SetupDaemon don't print non-sensical
	results.

2003-03-10 00:03  rra

	* doc/man/Makefile: There is no sm.8 manual page.

2003-03-10 00:01  rra

	* TODO: Add a note about the buggy handling of Xref slaving when
	the active files are out of sync, and some possible solutions.

2003-03-09 01:31  rra

	* innd/art.c: Set the length of ControlWord to SMBUF as it is in
	STABLE, since otherwise the newsgroup name gets truncated when
	ignorenewsgroups processing is enabled.

2003-03-04 11:21  alexk

	* include/ov.h, storage/overdata.c, nnrpd/Makefile,
	nnrpd/commands.c, nnrpd/list.c: Remove last vestiges of intimate
	`overview.fmt' knowledge from nnrpd. Add in a new overview
	interface overview_fields which gets a vector of the standard
	fields. Split out the `LIST' code into a separate file and then use
	the data structures from overview_fields() and
	overview_extra_fields to satisfy `LIST OVERVIEW.FMT'.

2003-03-03 15:32  alexk

	* nnrpd/python.c: If the python interpreter fails to initialise,
	don't free things which haven't been created during exit

2003-03-02 05:50  rra

	* backends/news2mail.in: Allow for mta settings that contain
	spaces.

2003-02-28 15:32  kondou

	* innd/art.c: Fix compilation error

2003-02-28 00:05  kondou

	* doc/: man/cycbuff.conf.5, pod/cycbuff.conf.pod: Fix bs unit in an
	example of 'dd ...' line

2003-02-27 22:42  kondou

	* innd/art.c: Fix generating site (Path element) shown in
	$pathlog/news and also as a result of 'Ws' in newsfeeds if
	logipaddr is set to true

2003-02-22 00:18  rra

	* samples/control.ctl: Update is.* information.

2003-02-21 15:33  alexk

	* innd/perl.c: INN::head used an undefined value for token

2003-02-21 11:15  alexk

	* storage/ovdb/ovdb.c: version database is used
	non-transactionally, so don't open it inside a transaction

2003-02-21 06:41  alexk

	* innd/art.c: MadeOverview was a dead variable

2003-02-18 12:03  kondou

	* storage/cnfs/cnfs.c: Fix incorrect left space calculation of
	cycbuff

2003-02-17 11:19  alexk

	* nnrpd/article.c: HAVE_SSL branch was calling writev not xwritev
	so partial writes were aborting the server

2003-02-15 22:04  rra

	* expire/makehistory.c: More fallout from cleanup.  wire_findheader
	now doesn't take a length argument, so we can't cheat and have
	colons at the ends of the header names and then subtlely ignore
	them everywhere.  STRLEN and strlen did the same thing everywhere
	except when applied to a character array containing two NUL
	characters.

2003-02-15 20:35  rra

	* storage/expire.c: Fix incorrect transformation of NEW to xmalloc
	that left off the multiplier for the number of structs to allocate.
	 This was causing memory clobbers and segfaults during expire.

2003-02-13 13:47  alexk

	* innd/: art.c, innd.c, innd.h, site.c: Move AddAlias and
	Hassamepath from global variables into ARTDATA

2003-02-12 23:12  rra

	* storage/cnfs/cnfs.c: Use an off_t to store the difference between
	two off_t's.  Patch from Miquel van Smoorenburg.

2003-02-11 18:23  rra

	* support/: config.guess, config.sub: Import of config.* version
	2003-02-03

2003-02-11 18:21  rra

	* LICENSE: Update copyright date.

2003-02-11 09:40  alexk

	* backends/innxmit.c: inn/timer.h was missing so TMRnow_double was
	undeclared

2003-02-11 09:08  alexk

	* storage/ovdb/ovdb.c: Sigh... actually *use* the transaction as
	well as opening it :(

2003-02-11 06:48  alexk

	* innd/: art.c, innd.c, innd.h, perl.c, python.c: Convert ARTHEADER
	to const everywhere

2003-02-11 05:17  alexk

	* storage/ovdb/ovdb.c: On 4.1 and above we need to wrap the
	DB->open calls in transactions

2003-02-11 05:09  alexk

	* innd/innd.h: Delete dead global variables

2003-02-10 19:25  rra

	* MANIFEST, NEWS, backends/Makefile, doc/pod/news.pod: Also retire
	sendbatch in favor of the new send-uucp.

2003-02-10 03:28  rra

	* doc/hook-python, doc/pod/hook-python.pod, nnrpd/group.c,
	nnrpd/misc.c, nnrpd/nnrpd.h, nnrpd/perm.c, nnrpd/post.c,
	nnrpd/python.c: Provide all of the attributes available to the
	external authentication mechanism to the nnrpd python auth, access
	and dynamic hooks.  Patch from Erik Klavon.

2003-02-10 03:21  rra

	* doc/hook-perl, doc/pod/hook-perl.pod, nnrpd/nnrpd.h,
	nnrpd/perl.c, nnrpd/perm.c: Provide all of the attributes available
	to the external authentication mechanism to the nnrpd perl auth and
	access hooks.  Patch from Erik Klavon.

2003-02-10 03:17  rra

	* doc/: hook-perl, pod/hook-perl.pod: Document that perl_access
	should only be used once per access group and should not be
	combined with python_access.

2003-02-10 03:15  rra

	* scripts/innupgrade.in: If connected to a tty and the .OLD file
	already exists, prompt the user for whether they want to overwrite
	the backup.

2003-02-10 02:44  rra

	* CONTRIBUTORS, NEWS, doc/pod/news.pod: Add a mention of the new
	send-uucp.

2003-02-10 02:39  rra

	* LICENSE, MANIFEST, TODO, backends/Makefile,
	backends/send-uucp.in, doc/man/Makefile, doc/man/send-nntp.8,
	doc/man/send-uucp.8: Incorporate send-uucp from Marco d'Itri, based
	on work by Edvard Tuinder and Miquel van Smoorenburg, replacing the
	old shell version.  Generate its man page from the included POD
	documentation, and move the old man page that was for send-uucp,
	send-nntp, and send-ihave to send-nntp.8, stripping out the
	mentions of send-uucp.

2003-02-10 02:02  rra

	* TODO: Check message IDs in nnrpd before remailing a message to a
	moderator.

2003-02-10 01:49  rra

	* nnrpd/post.c: Add Injector-Info to the list of headers that the
	client can't set on posting (this doesn't change the Perl filter).

2003-02-10 01:38  rra

	* samples/innfeed.conf, innfeed/innfeed.h: Increase the default
	value for close-period to a day rather than an hour.  Modern
	servers deal fine with persistant NNTP connections, and other
	server software like Cyclone has been doing this for years.  No
	need to thrash the connections all the time.

2003-02-10 01:36  rra

	* samples/innfeed.conf: Lower max-queue-size to 5 from 25 to match
	the default that's in the innfeed source.  Larger numbers can be
	faster, but can also cause a lot of memory bloat under some
	circumstances.

2003-02-10 01:33  rra

	* nnrpd/: article.c, line.c, nnrpd.c: Remove the
	get_last_socket_error calls, which are unneeded and which fail
	under OpenSSL 0.9.7.  Reported by Marco d'Itri.

2003-02-10 01:32  rra

	* nnrpd/python.c: Clean up some warnings; there are still lots more
	left.

2003-02-10 01:24  rra

	* innd/chan.c: On channel close, don't wake up channels that seem
	to correspond to the same host unless they're NNTP channels.  This
	patch seems to fix the occasional problem that people have seen
	with SITEreader being called, indicating that non-NNTP channels are
	showing up in the select read mask.

2003-02-09 19:02  rra

	* scripts/innreport_inn.pm: Ignore the messages from SEQUENTIAL
	rollover.

2003-02-03 05:48  vinocur

	* MANIFEST: List contrib/backlogstat.in

2003-02-03 05:46  vinocur

	* contrib/README: Add an entry for backlogstat.

2003-02-03 05:45  vinocur

	* doc/: hook-python, man/inn.conf.5, man/readers.conf.5,
	pod/hook-python.pod, pod/inn.conf.pod, pod/readers.conf.pod:
	Assorted proofreading of Python hook documentation

2003-02-03 00:59  rra

	* CONTRIBUTORS: Add to Erik Klavon's entry.

2003-02-03 00:58  rra

	* MANIFEST, NEWS, doc/hook-python, doc/man/inn.conf.5,
	doc/man/readers.conf.5, doc/pod/hook-python.pod,
	doc/pod/inn.conf.pod, doc/pod/news.pod, doc/pod/readers.conf.pod,
	include/inn/innconf.h, lib/innconf.c, nnrpd/commands.c,
	nnrpd/group.c, nnrpd/misc.c, nnrpd/nnrpd.c, nnrpd/nnrpd.h,
	nnrpd/perl.c, nnrpd/perm.c, nnrpd/post.c, nnrpd/python.c,
	samples/inn.conf.in, samples/nnrpd_access_wrapper.py,
	samples/nnrpd_auth.py, samples/nnrpd_auth_wrapper.py,
	samples/nnrpd_dynamic_wrapper.py: Integrate the Python
	authentication hooks for nnrpd into readers.conf in the same way
	that the Perl authentication hooks are now integrated, with a new
	mechanism to support dynamic access control with Python hooks. 
	Patch from Erik Klavon.

2003-02-02 23:40  rra

	* frontends/rnews.c: Fix locking of files during rnews -U,
	converting the reading of files to use read directly rather than
	stdio so that stdio doesn't play with the file descriptor and break
	locking.  Patch from Miquel van Smoorenburg.

2003-02-02 21:51  rra

	* README, doc/pod/readme.pod: Update the URL for CleanFeed.

2003-02-02 21:48  rra

	* CONTRIBUTORS: Add Winfried Szukalski.

2003-02-02 20:20  rra

	* INSTALL, doc/pod/install.pod: Add Mac OS X to the list of working
	platforms.

2003-02-02 19:12  rra

	* samples/control.ctl: Update information for chile.* and add an
	admin group for at.*.

2003-02-01 21:42  rra

	* configure, configure.in: Make sure that INEWSMODE and RNEWSMODE
	always have leading zeroes, since otherwise inncheck gets confused.

2003-02-01 21:23  rra

	* nnrpd/post.c: Posts with Followup-To set to a moderated group
	were incorrectly being rejected if the user didn't have the ability
	to approve postings.  Fixed.

2003-01-30 09:35  alexk

	* frontends/ovdb_init.c, frontends/ovdb_monitor.c,
	frontends/ovdb_stat.c, storage/ovdb/ovdb.c, configure,
	configure.in: Update for Berkeley DB 4.1

2003-01-28 18:39  rra

	* frontends/rnews.c: Flush after sending the message to the server.

2003-01-23 19:12  rra

	* lib/inndcomm.c: Fix a bug introduced by the strlcpy conversion; a
	pointer was no longer being advanced the way that it was supposed
	to be.	Also adjust the buffer size for the command buffer to take
	into account the header.

2003-01-22 01:22  rra

	* nnrpd/misc.c: Fix some problems introduced by the xstrdup cleanup
	in Argify.  i used to have the length of the string, but now that
	we're using xstrdup, we didn't need that value any more, so i was
	being used uninitialized.

2003-01-21 09:19  alexk

	* storage/tradindexed/tdx-group.c: Separate out group.index open
	into file_open_group_index (so we can use it if we discover its
	stale). Add in ESTALE checks where we already fstat, and force
	extra ESTALE checks when nfsreader. When nfsreader add an
	invalidate in tdx_index_entry to force the data to be read from
	disk.

2003-01-21 09:14  alexk

	* storage/tradindexed/tdx-data.c: Add new routines - unmap_index,
	unmap_data analagous to map_index, map_data.  Add in checks for
	ESTALE where we already fstat and explicit stale checks when we're
	running as nfsreader

2003-01-21 06:39  alexk

	* nnrpd/nnrpd.c: Don't tls_init() early in DaemonMode - if you
	build a TLS enabled nnrpd but don't have certificates (i.e. you're
	not actually going to ever go TLS) then the server will fail on
	startup.

2003-01-21 06:37  alexk

	* nnrpd/newnews.c: Fix SIGSEGV in newnews when it gets a corrupt
	overview (too few fields)

2003-01-21 06:34  alexk

	* nnrpd/article.c: Pass in the final (ARTICLE/BODY) use of an
	article indicator to the cache

2003-01-21 06:31  alexk

	* nnrpd/: cache.c, cache.h: Change the cache handling so we have
	two LRU lists... as messages are read with HEAD we move them to the
	tail of the "unused" list, as they're read with ARTICLE/BODY we
	move them to a "used" list. This way we hopefully catch most client
	access patterns.

2003-01-21 06:25  alexk

	* MANIFEST, doc/man/list.3, doc/pod/list.pod, include/inn/list.h,
	lib/list.c, tests/lib/list-t.c, lib/Makefile, tests/Makefile,
	tests/TESTS, doc/man/Makefile, doc/pod/Makefile: Add list
	manipulation routines

2003-01-20 21:32  rra

	* storage/cnfs/cnfs.c: Add casts or temporary variables as
	necessary to clean up all of the integer promotions in various size
	and length comparisons.  This code still needs a thorough cleanup.

2003-01-19 23:07  rra

	* contrib/.cvsignore: Ignore backlogstat and reset-cnfs.

2003-01-19 23:06  rra

	* contrib/Makefile: Add rules for reset-cnfs.

2003-01-19 23:00  vinocur

	* contrib/: Makefile, backlogstat.in: Add a tool to analyze
	innfeed's backlog, from bill davidsen <davidsen@tmr.com>

2003-01-19 22:56  rra

	* backends/buffchan.c, innd/ng.c, lib/parsedate.y, nnrpd/post.c,
	storage/expire.c: Remove SUPPRESS comments for lint.

2003-01-19 22:32  rra

	* contrib/newsresp.c: Don't define FD_SETSIZE; we don't use it
	anyway.

2003-01-19 22:32  rra

	* contrib/Makefile: pullart needs LIBINN for strlcpy.

2003-01-19 22:13  vinocur

	* NEWS, doc/pod/news.pod: Some revisions to the 2.3-2.4
	differences, mostly providing references to the relevant parts of
	the documentation for further details.

2003-01-19 22:12  vinocur

	* HACKING: Autogenerated documentation fell out of sync.

2003-01-19 22:10  vinocur

	* doc/: man/readers.conf.5, pod/readers.conf.pod: Explicitly
	identify the behavior of newsgroups:, read:, and post: not
	appearing in an access group.

2003-01-19 21:36  rra

	* lib/parsedate.y: Rename yymaxdepth to not conflict with other
	yacc parsers.

2003-01-19 20:58  rra

	* history/his.c, innd/chan.c, innd/icd.c, innd/newsfeeds.c,
	innfeed/buffer.c, innfeed/imap_connection.c, nnrpd/perm.c,
	storage/buffindexed/buffindexed.c, storage/ovdb/ovdb.c,
	storage/timecaf/caf.c: Replace xmalloc/memset pairs with xcalloc.

2003-01-19 19:58  rra

	* authprogs/radius.c, authprogs/smbval/smblib.c,
	backends/innxmit.c, expire/fastrm.c, frontends/ctlinnd.c,
	frontends/inews.c, frontends/ovdb_server.c, innd/art.c,
	innd/inndstart.c, innd/lc.c, innd/python.c, innd/rc.c,
	innd/status.c, innfeed/host.c, innfeed/innlistener.c,
	innfeed/main.c, lib/clientlib.c, lib/getfqdn.c, lib/getmodaddr.c,
	lib/localopen.c, lib/vector.c, nnrpd/article.c, nnrpd/newnews.c,
	nnrpd/nnrpd.c, nnrpd/perm.c, storage/cnfs/cnfs.c,
	storage/ovdb/ovdb.c, storage/tradindexed/tdx-data.c: Use strlcpy
	and strlcat instead of strcpy and strcat everywhere that it's
	feasible.

2003-01-19 19:57  rra

	* storage/expire.c: Use concat instead of xmalloc/strcpy/strcat.

2003-01-19 19:55  rra

	* nnrpd/misc.c: Replace an xmalloc/strcpy with xstrdup and replace
	other uses of strcpy with strlcpy and strlcat.

2003-01-19 19:55  rra

	* nnrpd/post.c: Fix a bug that was introduced by earlier sprintf
	conversion, changing snprintf back to sprintf since the size of the
	buffer isn't available.  Use strlcat and strlcpy instead of strcat
	and strcpy.

2003-01-19 19:52  rra

	* nnrpd/cache.c: Use xmalloc instead of malloc.

2003-01-19 19:50  rra

	* lib/inndcomm.c: Use xmalloc instead of malloc and strlcpy and
	strlcat instead of strcpy and strcat.

2003-01-19 19:48  rra

	* innfeed/connection.c: Use snprintf instead of sprintf and strlcpy
	instead of strcpy.

2003-01-19 19:47  rra

	* innfeed/misc.c: Use xmalloc instead of malloc and strlcpy instead
	of strcpy.

2003-01-19 19:47  rra

	* innfeed/imap_connection.c: Clean up a whole bunch of string
	handling code, using xmalloc and xrealloc instead of malloc and
	realloc, removing checks on the return status that are no longer
	needed, using xstrdup instead of malloc/strcpy, replacing calls to
	sprintf with snprintf, and using strlcpy and strlcat instead of
	strcpy and strcat.  Some parts of this still need work.

2003-01-19 19:43  rra

	* innfeed/configfile.y: Reorganize some code in order to allow use
	of strlcpy and strlcat instead of strcpy and strcat.  Use xmalloc
	and xrealloc instead of malloc and realloc, and replace one sprintf
	call with concat.

2003-01-19 19:42  rra

	* innfeed/: config_l.c, configfile.l: Use xmalloc and xrealloc
	instead of malloc and realloc and regenerate with the current
	Debian flex.

2003-01-19 19:40  rra

	* innd/site.c: Use strlcpy and strlcat instead of strcpy and
	strcat, and replace some sprintf calls with snprintf.

2003-01-19 19:38  rra

	* innd/keywords.c: Use xmalloc instead of malloc and don't check
	the return value of xstrdup since we're guaranteed that it will
	always succeed.

2003-01-19 19:36  rra

	* history/his.c: Use xmalloc instead of malloc when initializing
	the cache.

2003-01-19 19:33  rra

	* contrib/auth_pass.c: Use standard INN includes rather than
	including standard system headers directly, and use strlcpy instead
	of strcpy.

2003-01-19 19:30  rra

	* authprogs/ckpasswd.c: Add a comment explaining why malloc and
	strdup are used here.

2003-01-19 19:22  rra

	* lib/dbz.c: Replace enstring with concat or xstrdup.

2003-01-19 04:13  rra

	* authprogs/radius.c, authprogs/smbval/smbencrypt.c,
	backends/archive.c, contrib/auth_pass.c, contrib/pullart.c,
	expire/fastrm.c, expire/makehistory.c, frontends/inews.c,
	frontends/rnews.c, innd/art.c, innd/keywords.c, innd/perl.c,
	innd/python.c, innd/rc.c, innd/util.c, innfeed/buffer.c,
	innfeed/misc.c, lib/clientlib.c, lib/getfqdn.c, nnrpd/commands.c,
	nnrpd/group.c, nnrpd/misc.c, nnrpd/nnrpd.c, nnrpd/perl.c,
	nnrpd/perm.c, nnrpd/post.c, storage/expire.c,
	storage/buffindexed/buffindexed.c, storage/cnfs/cnfs.c,
	storage/ovdb/ovdb.c, storage/timecaf/caf.c,
	storage/tradspool/tradspool.c: Replace many uses of strncpy with
	strlcpy instead.  Replace some of them after xmalloc with calls to
	xstrndup.  Replace all calls to strncat with strlcat.  The
	remaining calls to strncpy in the INN source tree all appear to be
	relying on the semantics of strncpy (some, for example, don't want
	nul-termination).

2003-01-19 01:17  rra

	* TODO: macros.h is no more.

2003-01-19 01:16  rra

	* MANIFEST: macros.h has been removed.

2003-01-19 01:15  rra

	* authprogs/Makefile, authprogs/ident.c, authprogs/radius.c,
	backends/Makefile, backends/actsync.c, backends/archive.c,
	backends/batcher.c, backends/buffchan.c, backends/crosspost.c,
	backends/cvtbatch.c, backends/filechan.c, backends/innxbatch.c,
	backends/innxmit.c, backends/map.c, backends/nntpget.c,
	backends/overchan.c, backends/shrinkfile.c, contrib/respool.c,
	doc/pod/hacking.pod, expire/Makefile, expire/expire.c,
	expire/expireover.c, expire/fastrm.c, expire/grephistory.c,
	expire/makedbz.c, expire/makehistory.c, frontends/Makefile,
	frontends/ctlinnd.c, frontends/feedone.c, frontends/getlist.c,
	frontends/inews.c, frontends/ovdb_server.c, frontends/ovdb_stat.c,
	frontends/rnews.c, frontends/sys2nf.c, history/Makefile,
	history/his.c, history/hisv6/hisv6-private.h, include/libinn.h,
	innd/Makefile, innd/innd.h, innd/inndstart.c, innd/keywords.c,
	innfeed/Makefile, innfeed/imap_connection.c,
	innfeed/startinnfeed.c, lib/Makefile, lib/cleanfrom.c,
	lib/clientactive.c, lib/conffile.c, lib/confparse.c, lib/date.c,
	lib/dbz.c, lib/defdist.c, lib/genid.c, lib/getmodaddr.c,
	lib/hash.c, lib/hashtab.c, lib/innconf.c, lib/inndcomm.c,
	lib/localopen.c, lib/parsedate.y, lib/perl.c, lib/qio.c,
	lib/readin.c, lib/reservedfd.c, lib/resource.c, lib/sendpass.c,
	lib/wire.c, nnrpd/Makefile, nnrpd/nnrpd.h, nnrpd/perl.c,
	storage/Makefile, storage/expire.c, storage/interface.c,
	storage/ov.c, storage/overdata.c,
	storage/buffindexed/buffindexed.c, storage/cnfs/cnfs.c,
	storage/ovdb/ovdb.c, storage/timecaf/caf.c,
	storage/timecaf/timecaf.c, storage/timehash/timehash.c,
	storage/tradspool/tradspool.c: Move ISWHITE from macros.h to
	libinn.h and remove macros.h.  Remove the include of macros.h
	globally, and regenerate all dependencies.

2003-01-19 00:53  rra

	* include/inndcomm.h: Move RECVorREAD into inndcomm.h from macros.h
	since only the ctlinnd interface code uses it.

2003-01-19 00:47  rra

	* TODO: Remove various cleanups that have been done.

2003-01-19 00:42  rra

	* nnrpd/: article.c, perm.c: Simplify idle timing by using
	TMRnow_double and manipulating times as doubles rather than using
	gettimeofday and then copying the results into a TIMEINFO struct.

2003-01-19 00:41  rra

	* nnrpd/nnrpd.c, backends/batcher.c, backends/innxbatch.c,
	backends/innxmit.c: Use TMRnow_double instead of GetTimeInfo and
	TIMEINFOasDOUBLE.

2003-01-19 00:39  rra

	* lib/timer.c, include/inn/timer.h: Add a new TMRnow_double
	function to return the current time as a double.  (We'll want to
	revamp the timer interface at some point, at which time I can try
	to come up with a less ugly name for this function.)

2003-01-18 22:26  rra

	* backends/buffchan.c, expire/expire.c, frontends/ctlinnd.c,
	frontends/inews.c, frontends/rnews.c, frontends/sys2nf.c,
	include/clibrary.h, innd/art.c, innd/cc.c, innd/nc.c,
	innd/python.c, innd/site.c, lib/date.c, lib/innconf.c,
	lib/parsedate.y, nnrpd/post.c, storage/expire.c,
	storage/overdata.c, tests/lib/date-t.c, tests/lib/md5-t.c,
	tests/lib/snprintf-t.c: Move ARRAY_SIZE and ARRAY_END into
	clibrary, with the same definitions as the old SIZEOF and ENDOF in
	macros.h.  Change all usages of SIZEOF to ARRAY_SIZE and ENDOF to
	ARRAY_END.

2003-01-18 22:25  rra

	* lib/strerror.c: Use a better trick to avoid conflicting with the
	system declarations of sys_errlist on glibc systems while testing.

2003-01-18 21:58  rra

	* backends/innxmit.c, backends/nntpget.c, expire/makehistory.c,
	frontends/feedone.c, innd/art.c, innd/cc.c, innd/chan.c,
	innd/icd.c, innd/nc.c, innd/rc.c, innd/site.c, lib/clientactive.c,
	lib/getmodaddr.c: Replace all uses of STRLEN with strlen; a good
	compiler will optimize strlen on a constant string anyway.

2003-01-18 08:37  rra

	* backends/batcher.c, backends/buffchan.c, backends/crosspost.c,
	backends/innxmit.c, backends/map.c, backends/nntpget.c,
	backends/overchan.c, expire/expire.c, expire/expireover.c,
	expire/fastrm.c, expire/makedbz.c, expire/makehistory.c,
	frontends/ctlinnd.c, frontends/feedone.c, frontends/getlist.c,
	frontends/inews.c, frontends/sys2nf.c, innd/art.c, innd/cc.c,
	innd/icd.c, innd/inndstart.c, innd/nc.c, innd/ng.c, innd/rc.c,
	innd/site.c, lib/clientactive.c, lib/conffile.c, lib/confparse.c,
	lib/genid.c, lib/getmodaddr.c, lib/sendpass.c, nnrpd/article.c,
	nnrpd/commands.c, nnrpd/group.c, nnrpd/newnews.c, nnrpd/nnrpd.c,
	nnrpd/perl.c, nnrpd/perm.c, nnrpd/post.c, storage/expire.c,
	storage/interface.c, storage/buffindexed/buffindexed.c,
	storage/ovdb/ovdb.c: Replace all uses of EQ, EQn, caseEQ, and
	caseEQn with strcmp, strncmp, strcasecmp, and strncasecmp, compared
	with 0.

2003-01-14 06:03  rra

	* TODO, authprogs/smbval/rfcnb-io.c, authprogs/smbval/rfcnb-util.c,
	authprogs/smbval/session.c, authprogs/smbval/smblib-priv.h,
	backends/actsync.c, backends/archive.c, backends/batcher.c,
	backends/buffchan.c, backends/crosspost.c, backends/cvtbatch.c,
	backends/filechan.c, backends/innxbatch.c, backends/innxmit.c,
	backends/nntpget.c, backends/shlock.c, backends/shrinkfile.c,
	doc/man/dbz.3, doc/man/libinn.3, doc/man/libstorage.3,
	doc/man/storage.conf.5, expire/expire.c, expire/makedbz.c,
	expire/makehistory.c, expire/prunehistory.c, frontends/ctlinnd.c,
	frontends/feedone.c, frontends/inews.c, frontends/ovdb_init.c,
	frontends/ovdb_stat.c, frontends/rnews.c, frontends/sys2nf.c,
	history/his.c, include/ppport.h, include/inn/defines.h, innd/art.c,
	innd/cc.c, innd/chan.c, innd/icd.c, innd/innd.c, innd/innd.h,
	innd/lc.c, innd/nc.c, innd/newsfeeds.c, innd/ng.c, innd/perl.c,
	innd/proc.c, innd/python.c, innd/rc.c, innd/site.c, innd/tcl.c,
	innd/util.c, innd/wip.c, innfeed/host.c, innfeed/main.c,
	lib/conffile.c, lib/dbz.c, lib/inndcomm.c, lib/makedir.c,
	lib/perl.c, lib/readin.c, lib/reservedfd.c, lib/uwildmat.c,
	nnrpd/article.c, nnrpd/commands.c, nnrpd/group.c, nnrpd/misc.c,
	nnrpd/newnews.c, nnrpd/nnrpd.c, nnrpd/perl.c, nnrpd/perm.c,
	nnrpd/post.c, nnrpd/python.c, nnrpd/tls.c, nnrpd/track.c,
	storage/expire.c, storage/interface.c, storage/ov.c,
	storage/buffindexed/buffindexed.c, storage/cnfs/cnfs.c,
	storage/ovdb/ovdb.c, storage/timecaf/caf.c,
	storage/timecaf/timecaf.c, storage/timehash/timehash.c,
	storage/tradindexed/tradindexed.c, storage/tradspool/tradspool.c,
	storage/trash/trash.c: Replace TRUE with true and FALSE with false
	everywhere and remove the code to define TRUE and FALSE.

2003-01-14 02:49  rra

	* HACKING, TODO, authprogs/radius.c, backends/actsync.c,
	backends/archive.c, backends/batcher.c, backends/buffchan.c,
	backends/cvtbatch.c, backends/innxbatch.c, backends/innxmit.c,
	backends/map.c, backends/nntpget.c, contrib/respool.c,
	doc/pod/hacking.pod, expire/expire.c, expire/makedbz.c,
	expire/makehistory.c, frontends/ctlinnd.c, frontends/inews.c,
	frontends/ovdb_server.c, frontends/rnews.c, frontends/sys2nf.c,
	history/hisv6/hisv6.c, innd/art.c, innd/cc.c, innd/chan.c,
	innd/icd.c, innd/innd.c, innd/keywords.c, innd/lc.c, innd/nc.c,
	innd/newsfeeds.c, innd/ng.c, innd/perl.c, innd/proc.c,
	innd/python.c, innd/rc.c, innd/site.c, innd/status.c, innd/util.c,
	innd/wip.c, innfeed/imap_connection.c, lib/conffile.c, lib/dbz.c,
	lib/defdist.c, lib/inndcomm.c, lib/perl.c, lib/readin.c,
	lib/reservedfd.c, nnrpd/article.c, nnrpd/commands.c, nnrpd/group.c,
	nnrpd/misc.c, nnrpd/newnews.c, nnrpd/nnrpd.c, nnrpd/perl.c,
	nnrpd/perm.c, nnrpd/post.c, nnrpd/python.c, nnrpd/sasl_config.c,
	storage/expire.c, storage/interface.c, storage/ov.c,
	storage/buffindexed/buffindexed.c, storage/cnfs/cnfs.c,
	storage/ovdb/ovdb.c, storage/timecaf/caf.c,
	storage/timecaf/timecaf.c, storage/timehash/timehash.c,
	storage/tradspool/tradspool.c: Change all references to NEW to
	xmalloc, COPY to xstrdup, RENEW to xrealloc, and DISPOSE to free,
	making the required transformation for NEW and RENEW.

2003-01-13 08:12  rra

	* TODO: innfeed now has an option to feed backlog first.

2003-01-13 08:12  rra

	* TODO: Remove completed code cleanups.

2003-01-13 08:11  rra

	* HACKING, doc/pod/hacking.pod: Update for the removal of the
	(void) casts, and update the version of podlators.

2003-01-13 07:59  rra

	* backends/actsync.c, backends/archive.c, backends/batcher.c,
	backends/buffchan.c, backends/crosspost.c, backends/cvtbatch.c,
	backends/filechan.c, backends/innxbatch.c, backends/innxmit.c,
	backends/map.c, backends/ninpaths.c, backends/nntpget.c,
	backends/overchan.c, backends/shlock.c, backends/shrinkfile.c,
	contrib/auth_pass.c, expire/expire.c, expire/grephistory.c,
	expire/makedbz.c, expire/makehistory.c, frontends/ctlinnd.c,
	frontends/decode.c, frontends/encode.c, frontends/feedone.c,
	frontends/getlist.c, frontends/inews.c, frontends/rnews.c,
	frontends/sys2nf.c, innd/art.c, innd/cc.c, innd/chan.c, innd/icd.c,
	innd/innd.c, innd/lc.c, innd/proc.c, innd/python.c, innd/site.c,
	innd/status.c, innd/util.c, innd/wip.c, innfeed/article.c,
	innfeed/connection.c, innfeed/endpoint.c, innfeed/host.c,
	innfeed/imap_connection.c, innfeed/innlistener.c, innfeed/main.c,
	innfeed/misc.c, innfeed/tape.c, lib/clientactive.c,
	lib/clientlib.c, lib/dbz.c, lib/defdist.c, lib/getfqdn.c,
	lib/getmodaddr.c, lib/inndcomm.c, lib/localopen.c, lib/parsedate.y,
	lib/readin.c, lib/remopen.c, lib/reservedfd.c, lib/sendpass.c,
	nnrpd/article.c, nnrpd/commands.c, nnrpd/misc.c, nnrpd/newnews.c,
	nnrpd/nnrpd.c, nnrpd/post.c, nnrpd/python.c, nnrpd/tls.c,
	storage/expire.c, storage/ov.c, storage/cnfs/cnfs.c,
	storage/timecaf/caf.c, storage/timecaf/timecaf.c: Remove all the
	(void) casts on function calls whose return values that we're
	intentionally not checking (generally fclose, close, and fprintf). 
	Also remove all (void) references to parameters to silence warnings
	and instead use UNUSED.  Retain the (void) casts in the Perl code
	that are still necessary to avoid warnings about the results of an
	expression being discarded.

2003-01-13 06:44  rra

	* backends/archive.c, backends/buffchan.c, backends/crosspost.c,
	backends/innxbatch.c, backends/map.c, backends/nntpget.c,
	backends/shlock.c, contrib/newsresp.c, frontends/ctlinnd.c,
	frontends/decode.c, frontends/encode.c, frontends/inews.c,
	frontends/rnews.c, frontends/sys2nf.c, innd/icd.c, innd/proc.c,
	innd/status.c, innd/tcl.c, innd/util.c, innfeed/connection.c,
	innfeed/misc.c, lib/conffile.c, lib/radix32.c, lib/strcasecmp.c,
	lib/strspn.c, lib/strtok.c, nnrpd/group.c, nnrpd/misc.c,
	nnrpd/perl.c, nnrpd/tls.c: Remove all uses of register.

2003-01-13 04:57  rra

	* NEWS, doc/compliance-nntp, doc/man/innfeed.conf.5,
	doc/pod/news.pod, innfeed/host.c, samples/innfeed.conf: Add a peer
	configuration command for innfeed, backlog-feed-first, that if set
	to true will feed all of the backlog to a peer before any new
	articles.  This guarantees in-order delivery to a host that's doing
	Xref slaving if the max connections is also set to 1.  Patch from
	Felicia Neff and Ben Rosengart.

2003-01-12 23:55  rra

	* INSTALL, doc/pod/install.pod: Late Linux 2.4 kernels can mmap
	block devices.

2003-01-12 04:20  rra

	* configure, configure.in: Remove -lc from the Perl libraries,
	since it's unnecessary and causes problems on platforms where
	Python's flags add -pthread.  Reported by Erik Klavon.

2003-01-04 16:31  kondou

	* backends/batcher.c, backends/innxmit.c,
	storage/tradindexed/tdx-util.c: 
	shut up compilation warning on OSX

2003-01-04 16:29  kondou

	* storage/: ov.c, ovinterface.h: 
	some of definitions are moved to ovinterface.h from ov.c (tdx-util
	could not be built on OSX)

2003-01-04 16:27  kondou

	* configure, configure.in: 
	examine if krb5_init_ets() exists(OSX does not have
	krb5_init_ets())
	
	add '-multiply_defined suppress' to LDFLAGS for OSX to shut up
	compilation warnings

2003-01-04 16:25  kondou

	* include/config.h.in: 
	examine if krb5_init_ets() exists(OSX does not have
	krb5_init_ets())

2003-01-04 16:24  kondou

	* authprogs/auth_krb5.c: 
	krb5_init_ets() is called only if HAVE_KRB5_INIT_ETS is defined(OSX
	does not have krb5_init_ets())

2003-01-04 16:21  kondou

	* authprogs/ckpasswd.c: 
	fixed typo

2003-01-04 16:20  kondou

	* authprogs/Makefile: 
	link order is significant to OSX snprintf() in
	/usr/lib/libSystem.dylib was incorrectly used

2003-01-02 20:50  vinocur

	* MANIFEST: List ternary search tree documentation in MANIFEST

2003-01-02 12:22  vinocur

	* doc/man/: Makefile, tst.3: Add autogenerated documentation for
	the TST library, and install it

2003-01-02 09:17  alexk

	* LICENSE: Correct list of files which are derived from Peter A.
	Friend's ternary search tree implementation

2003-01-02 09:16  alexk

	* doc/pod/: Makefile, tst.pod: Add tst documentation

2003-01-01 18:02  rra

	* scripts/innupgrade.in: Fix the test for whether to add hismethod.

2002-12-31 07:38  alexk

	* storage/overdata.c: We need fields up to element + 1 to be valid
	since we're going to use that field to compute the length

2002-12-30 02:21  rra

	* MANIFEST, TODO, doc/pod/Makefile, doc/man/cycbuff.conf.5,
	doc/pod/cycbuff.conf.pod: Rewrite cycbuff.conf(5) in POD and add
	information about adding and removing cycbuffs to a running system.

2002-12-29 21:54  rra

	* TODO, doc/pod/innd.pod, doc/man/innd.8: Document that stripping
	IP options doesn't work with IPv6, and emphasize a bit more that
	innd must be started with inndstart when using IPv6.

2002-12-29 20:49  rra

	* control/modules/checkgroups.pl: Close stdout from docheckgroups. 
	Reported by Marco d'Itri.

2002-12-28 21:46  rra

	* nnrpd/newnews.c: Only recognize : as a delimiter in Xref.  Make
	process_newnews static.

2002-12-28 06:48  rra

	* TODO: Reorganize and update the entries minorly.  Promoting doing
	something about inndstart and startinnfeed to a high-priority
	project.  Postpone a modular spam filter to INN 2.6, and add
	reworking the overview and storage APIs to INN 2.5.  Add a note
	that -Wcast-qual warnings can't be avoided entirely and that it
	will eventually be removed from make warnings.	Add a whole bunch
	of additional cleanup projects.  Add some additional SSL to-do
	items from Bear Giles.

2002-12-28 05:53  rra

	* nnrpd/: misc.c, nnrpd.c, tls.c, tls.h: Move the TLS engine
	initialization code into one place, and call it at the beginning of
	setup if nnrpd is in daemon mode to save the work in all of the
	children.  Based on a patch by Bear Giles.

2002-12-28 05:52  rra

	* configure, configure.in: Improve the search for SASL slightly,
	and fix some bugs in the IOV_MAX probe and its interaction with
	caching.

2002-12-28 05:48  rra

	* backends/archive.c: Clean up warnings, and use a char * instead
	of an ARTHANDLE when we're only using the data element anyway.

2002-12-28 05:48  rra

	* frontends/ctlinnd.c: Add a cast to silence warnings due to stupid
	C rules (char ** not compatible with const char **).

2002-12-28 03:55  rra

	* doc/: pod/mailpost.pod, man/mailpost.8: Add missing =back.

2002-12-28 02:30  rra

	* NEWS, doc/pod/news.pod: Note that innupgrade should take care of
	adding hismethod to inn.conf.

2002-12-28 02:28  rra

	* scripts/innupgrade.in: Add a setting of hismethod if there is
	none already in inn.conf.  Use the ownership of the old version of
	the file if running as root, rather than trying to use
	$inn::newsuser (since we cannot load innshellvars.pl).	Add a
	comment about not loading innshellvars.pl.

2002-12-27 19:42  rra

	* CONTRIBUTORS: Add the NEWNEWS rework to Alex's entry.

2002-12-27 19:40  rra

	* NEWS, doc/pod/news.pod: Add a note about the tradindexed rewrite.

2002-12-27 09:53  vinocur

	* authprogs/smbval/smblib-util.c, backends/cvtbatch.c,
	backends/innxmit.c, frontends/rnews.c, innfeed/article.c: Clean up
	almost all warnings which show up in a regular `make` (in
	preparation for release).

2002-12-27 08:29  vinocur

	* frontends/sm.c: Add the -S and -H options to the getopt argument
	string so that they can actually be used rather than returning
	usage info.

2002-12-27 07:55  rra

	* TODO: Move real INN Perl modules to 2.5; they're not going to get
	done for 2.4.  Remove the note about compliance problems, as these
	have now largely been dealt with.  Move switching nnrpd to the new
	wildmat routines that handle commas to 2.5, since it's more
	complicated than it looks.
	
	Reorganize the items scheduled for 2.5 to put them more into the
	order in which they're likely to get done.
	
	Add removing all the register qualifiers.  Remove the point about
	breaking up the tradindexed code; this has been done.  Remove
	validity checks on the poster's address; this should be done in a
	filter.  Change the note about fixing broken Date headers to a note
	about using the new, stricter date parser now available in libinn. 
	Remove the note about building a profiling version of INN; this is
	now done.  Add an item about replacing inndstart with a helper
	program that just binds the sockets as requested by INN, dropping
	startinnfeed entirely in favor of recommending increases of
	resource limits in the init script.  Remove the note about not
	offering articles to peers that they've already offered us; saving
	a few CHECKs likely isn't worth the complexity.

2002-12-27 07:24  rra

	* lib/strerror.c, tests/lib/date-t.c, tests/lib/innconf-t.c,
	tests/lib/wire-t.c: Warning cleanup for the test suite.

2002-12-27 07:24  rra

	* include/inn/tst.h, lib/tst.c, nnrpd/cache.c, tests/lib/tst-t.c:
	Change the interface to the ternary search trie functions so that
	they all take the trie as the first argument, matching the
	interfaces to other libinn functions and making them a bit more
	C++-like.

2002-12-27 07:02  rra

	* doc/compliance-nntp: Recheck against the current NNTP working
	group draft, update the dates and draft numbers, and update the
	issue regarding generation of overview data for folded headers to
	reflect the current draft.

2002-12-27 06:40  rra

	* doc/compliance-nntp: Remove the note about zero-argument
	LISTGROUP not working.	Katsuhiro fixed this some time back.

2002-12-27 06:15  rra

	* doc/compliance-nntp, innd/nc.c: Return the correct first line in
	response to HEAD in innd, appending 0 (since the user isn't in a
	group) and the message ID.

2002-12-27 05:49  rra

	* NEWS, doc/pod/news.pod: Reorganize the 2.3 to 2.4 notes to more
	closely match the order of importance for someone upgrading an
	existing installation, and add a note about fixed NNTP compliance
	issues.

2002-12-27 05:48  rra

	* doc/compliance-nntp, nnrpd/article.c: ARTICLE without any
	argument previously advanced the article number until it found an
	article present in the spool, which was not in compliance with the
	current NNTP draft.  This behavior has been removed, and nnrpd will
	now just return 423 if the current article isn't valid.

2002-12-27 05:16  rra

	* doc/compliance-nntp, nnrpd/article.c: Fix NEXT and LAST so that
	they cannot return 423 errors, and reorganize the code slightly to
	be more compact and less repetitious.

2002-12-27 04:48  rra

	* doc/compliance-nntp, lib/innconf.c: Fix a memory leak with
	innconf_check and check the NNTP inactivity timeouts to make sure
	they're at least three minutes.  Warn if they aren't, since a
	shorter timeout violates a MUST in the latest NNTP draft.

2002-12-27 04:34  rra

	* doc/compliance-nntp: In draft-15, allowance is made for an
	initial inactivity timeout, so our short one is no longer a
	standards compliance issue.

2002-12-27 02:35  rra

	* innd/Makefile: All files have to be compiled with the Tcl include
	flags, since tcl.h is included by innd.h currently.  Update
	dependencies for the buffer changes.

2002-12-27 02:34  rra

	* innd/tcl.c: Make compile again, and fix the call to makechecksum
	to pass it the right arguments.

2002-12-27 02:34  rra

	* innd/: art.c, cc.c, chan.c, innd.c, innd.h, nc.c, newsfeeds.c,
	ng.c, site.c: Switch from INN's internal implementation of BUFFER
	to the struct buffer implementation in libinn.	These changes were
	largely mechanical, changing BUFFER to struct buffer and the names
	of the structure members to remove the initial capitals (the way
	struct buffer is specified).
	
	Only a few non-mechanical changes were made:  some buffer
	allocations were changed to buffer_resize where the behavior would
	be identical, and lots of sprintf calls into buffers were changed
	to snprintf.
	
	Note that the meaning of the elements of the buffer structure is
	not handled uniformly within innd.  This patch doesn't fix this,
	only paves the way for incremental improvements in this area later.
	 Because of this, there are places that the buffer functions could
	be used if the structure elements were treated in a standard way
	that were left as direct manipulation of the structure.
	
	Also moves BUFFtrimcr to art.c as buffer_trimcr as a static
	function, since it's only used there.

2002-12-26 07:39  vinocur

	* nnrpd/article.c: Avoid warnings caused by reusing const pointers
	to hold non-const data, or vice versa, when two separate variables
	would more accurately reflect the intent of the code.  Also silence
	a few other warnings.

2002-12-26 07:10  rra

	* doc/compliance-nntp, include/nntp.h, innd/rc.c: Change rejections
	due to the connection rate limiting to return a 400 response rather
	than 504 or 505 (neither of which are valid NNTP repsonse codes).

2002-12-26 07:09  rra

	* include/libinn.h: Remove the prototypes for HeaderFindMem and
	FindEndOfHeader.

2002-12-26 05:55  rra

	* lib/Makefile: Remove findheader.c dependencies.

2002-12-26 05:55  rra

	* MANIFEST, lib/Makefile: Remove the old HeaderFindMem and
	FindEndOfHeader functions now that we use the tested and somewhat
	simpler wire_* functions everywhere.

2002-12-26 05:50  rra

	* lib/Makefile: Restructure so that we don't have to keep
	maintaining two lists of files.  Regenerate dependencies, and make
	some other formatting changes.

2002-12-26 05:26  rra

	* backends/archive.c, backends/cvtbatch.c, backends/innxmit.c,
	innd/art.c, nnrpd/article.c, nnrpd/newnews.c, storage/interface.c,
	storage/overdata.c, storage/tradspool/tradspool.c: Use
	wire_findheader and wire_endheader rather than HeaderFindMem and
	FindEndOfHeader.

2002-12-26 05:25  rra

	* history/buildconfig.in, storage/Make.methods,
	storage/buildconfig.in, storage/buffindexed/ovmethod.mk,
	storage/tradindexed/ovmethod.mk: Remove the $Id$ strings from the
	additional makefile rules for modules since they make the contents
	of Make.methods unstable, and modify buildconfig to add an
	additional blank line to compensate.

2002-12-26 05:15  rra

	* frontends/: Makefile, rnews.c: Convert each article to wire
	format before processing so that wire_findheader can be used.  This
	makes NNTPsendarticle no longer necessary, as rnews can now just
	fwrite the article to the server.

2002-12-26 01:06  rra

	* lib/tst.c: Considerably simplify tst_insert by abstracting out a
	lot of repeated code.

2002-12-26 00:55  rra

	* lib/tst.c: Pull out the code for getting a new node from the free
	list into its own function rather than repeating it in four places.

2002-12-26 00:39  rra

	* lib/tst.c: Remove some duplicated code and simplify some nested
	structure.

2002-12-26 00:33  rra

	* lib/tst.c: Abstract out the decision whether to go left or right
	from a node into a macro.

2002-12-26 00:22  rra

	* tests/lib/tst-t.c: Check NULL pointer arguments to tst_delete and
	tst_search.

2002-12-26 00:21  rra

	* include/inn/tst.h: Further clarify that data may not be NULL.

2002-12-26 00:20  rra

	* include/inn/tst.h, lib/tst.c: Various cleanups.  Return
	TST_NULL_DATA if someone calls tst_insert with a NULL data pointer
	rather than just warning about it in the documentation.  Use bool
	for boolean variables.	Use '\0' instead of 0 when specifically
	checking for the nul character rather than just a 0 or non-zero
	value.	Check for a NULL key pointer in tst_delete and tst_search.

2002-12-26 00:07  rra

	* include/inn/tst.h, lib/tst.c: Constify the interface to ternary
	search tries.

2002-12-26 00:07  rra

	* tests/lib/tst-t.c: Fix the signedness of one argument to
	tst_search.

2002-12-26 00:06  rra

	* nnrpd/cache.c: Use the correct signedness of pointers for the
	ternary search trie API.

2002-12-26 00:02  rra

	* lib/tst.c, tests/lib/tst-t.c: Support high-bit characters in the
	keys (before, they would cause access to unallocated memory).

2002-12-25 23:52  rra

	* lib/tst.c: Remove duplicate code by having tst_init just call
	tst_grow_node_free_list.

2002-12-25 23:51  rra

	* TODO: Note that we now have a ternary search trie implementation.

2002-12-25 23:50  rra

	* MANIFEST: Add the test suite for ternary search tries.

2002-12-25 23:50  rra

	* tests/: Makefile, TESTS, lib/.cvsignore, lib/tst-t.c: Add a test
	suite for ternary search tries.

2002-12-25 22:50  rra

	* lib/tst.c, include/inn/tst.h: TST_ERROR is no longer used, since
	it was only for memory allocation failures.

2002-12-25 22:47  rra

	* lib/Makefile, lib/tst.c, nnrpd/Makefile, nnrpd/cache.c,
	include/inn/tst.h: Move tst.h into include/inn and move the data
	structure definitions into the source file.  Add comments for the
	data structures and comments for the functions in the header file. 
	Eliminate some warnings in the nnrpd caching code, and update
	dependencies.

2002-12-25 22:09  rra

	* lib/tst.c: Use INN's memory allocation functions so that we need
	not consider memory allocation failure.

2002-12-25 21:54  rra

	* lib/tst.c: Reformat to match INN coding standards and add some
	additional documentation of the functions.

2002-12-25 19:47  rra

	* lib/: Makefile, tst.c: Merge all the ternary search tree code
	together into one file preliminary to assimilating it more into
	INN.  Update the Makefile rules accordingly, and also add a
	dependency so that the include directory will be built before lib. 
	Update dependencies.

2002-12-25 19:17  rra

	* lib/inndcomm.c: Use mkstemp instead of mktemp, even though it's
	overkill, in order to silence warnings.  This is one of the rare
	cases where mktemp is safe, but the linker doesn't know that.

2002-12-25 05:46  rra

	* nnrpd/tls.c: If /dev/urandom exists, load some random data from
	it at startup to seed the OpenSSL random number generator.  Patch
	from Bear Giles.

2002-12-25 05:44  rra

	* nnrpd/nnrpd.c: Free as well as shut down the SSL connection. 
	Patch from Bear Giles.

2002-12-25 05:42  rra

	* nnrpd/tls.c: Fix a comment in the last commit.

2002-12-25 05:30  rra

	* nnrpd/tls.c: Remove ephemeral RSA keys and add ephemeral DH keys.
	 ERSA is deprecated because of the high cost of generating the
	keys.  EDH can be efficiently regenerated for each session.  Patch
	from Bear Giles.

2002-12-25 05:00  rra

	* nnrpd/tls.c: Check the ownership and permissions on the private
	key file.  Patch from Bear Giles.

2002-12-25 04:54  rra

	* nnrpd/nnrpd.c: Fix error in previous commit:	HAVE_SSL, not
	HAVE_OPENSSL.

2002-12-25 04:53  rra

	* nnrpd/tls.c: Remove a stray blank line.

2002-12-25 04:35  rra

	* nnrpd/nnrpd.c: Shut down the SSL connection cleanly so that the
	client can know that it's over and wasn't subject to a truncation
	attack.

2002-12-25 04:27  rra

	* nnrpd/: article.c, nnrpd.c: Always check the results of SSL
	writes properly, since OpenSSL returns its own errors and doesn't
	necessarily set errno.	Patch from Bear Giles.

2002-12-24 23:07  rra

	* MANIFEST: Add the new testing articles.

2002-12-24 23:02  rra

	* MANIFEST, Makefile.global.in, configure, configure.in,
	history/Make.methods, history/Makefile, history/buildconfig.in,
	history/hisv6/hismethod.config, storage/Make.methods,
	storage/Makefile, storage/buildconfig.in,
	storage/buffindexed/.cvsignore,
	storage/buffindexed/ovmethod.config,
	storage/buffindexed/ovmethod.mk, storage/cnfs/method.config,
	storage/ovdb/ovmethod.config, storage/timecaf/method.config,
	storage/timehash/method.config,
	storage/tradindexed/ovmethod.config,
	storage/tradindexed/ovmethod.mk, storage/tradspool/method.config,
	storage/trash/method.config: Convert the build method of libstorage
	and libinnhist to use non-recursive make.
	
	Add a configure probe for whether the compiler can handle -o and -c
	at the same time, and use the results to choose either those flags
	or mv to allow object files to be built into a directory other than
	the current one.  Make buildconfig a bit smarter so that all the
	makefiles of the storage methods can be eliminated, and add support
	for inclusion of makefile fragments to handle special cases for
	buffindexed and tradindexed.  Fix all the rules to not recurse.
	
	This change should fix both dependency handling and parallel make
	for all of the storage and history methods.
	
	Also add a fallback to -ldb with no special compilation flags for
	linking with BerkeleyDB, to handle the current layout in Debian.

2002-12-24 22:58  rra

	* expire/makehistory.c: Use wire_findheader and wire_endheader to
	locate headers needed for overview rather than FindHeaderMem and
	custom parsing code for folded headers.

2002-12-24 06:47  rra

	* include/libinn.h: The HeaderFindDisk function was a remnant, no
	longer defined or used anywhere.

2002-12-24 05:10  rra

	* lib/wire.c, include/inn/wire.h, tests/lib/wire-t.c,
	tests/lib/articles/no-body, tests/lib/articles/strange,
	tests/lib/articles/truncated: Add wire_findheader, wire_endheader,
	and wire_nextline, replacements for the HeaderFindMem and
	FindEndOfHeader functions that assume wire format (and are somewhat
	easier to read).  Add a test suite for them.

2002-12-24 05:08  rra

	* tests/lib/innconf-t.c: Set innconf to NULL after it's freed so
	that it isn't freed twice.

2002-12-24 05:02  rra

	* tests/lib/hashtab-t.c: Some of the test entries in the hash
	tables weren't being reallocated after being freed by hash_free. 
	Also clean up a few other things to avoid purify thinking we're
	leaking memory.

2002-12-24 05:01  rra

	* samples/inn.conf.in: Don't provide a default for maxcmdreadsize,
	since the real default is environment-specific and should be
	BUFSIZ.

2002-12-24 05:00  rra

	* lib/innconf.c: Avoid using the variable "index" to avoid warnings
	on Linux.

2002-12-23 05:42  vinocur

	* expire/makehistory.c: Fix bug introduced in conversion to
	buffer.h, in which the trailing NUL was not copied into the buffer
	(which caused the Message-ID hashes in the resulting history file
	to be garbage).

2002-12-20 00:19  rra

	* lib/lockfile.c: Include errno.h for EINTR and errno.	Wrap a
	definition better.

2002-12-18 20:02  alexk

	* lib/lockfile.c: Retry on EINTR from fcntl

2002-12-18 11:13  alexk

	* support/mkmanifest: Add emacs style backup files (*~) and Purify
	(.pure) to the ignore list

2002-12-16 12:08  alexk

	* doc/Makefile: Standard Solaris sh doesn't support -e - use -r
	instead

2002-12-16 11:43  alexk

	* nnrpd/cache.c: Add missing include

2002-12-16 11:28  alexk

	* contrib/mlockfile.c: Doesn't need to be read/write to work

2002-12-16 11:24  alexk

	* frontends/inews.c: If we get a date passed in use it rather than
	unilaterally replacing it - mailpost in particular goes to great
	lengths to find the right date.

2002-12-16 11:19  alexk

	* include/portable/mmap.h: Revert the MS_INVALIDATE for nfsreader

2002-12-16 11:17  alexk

	* nnrpd/cache.c: Actually use the msgidcachesize setting (ahem...)

2002-12-16 11:16  alexk

	* frontends/mailpost.in, doc/pod/Makefile, doc/pod/mailpost.pod,
	MANIFEST, doc/man/mailpost.8: Add -x option to mailpost, convert
	documentation to pod

2002-12-16 10:48  alexk

	* doc/pod/inn.conf.pod, doc/man/inn.conf.5, samples/inn.conf.in,
	include/inn/innconf.h, lib/innconf.c: Add nfsreaderdelay and
	msgidcachesize options

2002-12-16 10:39  alexk

	* nnrpd/newnews.c: Remove explicit overview delving code in favour
	of the overdata routines

2002-12-16 10:26  alexk

	* nnrpd/article.c: Make the IO routines all void ...() - if any of
	the the calls to xwrite(v) fails we can't resynchronise with the
	peer so we just pull the plug. Add nntpwrite timer. Switch to using
	the overdata routines for the schema (and remove the schema
	handling from here). Make ARTopenbyid use the message id to storage
	token cache - if it misses open up the history file on the fly.

2002-12-16 10:22  alexk

	* nnrpd/Makefile: Add cache.[ch]

2002-12-16 10:21  alexk

	* nnrpd/group.c: NFS reader tricks - don't report articles which
	arrived in the last nfsreaderdelay seconds; this is to give time
	for the assorted caches to expire

2002-12-16 10:19  alexk

	* nnrpd/nnrpd.c: Implement the new timers (readart, checkart,
	nntpread, nntpwrite). Make history file opens lazy (with the
	message ID -> storage token cache you often don't need the history
	at all). Switch to the schema routines in overdata. Add support for
	pre-forked listening children (-P).

2002-12-16 10:17  alexk

	* nnrpd/post.h: Make the HDR_SET macro safer

2002-12-16 10:16  alexk

	* nnrpd/nnrpd.h: Add additional timers for readart, checkart,
	nntpread and nntpwrite. Remove the old schema handling in favour of
	the overdata routines.

2002-12-16 10:15  alexk

	* nnrpd/newnews.c: Split up newnews handling into two functions -
	the main one which iterates over overviews and a sub one which
	determines which articles to send. Move the schema handling to use
	the new routines in overdata and remove support for the Message-Id
	not in the overview database case. Optimise the non-wildcard
	newnews case to just use the group names directly. Remove the last
	vestiges of distributions support.

2002-12-16 10:08  alexk

	* nnrpd/cache.c, nnrpd/cache.h, MANIFEST: Implementation of a
	message ID to storage token cache which can be built during
	XOVER/XHDR/NEWNEWS.  If we hit in the cache when retrieving
	articles the (relatively) expensive cost of a trip through the
	history database is saved.

2002-12-15 13:53  vinocur

	* scripts/news.daily.in: Add "then"s following "if"s from previous
	commit.

2002-12-13 09:40  alexk

	* storage/cnfs/cnfs.c: Don't invalidate on nfsreaders - all nodes
	need to be in sync so just making one node in sync doesn't help

2002-12-12 23:52  rra

	* support/mkchangelog: Use the perl in the user's path to run
	fixlog.

2002-12-12 23:43  rra

	* support/: fixlog, mkchangelog, mkmanifest: Use /usr/bin/perl
	instead of /usr/local/bin/perl since that's the standard location,
	and add -w.

2002-12-12 23:43  rra

	* Makefile: Run Perl explicitly on the support scripts for
	generating releases, since it may be in various different locations
	and Makefile.global knows where it is.

2002-12-12 23:32  vinocur

	* authprogs/auth_smb.c: Use symbolic variable name instead of
	argv[1], for clarity.

2002-12-12 23:32  vinocur

	* TODO: Documentation for everything in authprogs is completed.

2002-12-12 23:28  vinocur

	* MANIFEST: Add manifest entries for a number of recent additions
	that had been missed.

2002-12-12 23:16  vinocur

	* doc/man/Makefile: Install the various authprogs manpages.

2002-12-12 23:07  vinocur

	* doc/: external-auth, man/auth_smb.8, man/domain.8, man/ident.8,
	man/libauth.3: Update/add autogenerated authprogs documentation
	from previous commit.

2002-12-12 23:02  vinocur

	* doc/pod/: Makefile, auth_smb.pod, domain.pod, external-auth.pod,
	ident.pod, libauth.pod: New documentation for the remaining nnrpd
	external auth progs, as well as the libauth.h interface used to
	write such programs.

2002-12-12 22:59  vinocur

	* include/libinn.h: Fix typo

2002-12-12 17:41  vinocur

	* nnrpd/: nnrpd.h, post.c: 
	Actually skip Perl filter on "perlfilter: no", from Andrew
	Stribblehill <a.d.stribblehill@durham.ac.uk>
	
	Add a prototype that was missing.

2002-12-12 16:55  alexk

	* storage/overdata.c, include/ov.h: Pass the the result from
	overview_extra_fields into overview_getheader so we can validate
	what we do properly

2002-12-12 16:49  alexk

	* lib/Makefile, LICENSE: Ternary search tree code from Peter A.
	Friend (http://www.octavian.org/cs/tst1.3.tar.gz) under a BSD
	license

2002-12-12 09:53  alexk

	* include/ov.h: Add a missing prototype for overview_getheader

2002-12-12 09:40  alexk

	* storage/overdata.c, include/ov.h, storage/ovinterface.h: Move the
	overview utility declarations into somewhere more public (ov.h),
	add three routines: overview_index, overview_split and
	overview_getheader which:
	
	overview_index: Given an overview header, return the offset of the
	field within the overview data.
	
	overview_split: Given an overview header line, split out a vector
	pointing at each of the components (within line), returning a
	pointer to the vector.
	
	overview_getheader:
	
	Given an overview vector (from overview_split), return a copy of
	the member which the caller is interested in (and must free).

2002-12-12 05:01  vinocur

	* samples/filter_nnrpd.pl: Add example showing how to check
	included text ratio (to replace the hardcoded checkincludedtext: in
	inn.conf).

2002-12-11 05:55  rra

	* scripts/news.daily.in: Drop $AZ and $az variables, which are not
	used.

2002-12-11 05:53  rra

	* scripts/rc.news.in: Remove handling of doinnwatch and docnfsstat
	that is no longer needed since innconfval now canonicalizes boolean
	values to true or false and makes sure that they're always set,
	supplying the default if needed.

2002-12-11 05:28  rra

	* storage/cnfs/cnfs.c: CNFSflushhead should msync unconditionally,
	not only msync if read can't see changes to mmap'd memory.

2002-12-11 04:59  rra

	* scripts/news.daily.in: Take advantage of the fact that innconfval
	now canonicalizes Boolean values to true or false.

2002-12-11 04:51  rra

	* storage/cnfs/: cnfs-private.h, cnfs.c: Replace CYCBUFF_OFF_T to
	off_t and CNFSseek with lseek rather than keeping them as typedefs
	and defines.  It turns out that all interesting platforms support
	large files by changing the size of off_t properly, so we don't
	need this level of abstraction.

2002-12-11 03:08  rra

	* scripts/news.daily.in: Change directories to the history
	directory before running expireover as well as before running
	expire.  expireover doesn't need this, but it means that if
	expireover dumps core, it does in the same place that expire would
	have (and where there's hopefully some amount of space).

2002-12-10 15:32  rra

	* lib/innconf.c: Add a comment about adding new inn.conf
	parameters.

2002-12-10 15:30  rra

	* samples/inn.conf.in: Add the initialtimeout default value.

2002-12-09 08:43  rra

	* include/acconfig.h, include/config.h.in, innd/art.c: Move
	#defines only used by innd/art.c for log messages to that file from
	config.h.

2002-12-09 08:26  rra

	* frontends/inews.c, include/acconfig.h, include/config.h.in: Move
	the signature separator and line count #defines to inews from
	config.h since inews is the only thing that uses them.	(The
	maximum number of lines should be made a configuration parameter at
	some point, but it's not high priority.)

2002-12-09 08:19  rra

	* frontends/rnews.c, include/acconfig.h, include/config.h.in:
	Change the #! characters that start an rnews batch to literal
	characters instead of #defines.

2002-12-09 07:56  rra

	* include/: acconfig.h, config.h.in: Remove MAX_FORKS; no longer
	used.

2002-12-09 07:56  rra

	* nnrpd/nnrpd.c: Use innconf->maxforks instead of MAX_FORKS.

2002-12-09 07:45  rra

	* include/acconfig.h, include/config.h.in, innd/innd.h: Move
	defines only used by innd from config.h to innd.h.

2002-12-09 07:11  rra

	* backends/archive.c, backends/batcher.c, backends/map.c,
	expire/makehistory.c, expire/prunehistory.c, include/acconfig.h,
	include/config.h.in, innd/art.c, innd/newsfeeds.c, innd/rc.c,
	lib/conffile.c, lib/getmodaddr.c, lib/sendpass.c, nnrpd/article.c,
	storage/expire.c: Replace all uses of COMMENT_CHAR with just '#';
	using a #define is just confusing since it will never change.

2002-12-09 06:31  rra

	* doc/man/inn.conf.5, doc/pod/inn.conf.pod, include/inn/innconf.h,
	lib/innconf.c, nnrpd/nnrpd.c: Make nnrpd's initial timeout a
	configurable parameter in inn.conf (as initialtimeout).

2002-12-09 06:18  rra

	* include/acconfig.h, include/config.h.in, nnrpd/nnrpd.h: Remove
	the remnants of the NNRP_LOADLIMIT define, which was replaced with
	an inn.conf parameter.

2002-12-08 19:51  rra

	* doc/man/innconfval.1, frontends/innconfval.c,
	doc/pod/innconfval.pod, scripts/inncheck.in: Change the new
	inn.conf check option to innconfval to -C from -c, since -c used to
	be used for csh output.

2002-12-08 19:33  rra

	* doc/: man/readers.conf.5, pod/readers.conf.pod: Fix typo.

2002-12-08 09:39  rra

	* scripts/inncheck.in: Replace all of the inn.conf checks with an
	invocation of innconfval -c.  This loses a few basic validity tests
	that we used to perform on a few parameters but has the advantage
	of significantly improving the accuracy of basically everything
	else.  Lost tests left in commented out for later revival.

2002-12-08 09:31  rra

	* doc/man/innconfval.1, doc/pod/innconfval.pod,
	frontends/innconfval.c: Add a -c option to innconfval to check
	inn.conf and report errors.

2002-12-08 09:30  rra

	* lib/innconf.c, include/inn/innconf.h, tests/lib/innconf-t.c: Add
	an innconf_check function to check inn.conf.  All this does over
	innconf_read at present is make sure that inn.conf doesn't contain
	any parameters that aren't known by INN.

2002-12-08 09:29  rra

	* lib/confparse.c: Fix a bug in config_error_param with any
	non-trivial error message.

2002-12-08 09:28  rra

	* tests/: Makefile, libtest.c, libtest.h, lib/confparse-t.c: Lift
	the code to capture errors reported by warn in a buffer so that
	they can be checked by tests out of lib/confparse-t.c into
	libtest.c.

2002-12-08 09:23  rra

	* samples/inn.conf.in: Remove nnrpperlauth, which is now obsolete.

2002-12-08 06:13  vinocur

	* TODO: Add request for news.daily to unpause the server in the
	case that expire segfaults; requested by bill davidsen
	<davidsen@tmr.com>.

2002-12-08 04:23  rra

	* MANIFEST, lib/confparse.c, tests/lib/confparse-t.c,
	tests/lib/config/simple: Add implementations of config_params and
	config_error_param.

2002-12-08 04:22  rra

	* authprogs/Makefile: Some system headers had crept into the
	dependencies for ckpasswd.  Fixed.

2002-12-08 04:21  rra

	* configure, configure.in: Include all of the libraries required
	for Kerberos v5.

2002-12-08 04:21  rra

	* backends/.cvsignore: Ignore ninpaths and sendinpaths.

2002-12-08 04:20  rra

	* tests/authprogs/domain.t: Provide all of the fake connection
	information, since domain now cares about seeing all of it.

2002-12-08 04:17  rra

	* tests/overview/tradindexed-t.c: The location of the private
	include file for tradindexed changed.

2002-12-08 04:16  rra

	* tests/Makefile: innconf.t requires LIBS.

2002-12-08 04:11  rra

	* expire/: expire.c, expireover.c, makedbz.c, makehistory.c:
	Include pwd.h when we're calling getpwnam.

2002-12-08 02:33  rra

	* include/inn/hashtab.h, lib/hashtab.c, tests/lib/hashtab-t.c: Add
	a hash_count function to return the number of elements stored in
	the hash table.

2002-12-08 02:28  rra

	* lib/setproctitle.c: Kill some signed vs. unsigned warnings.

2002-12-07 23:18  rra

	* frontends/sm.c: Don't allow -i to be used in combination with
	other flags that make no sense.

2002-12-07 23:14  rra

	* MANIFEST, doc/man/Makefile, doc/man/sm.1, doc/pod/Makefile,
	doc/pod/sm.pod: Convert the sm documentation to POD and expand on
	it.  Move the sm manual page to section 1.

2002-12-07 21:16  rra

	* frontends/sm.c: Add -H and -S options, the first to only show the
	header of articles and the second to write out an rnews batch file.
	 Based on a patch by Kjetil Torgrim Homme.

2002-12-07 20:45  rra

	* frontends/sm.c: Cleaned up and reformatted.  Avoid global
	variables and use QIO to parse stdin if given a list of tokens
	rather than rolling our own.  Expand the usage message
	considerably.

2002-12-07 19:04  rra

	* samples/control.ctl: Revert previous erroneous change.

2002-12-07 18:49  rra

	* samples/control.ctl: Update the sender address for fl.* control
	messages.

2002-12-07 16:55  vinocur

	* doc/: pod/inn.conf.pod, man/inn.conf.5: Update description of
	ignorenewsgroups: to reflect that we no longer examine Subject for
	control messages.
	
	Clarify behavior of nnrpdauthsender (that @remotehost is only
	appended if the identity assigned by readers.conf lacks a domain).

2002-12-07 09:47  rra

	* include/storage.h, innd/perl.c, innfeed/article.c,
	storage/interface.c, storage/interface.h, storage/cnfs/cnfs.c,
	storage/timecaf/timecaf.c, storage/timehash/timehash.c,
	storage/tradspool/tradspool.c: Make the data in an ARTHANDLE const
	and the length a size_t, and adjust callers and users to clean up
	the resulting warnings.  Fix some other warnings in the storage
	libraries and remove unnecessary casts in innfeed.

2002-12-07 09:40  rra

	* innd/cc.c: Unused variable warning cleanup.

2002-12-07 07:39  rra

	* expire/: expire.c, expireover.c, makedbz.c, makehistory.c: Change
	users to the news user or fail if cannot and are not running as the
	news user in programs that create files, so as not to mess up file
	ownership.

2002-12-07 07:30  rra

	* innd/perl.c: Log the message ID of the article if filter_art or
	filter_msgid fail.

2002-12-07 06:37  rra

	* INSTALL, README, doc/pod/install.pod, doc/pod/readme.pod:
	Document that INN requires yacc to build.

2002-12-04 21:28  rra

	* doc/man/Makefile: Fix error in auth_krb5.8 installation rules.

2002-12-04 21:28  rra

	* doc/Makefile: Fix error in README.snapshot installation rules.

2002-12-04 21:28  rra

	* authprogs/Makefile: Fix typo in auth_krb5 installation rules.

2002-12-04 06:01  rra

	* innd/chan.c: Downgrade "cant read" and "cant write" errors from
	feeds to notice from error, since by and large they should be
	ignored.  In the case of the former, they're generally failures of
	network connectivity to the remote site; in the case of the latter,
	the write will be retried and another message will be logged at
	error level if something really fails.	In either case, these
	errors don't risk the loss of articles, which is the first-pass
	criteria for logging at the error level.  Reported by David Nicol.

2002-12-04 05:46  rra

	* doc/Makefile: Install README.snapshot if it exists.

2002-12-04 05:38  rra

	* doc/: man/inn.conf.5, pod/inn.conf.pod: pathtmp no longer needs
	to be on the same partition as pathincoming.

2002-12-04 05:29  rra

	* README, doc/pod/readme.pod: Update the URL for GUP.

2002-12-04 04:03  rra

	* samples/control.ctl: Update staroffice.* information.

2002-12-03 06:56  rra

	* storage/tradindexed/tdx-util.c: Switch to the news user if
	possible and die if that isn't possible and tdx-util is not running
	as the news user, for the -R and -F options that create new files.

2002-12-03 06:37  rra

	* site/Makefile: Install as world-readable all configuration files
	except those that may contain passwords instead of defaulting to
	installing them all only readable by the news group.

2002-12-03 05:36  vinocur

	* doc/man/Makefile: Include rc.news.8 on installation

2002-12-03 05:35  vinocur

	* doc/Makefile: Include external-auth on installation

2002-12-03 05:34  vinocur

	* MANIFEST: Add readers.conf external authenticator documentation
	and rc.news documentation.

2002-12-03 05:31  vinocur

	* HACKING, INSTALL, NEWS, README, doc/checklist, doc/external-auth,
	doc/hook-perl, doc/hook-python, doc/man/auth_krb5.8,
	doc/man/ckpasswd.8, doc/man/control.ctl.5, doc/man/expireover.8,
	doc/man/fastrm.1, doc/man/inn.conf.5, doc/man/innd.8,
	doc/man/inndf.8, doc/man/inndstart.8, doc/man/innmail.1,
	doc/man/innupgrade.8, doc/man/libinnhist.3, doc/man/makehistory.8,
	doc/man/newsfeeds.5, doc/man/nnrpd.8, doc/man/pgpverify.1,
	doc/man/qio.3, doc/man/radius.conf.5, doc/man/rc.news.8,
	doc/man/readers.conf.5, doc/man/sasl.conf.5, doc/man/sendinpaths.8:
	Update generated documentation to match recently changed/added POD
	sources.

2002-12-03 05:21  vinocur

	* doc/pod/innd.pod: Fix typo from previous commit

2002-12-03 05:20  vinocur

	* doc/pod/: Makefile, external-auth.pod: Convert expanded
	documentation on the external authenticators interface to POD
	format.

2002-12-03 05:17  vinocur

	* control/pgpverify.in, doc/man/actsync.8, doc/man/archive.8,
	doc/man/batcher.8, doc/man/buffchan.8, doc/man/buffindexed.conf.5,
	doc/man/cnfsheadconf.8, doc/man/cnfsstat.8, doc/man/controlchan.8,
	doc/man/ctlinnd.8, doc/man/cvtbatch.8, doc/man/cycbuff.conf.5,
	doc/man/distrib.pats.5, doc/man/expire.8, doc/man/expire.ctl.5,
	doc/man/filechan.8, doc/man/getlist.1, doc/man/grephistory.1,
	doc/man/incoming.conf.5, doc/man/inews.1, doc/man/inncheck.8,
	doc/man/innfeed.1, doc/man/innfeed.conf.5, doc/man/innwatch.8,
	doc/man/innwatch.ctl.5, doc/man/innxbatch.8, doc/man/innxmit.8,
	doc/man/libinn.3, doc/man/libstorage.3, doc/man/mailpost.8,
	doc/man/makeactive.8, doc/man/makedbz.8, doc/man/mod-active.8,
	doc/man/moderators.5, doc/man/news.daily.8, doc/man/news2mail.8,
	doc/man/newslog.5, doc/man/nnrpd.track.5, doc/man/nntpget.1,
	doc/man/nntpsend.8, doc/man/nntpsend.ctl.5, doc/man/overchan.8,
	doc/man/overview.fmt.5, doc/man/prunehistory.8, doc/man/pullnews.8,
	doc/man/rnews.1, doc/man/send-uucp.8, doc/man/shrinkfile.1,
	doc/man/simpleftp.1, doc/man/startinnfeed.1,
	doc/man/storage.conf.5, doc/man/tally.control.8,
	doc/man/writelog.8, doc/pod/checklist.pod, doc/pod/ckpasswd.pod,
	doc/pod/control.ctl.pod, doc/pod/expireover.pod,
	doc/pod/fastrm.pod, doc/pod/hacking.pod, doc/pod/hook-perl.pod,
	doc/pod/hook-python.pod, doc/pod/inn.conf.pod, doc/pod/innd.pod,
	doc/pod/inndf.pod, doc/pod/inndstart.pod, doc/pod/innmail.pod,
	doc/pod/innupgrade.pod, doc/pod/install.pod,
	doc/pod/libinnhist.pod, doc/pod/makehistory.pod, doc/pod/news.pod,
	doc/pod/newsfeeds.pod, doc/pod/nnrpd.pod, doc/pod/qio.pod,
	doc/pod/readers.conf.pod, doc/pod/readme.pod,
	doc/pod/sasl.conf.pod, doc/pod/sendinpaths.pod: Assorted
	documentation proofreading changes and other revisions.

2002-12-03 04:41  vinocur

	* doc/pod/: rc.news.pod, Makefile: Add new documentation for
	rc.news

2002-12-03 04:39  vinocur

	* doc/man/: Makefile, active.5, active.times.5: General cleanup of
	active(5) documentation, and split the relevant portions out into
	active.times(5).

2002-12-03 04:36  vinocur

	* backends/news2mail.in: Remove a duplicate "use strict" that crept
	in somewhere.

2002-12-03 04:36  vinocur

	* TODO: Add a few readers.conf related items.

2002-12-03 03:57  rra

	* doc/compliance-nntp: Add the lack of diagnosis of repeated
	AUTHINFO USER commands in innd (differs from RFC 2980).  Reported
	by Bettina Fink.

2002-12-03 03:44  rra

	* MANIFEST: Add the Kerberos v5 authenticator and move the
	authenticator man pages from section 1 to section 8.

2002-12-03 03:44  rra

	* authprogs/.cvsignore: Ignore auth_krb5.

2002-12-03 03:43  rra

	* doc/pod/Makefile: Move authenticator man pages to section 8 and
	add auth_krb5.8.

2002-12-03 03:43  rra

	* doc/man/Makefile: Move the authenticator manual pages into
	section 8 and add logic to conditionally install auth_krb5.8
	depending on whether it was built.

2002-12-03 03:42  rra

	* authprogs/ckpasswd.c: Use the configure probe for the MacOS X
	location of the PAM header files rather than using
	platform-specific #ifdefs.

2002-12-03 03:42  rra

	* configure, configure.in, include/config.h.in: Add probes for
	Kerberos v5 libraries and the glue needed to conditionally compile
	auth_krb5, and a --with-kerberos option to tell INN where your
	Kerberos libraries are located.  Also add a check for the location
	of the PAM header file on MacOS X.

2002-12-03 03:41  rra

	* CONTRIBUTORS, Makefile.global.in, authprogs/Makefile,
	authprogs/auth_krb5.c, doc/man/auth_krb5.8, doc/pod/auth_krb5.pod:
	Add a Kerberos v5 authenticator.

2002-12-03 03:29  rra

	* doc/man/: ckpasswd.8, radius.8: Move the man pages for
	authenticators into section 8.

2002-12-01 20:31  rra

	* samples/radius.conf: Remove the references to command-line
	options, since radius no longer accepts them.

2002-12-01 19:44  rra

	* MANIFEST, doc/man/Makefile, doc/man/radius.conf.5,
	doc/pod/Makefile, doc/pod/radius.conf.pod, doc/pod/radius.pod: Add
	documentation for the RADIUS authenticator.

2002-12-01 00:35  rra

	* samples/control.ctl: Add belwue.* and update some URLs.

2002-11-30 01:29  rra

	* samples/control.ctl: Update the comment for fa.* and the admin
	group for no.*.

2002-11-29 19:38  vinocur

	* nnrpd/article.c: Fix miscalculated iov array size in previous
	commit.

2002-11-29 00:37  rra

	* samples/control.ctl: Lots of updates to URLs, key URLs, admin
	groups, and the like, both adding URLs and removing ones that are
	no longer valid.  Add rules for demon.*.

2002-11-28 20:22  rra

	* samples/control.ctl: Add a URL for at.*, update the control
	message sender for cn.bbs.* and add the key URL and admin group,
	add ffm.* and nrw.*, add a key URL for pl.*, and update the control
	message sender and add a contact, URL, and admin group for us.*.

2002-11-28 20:04  rra

	* samples/moderators: Add a wildcard rule for ffm.*.

2002-11-28 17:41  rra

	* nnrpd/article.c: Use xwritev rather than writev when writing
	article information so that partial writes will be completed.

2002-11-28 16:55  vinocur

	* nnrpd/article.c: Fix potential segfault resulting from previous
	cap of IOV_MAX at 1024.

2002-11-28 08:53  rra

	* samples/control.ctl: Regenerated by a script (that's not yet put
	somewhere public, so changes really need to go through
	usenet-config right now...).  Cleaned up and made more regular in
	the way that only an automated process can do.	All hierarchies
	with a known control message issuer now also have an entry to
	accept checkgroups messages from that issuer or issuers.  * is used
	as a wildcard instead of *@*.  The wording for local, private, and
	defunct hierarchies has been regularized (losing tiny bits of
	information in some cases).  Some URLs which are no longer valid
	were removed.  Administrative groups added to the comments for some
	hierarchies.  Broke the regular and alt portions in some
	hierarchies into separate entries.

2002-11-28 06:25  vinocur

	* Makefile.global.in: When profiling, also pass -pg in LDFLAGS.

2002-11-28 06:21  vinocur

	* backends/inndf.c: Unclosed parentheses in usage() information.

2002-11-28 06:08  vinocur

	* Makefile.global.in, authprogs/Makefile, backends/Makefile,
	control/Makefile, expire/Makefile, frontends/Makefile,
	history/Makefile, include/Makefile, innd/Makefile,
	innfeed/Makefile, lib/Makefile, nnrpd/Makefile, samples/Makefile,
	scripts/Makefile, storage/Makefile: Fix various things to get `make
	profiled` to actually compile the code with -pg for use with gprof.

2002-11-28 06:04  vinocur

	* authprogs/Makefile: Update dependencies information

2002-11-27 07:23  rra

	* doc/compliance-nntp: innd now returns the correct response to
	STAT.

2002-11-27 07:19  rra

	* doc/compliance-nntp: The innd problem of returning 500 for reader
	commands rather than 502 has been fixed.

2002-11-27 07:17  rra

	* innd/nc.c: Return a 502 error status for reader commands rather
	than 500, to comply more fully with the current NNTP draft.  Remove
	the XPATH implementation entirely and just let the normal
	unrecognized command code handle it since it's unlikely we'll ever
	support it again.  Reformat and reorganize the beginning of the
	file a bit and remove some dead and unused code.

2002-11-26 07:33  rra

	* MANIFEST: Add the POD source for control.ctl(5).

2002-11-26 07:31  rra

	* doc/: pod/Makefile, pod/control.ctl.pod, man/control.ctl.5:
	Rewrite the control.ctl man page in POD and add an explicit caution
	about the way that checkgroups rules match.

2002-11-26 06:47  rra

	* TODO: The improved overview recovery is now done.

2002-11-26 06:38  rra

	* doc/compliance-nntp, NEWS, doc/pod/news.pod, nnrpd/commands.c,
	nnrpd/newnews.c, nnrpd/nnrpd.c: Remove support for UTC as a synonym
	for GMT in NEWGROUPS and NEWNEWS.  This usage was rejected by the
	NNTP working group.

2002-11-25 22:57  rra

	* MANIFEST: Move pgpverify.8 to pgpverify.1.

2002-11-25 22:36  rra

	* doc/man/: Makefile, pgpverify.1: Move pgpverify into section 1
	from section 8 and update to the new man page generated from the
	POD documentation.  Also install ninpaths(8) and sendinpaths(8).

2002-11-25 22:36  rra

	* control/: Makefile, pgpverify.in: Drop support for Perl 4 in
	pgpverify.  Convert the manual page to POD and expand it, and
	include it directly in the script.  Reorganize the script so that
	it begins to be more structured with proper subs, and make it pass
	use strict.  Fixed support for the -test switch.

2002-11-25 22:09  rra

	* doc/: pod/ninpaths.pod, pod/sendinpaths.pod, man/ninpaths.8,
	man/sendinpaths.8: Include AUTHOR information in HISTORY (I can't
	ever remember what I'm trying to be consistent with).  Don't
	include <pathbin> in the paths to programs.  Based on comments from
	Jeffrey Vincour.

2002-11-25 20:59  rra

	* doc/compliance-nntp: Fixed two problems, one where INN was
	rejecting invalid LIST or MODE commands with 500 instead of 501,
	and another where nnrpd was printing a final message to the user
	connection before closing it on timeouts.

2002-11-25 20:55  rra

	* INSTALL, doc/pod/install.pod: Make the cross-reference more
	obvious in the section on cycbuff.conf.

2002-11-25 18:34  rra

	* include/nntp.h, innd/nc.c, nnrpd/commands.c: Return 501 errors
	instead of 500 errors for invalid LIST or MODE keywords.

2002-11-25 18:23  rra

	* nnrpd/: commands.c, nnrpd.c: Don't send a final message to the
	client before closing with a timeout.  The consensus of the IETF
	working group was that the server should just silently close the
	connection after a timeout.

2002-11-25 18:10  rra

	* INSTALL, doc/pod/install.pod: Add a note about having to use gpg
	--edit-key to remove user IDs not matching control.ctl if there are
	multiple ones.

2002-11-25 17:56  rra

	* samples/newsfeeds.in: Add a sample of how to set up ninpaths.

2002-11-25 17:53  rra

	* MANIFEST, backends/Makefile, backends/ninpaths.c,
	backends/sendinpaths.in, doc/man/ninpaths.8, doc/man/sendinpaths.8,
	doc/pod/Makefile, doc/pod/ninpaths.pod, doc/pod/sendinpaths.pod:
	With Olaf's permission, move ninpaths and sendinpaths from contrib
	into the main distribution.  Add manual pages for both programs
	based on the ninpaths README file.

2002-11-25 17:42  rra

	* INSTALL, doc/pod/install.pod: Add a new section on setting up
	processing of control messages.

2002-11-25 07:41  kondou

	* nnrpd/: perl.c, post.c: 
	header modification didn't work properly
	
	reported by Miroslaw Luc

2002-11-23 07:29  rra

	* doc/hook-perl, doc/pod/hook-perl.pod, nnrpd/commands.c,
	nnrpd/nnrpd.h, nnrpd/perl.c, nnrpd/perm.c: Allow the Perl
	authentication hooks to specify the username rather than always
	using the username provided by the user.  Patch from Erik Klavon.

2002-11-23 07:26  rra

	* authprogs/libauth.c: Use inet_aton instead of inet_addr; it has
	saner error handling.

2002-11-21 00:03  vinocur

	* control/controlchan.in: Improve error message for open() failure,
	from Marco d'Itri <md@Linux.IT>

2002-11-19 00:09  rra

	* MANIFEST, lib/confparse.c, tests/lib/confparse-t.c,
	tests/lib/config/errors, tests/lib/config/line-endings,
	tests/lib/config/warnings: Recognize any of CR, LF, or CRLF as line
	endings in the new configuration parser.  Add several tests to make
	sure that this is working correctly and that line numbers on error
	messages are still accurate.

2002-11-19 00:08  rra

	* doc/config-syntax: Modify so that any of CR, LF, or CRLF are
	valid line terminators, and fix some syntax problems with the ABNF.

2002-11-18 22:12  vinocur

	* samples/radius.conf: 
	Caution not to use # in the secret, since it begins a comment
	
	Reported by Donald Roeber <droeber@isc.upenn.edu>

2002-11-17 22:04  vinocur

	* storage/: interface.c, overdata.c, buffindexed/buffindexed.c,
	cnfs/cnfs.c, timecaf/timecaf.c, timehash/timehash.c: Fix syslog
	format strings and a few other things to silence warnings

2002-11-17 22:01  vinocur

	* storage/tradspool/tradspool.c: Need time.h for time(), and fix a
	syslog format string

2002-11-17 22:01  vinocur

	* history/hisv6/hisv6.c, storage/ovdb/ovdb.c: Flagged unused
	parameters on stub functions as UNUSED to silence warnings

2002-11-17 21:59  vinocur

	* history/his.c: Need messages.h to use warn()

2002-11-17 21:29  vinocur

	* lib/genid.c: Need string.h to use strcmp()

2002-11-17 21:24  vinocur

	* innfeed/: article.c, buffer.c, connection.c, host.c,
	imap_connection.c, innlistener.c, tape.c: Insert typecasts to
	silence some warnings

2002-11-17 21:12  vinocur

	* innd/: chan.c, inndstart.c, lc.c, rc.c: Insert typecasts to
	silence some warnings

2002-11-17 15:30  vinocur

	* innd/cc.c: Bugfix from previous commit and cleanup a bunch of
	warnings

2002-11-17 03:52  vinocur

	* authprogs/libauth.c: Fix memory corruption due to struct sockaddr
	not being large enough for struct sockaddr_in6 to be copied into
	it.

2002-11-17 01:37  vinocur

	* authprogs/ident.c: Fix copy-paste error

2002-11-17 01:37  vinocur

	* authprogs/libauth.c: Specification directs that we ignore
	unexpected fields rather than reporting them.  Also some minor code
	cleanup.

2002-11-16 21:43  vinocur

	* control/perl-nocem.in: Prefer HISTORY to AUTHORS at the bottom of
	documentation.

2002-11-16 21:41  vinocur

	* lib/innconf.c: Allow environment variable BINDADDRESS6 to
	override bindaddress6: analagously to BINDADDRESS and bindaddress:.

2002-11-16 21:40  vinocur

	* scripts/news.daily.in: Fix typo

2002-11-16 21:34  vinocur

	* scripts/scanlogs.in: Attempt to create $pathlog/OLD if it doesn't
	exist rather than just failing.

2002-11-16 21:32  vinocur

	* innd/cc.c: Adjust handling of ctlinnd commands related to filters
	to print an informative message rather than just a syntax error if
	support is not presently compiled in.

2002-11-16 21:30  vinocur

	* frontends/ctlinnd.c: Usage for `ctlinnd addhist` mentioned paths
	when it now means tokens

2002-11-16 21:29  vinocur

	* frontends/cnfsheadconf.in: Usage information did not list all
	supportted flags

2002-11-16 21:29  vinocur

	* control/pgpverify.in: Error message mentioned pgp when it meant
	gpgv

2002-11-16 21:28  vinocur

	* backends/news2mail.in: Cleanup to run under 'use strict' with no
	warnings.

2002-11-16 21:27  vinocur

	* backends/cvtbatch.c: Remove chdir($patharticles) which is not
	needed with storage API.

2002-11-16 21:26  vinocur

	* TODO: Add a reference to the BUGS section of all of the manpages
	as things to be fixed some day.

2002-11-16 21:08  vinocur

	* authprogs/: ident.c, libauth.c: Fix a bunch of stupid bugs from
	previous commit, mostly related to the IPv6 controlflow path which
	hadn't been compiled.

2002-11-16 19:11  vinocur

	* authprogs/: Makefile, auth_smb.c, ckpasswd.c, domain.c, ident.c,
	libauth.c, libauth.h, radius.c: Further cleanup of
	authenticator/resolver library interface (for reading from stdin to
	get information from nnrpd), and conversion of domain.c to use
	libauth.

2002-11-13 21:32  vinocur

	* doc/man/readers.conf.5, doc/pod/readers.conf.pod, nnrpd/perm.c:
	Support absolute (as well as relative) paths in auth: and resolv:
	lines of readers.conf.

2002-11-09 19:55  rra

	* storage/tradspool/tradspool.c: Fix a memory leak in
	tradspool_freearticle.	Not all of the article was being freed.

2002-11-05 04:12  vinocur

	* doc/man/grephistory.1, expire/grephistory.c: Add a -v flag to
	grephistory to increase verbosity, and print out hash of the
	Message-ID if verbosity > 1.

2002-11-05 01:05  rra

	* storage/tradindexed/tdx-data.c: Make the overview data checking
	more robust against badly mangled data, and in particular protect
	against the case where the offset plus the length overflows into a
	negative number.

2002-11-05 00:35  rra

	* innfeed/main.c: Give the correct number of handlers to the
	message_handlers_warn function.

2002-11-04 20:04  vinocur

	* control/perl-nocem.in: 
	don't interpolate untrusted input into printf format strings
	
	from Steven M. Christey <coley@linus.mitre.org> via Marco d'Itri

2002-10-26 21:36  vinocur

	* innfeed/connection.c: Fixed bug where if bindaddress6 was unset,
	we'd try to parse bindaddress as an IPv6 address and bind to it.

2002-10-22 16:41  alexk

	* frontends/rnews.c: From Miquel van Smoorenburg
	<miquels@cistron.nl>:
	
	Fix a problem caused by POSIX fcntl() locking rules - one of the
	rules state that 'upon a close(), all locks are released' and that
	is taken literally.
	
	Here is the fix for that. We simply open the spool file twice, and
	use one fd for locking only.

2002-10-22 09:29  alexk

	* frontends/rnews.c: Fix from Miquel van Smoorenburg
	<miquels@cistron.nl>:
	
	On one of our servers multiple rnews -U processes were running at
	the same time, and because rnews doesn't lock the batch it's
	processing this resulted in the same posting getting submitted to
	innd multiple times. Innd rejected the duplicates, and they ended
	up in the bad/ directory filling up the disk.
	
	So I fixed that by making rnews lock the batch using inn_lock_file.
	 While editting rnews.c I fixed a few other bugs as well:
	
	in main(), if UnpackOne() fails, Spool() is called but we have to
	rewind the fd first
	
	ReadRemainder() closes the file when its done - it should leave
	that to the caller
	
	Unspool() sets UUCPHost unconditionally, it should only do that for
	batches that have a host in their name
	
	In fact, the remote hostname is never encoded in the batch file
	when spooling it.

2002-10-09 17:43  rra

	* frontends/inews.c: Missing a terminator for one call to concat. 
	Reported by Kenichi Okada.

2002-10-07 19:26  rra

	* tests/lib/: confparse-t.c, config/errors: Add a test for the
	rejection of comments on the ends of lines.

2002-10-07 12:18  kondou

	* authprogs/ckpasswd.c, history/his.c, innfeed/main.c, lib/perl.c:
	shutting up warnings and fixing compilation error on OSX 10.2.1

2002-10-07 07:36  rra

	* innfeed/: article.c, article.h, buffer.c, buffer.h, config_l.c,
	configfile.h, configfile.l, configfile.y, connection.c,
	connection.h, endpoint.c, endpoint.h, host.c, host.h,
	imap_connection.c, innfeed.h, innlistener.c, innlistener.h, main.c,
	misc.c, misc.h, startinnfeed.c, tape.c, tape.h: Continuing the
	assimilation of innfeed into the coding style of the rest of INN,
	rewrite the file headers into the style of header used elsewhere in
	INN and move the long license information to the ends of the files
	with a pointer to it in the header.

2002-10-07 06:52  rra

	* innfeed/: Makefile, article.c, config_l.c, configfile.h,
	configfile.l, configfile.y, connection.c, endpoint.c, host.c,
	imap_connection.c, innlistener.c, main.c, misc.c, tape.c: Remove
	msgs.h by taking all of the message strings that it defined and
	instead using the real strings everywhere they were used.  However
	useful centralizing the message strings may have been, it wasn't
	being maintained and isn't the INN coding style.
	
	Eliminate all the remaining warnings.  The warnings that are still
	left are not really valid (although one or two may be eliminated
	with a bit more work).

2002-10-06 04:11  vinocur

	* frontends/cnfsstat.in: Check some system call return values;
	distinguish between sysread reaching EOF (e.g. after unclean
	shutdown) and actually encountering an error

2002-10-05 21:57  rra

	* MANIFEST, storage/Makefile: Remove the old tradindexed
	implementation; the new one appears to be stable.

2002-10-04 10:42  vinocur

	* contrib/showtoken.in: Assorted fixes and cleanup, from Marco
	d'Itri.  Now works with tradspool.

2002-10-02 01:08  vinocur

	* doc/man/Makefile: Install tdx-util.8 manpage

2002-10-01 23:31  vinocur

	* doc/man/shlock.1: Fix wording

2002-09-30 21:16  vinocur

	* nnrpd/: commands.c, line.c, nnrpd.c, perl.c, perm.c, post.c:
	Clean up compile warnings

2002-09-30 03:27  rra

	* nnrpd/: article.c, misc.c, nnrpd.h: Fix a bug in XHDR and XPAT
	where the header "newsgroup" would match the header "newsgroups"
	because the colon after the header name wasn't checked.  Remove the
	support for estimating the Lines header in GetHeader since nothing
	uses it any more, dropping the last argument to GetHeader.

2002-09-30 01:05  rra

	* tests/lib/xwrite-t.c: Add tests of 0-length writes.

2002-09-29 23:34  rra

	* authprogs/Makefile, authprogs/smbval/Makefile, backends/Makefile,
	expire/Makefile, frontends/Makefile, innd/Makefile,
	innfeed/Makefile, lib/Makefile, nnrpd/Makefile: Quote the compiler
	flags when passing them to makedepend.

2002-09-29 23:33  rra

	* history/Makefile, storage/Makefile: Include dependencies for
	object files in subdirectories so that we correctly rebuild when
	there are changes, and quote the compiler flags when passed to
	makedepend.

2002-09-29 23:32  rra

	* support/makedepend: Process each source file one at a time so
	that source files in subdirectories can be handled correctly (which
	requires some post processing with sed).  This requires that the
	compiler flags be passed as a single first argument, since all the
	arguments are no longer passed unmolested on to the compiler.

2002-09-29 22:14  rra

	* storage/: Make.methods, tradindexed/ovmethod.config: Switch to
	the new overview implementation.

2002-09-29 07:09  rra

	* CONTRIBUTORS, TODO: Minor formatting tweaks to make it easier to
	convert to HTML.

2002-09-26 23:39  rra

	* backends/actsyncd.in: Correctly diagnose failures to copy when
	the active file is a local file.

2002-09-26 23:34  rra

	* backends/inndf.c: Cap the returned free inode count at 2^31 - 1
	since innwatch uses this value and bash can only do signed long
	arithmetic.  ReiserFS returns an inode count of 2^32 - 1 since it
	has "infinite" inodes.	Patch from Marco d'Itri.

2002-09-26 23:06  rra

	* configure, configure.in, authprogs/ckpasswd.c,
	include/config.h.in: Also check for <gdbm-ndbm.h> to find ndbm
	functions, for some Linux systems.  Patch from Ian Hastie.

2002-09-26 22:46  rra

	* HACKING, doc/pod/hacking.pod: Document where CVSup puts the
	downloaded source.

2002-09-24 08:54  kondou

	* doc/man/shlock.1: explain the limitation of shlock(reported by
	Berend Reitsma)

2002-09-24 08:41  kondou

	* doc/man/innfeed.conf.5: update for authinfo patch

2002-09-17 19:59  rra

	* configure, configure.in: We try to link against -lsasl2, so check
	for libsasl2, not libsasl.

2002-09-17 17:00  alexk

	* lib/xwrite.c: If any of our flavours of write get called such
	that we would write 0 bytes, return 0 and success. Fixes a problem
	you can otherwise see with errors during overview writes where the
	final flush can be for 0 bytes.

2002-09-16 20:50  rra

	* configure, configure.in, include/config.h.in, innd/inndstart.c:
	Add a probe for setgroups for Cygwin and use the results of it in
	inndstart.

2002-09-16 20:35  rra

	* nnrpd/nnrpd.c: Include the name of the client host in the
	setproctitle calls.

2002-09-16 17:41  rra

	* scripts/innupgrade.in: If running with an effective UID of root,
	chown any files we change back to the news user and news group.

2002-09-16 17:38  rra

	* scripts/: innshellvars.in, innshellvars.pl.in,
	innshellvars.tcl.in: Make the configured news group available to
	shell and Perl programs.

2002-09-16 14:36  kondou

	* innd/inndstart.c: Cygwin ain't got no setgroups.  Actually, this
	doesn't result in a _useful_ inndstart under NT, but at least it's
	an inndstart that compiles (by greg andruk)

2002-09-16 14:34  kondou

	* innd/icd.c, storage/expire.c: Here's the torture needed to
	add/remove active lines under Windows.	nnrpd already skips active
	lines that begin with ".\0"(by greg andruk)

2002-09-16 14:30  kondou

	* innd/innd.c: Need to initialize fd[1] when innd is run without
	-p.  By greg andruk

2002-09-16 14:09  alexk

	* lib/dbz.c: Remove invalidation of history entries when NFS reader
	as it doesn't help - all nodes need to be in sync, not just this
	one.

2002-09-15 16:27  vinocur

	* nnrpd/perm.c: Don't use backoffdb if innconf->backoffdb is the
	empty string

2002-09-15 04:28  kondou

	* nnrpd/post.c: nnrpd incorrectly included null Sender header

2002-09-14 04:58  kondou

	* innfeed/: connection.c, host.c, host.h: patch for authinfo for
	innfeed by Kenichi Okada

2002-09-13 00:02  rra

	* control/controlchan.in: When mailing the body of the control
	message, mail the lines of the body rather than a count of the
	lines.	(Array vs. scalar context problem.)

2002-09-11 16:32  alexk

	* doc/man/nnrpd.8: nnrpd.8 converted to pod (manually), then
	converted back to man (pod2man)

2002-09-11 16:31  alexk

	* doc/pod/: Makefile, nnrpd.pod: Convert nnrpd.8 to pod

2002-09-09 17:02  rra

	* storage/tradindexed/tradindexed.c: Just return true when
	expiregroup is called with a NULL group; we don't have to do any
	periodic cleanup.

2002-09-09 00:48  rra

	* MANIFEST, tests/TESTS, tests/util/convdate.t: Add a simple test
	suite for convdate.

2002-09-09 00:31  rra

	* tests/: Makefile, TESTS, lib/.cvsignore, lib/innconf-t.c: Add a
	simple test suite for the innconf functions.

2002-09-09 00:25  rra

	* doc/pod/inn.conf.pod, doc/man/inn.conf.5, samples/inn.conf.in:
	Document that storeonxref defaults to true and modify it in
	inn.conf.in as well.  This matches the code, but not the previously
	distributed sample inn.conf file.  It's also a more useful default.

2002-09-08 22:31  rra

	* storage/tradindexed/tdx-group.c: When reusing a cached set of
	open data files and having to reopen them because the index inode
	changed (such as during expire), we didn't update our understanding
	of the article base, resulting in overview entries being recorded
	at the wrong offset in groups that were cached across an expire
	boundary.  Fixed.
	
	The calculation of the offset for locks of individual groups was
	being done incorrectly, and as a result we were instead locking
	random sections of the group header.  (Subtraction of two pointers
	does not yield byte offsets unless they're char * pointers.)  This
	wasn't causing serious problems, since we were making the same
	mistake consistently everywhere, but we were losing concurrency.
	
	When finishing a rebuild, be somewhat more careful about the order
	in which we change things in the master index so that we always
	change the indexinode last.

2002-09-08 22:26  rra

	* storage/tradindexed/tdx-data.c: When repairing data index
	entries, use xpwrite, since we don't mmap with write permissions. 
	Corrects a segfault in tdx-util -F when fixing bad overview
	entries.

2002-09-08 22:23  rra

	* tests/overview/tradindexed-t.c: Include inn/innconf.h for
	innconf.

2002-09-08 22:22  rra

	* tests/lib/date-t.c: Correct the minimum length of the buffer,
	since I previously corrected that in the lib/date.c code.

2002-09-08 20:11  rra

	* MANIFEST: Add the innupgrade utility.

2002-09-08 20:11  rra

	* doc/man/: Makefile, innupgrade.8: Add the manual page for
	innupgrade.

2002-09-08 19:52  rra

	* MANIFEST, history/.cvsignore, history/Make.methods,
	history/Makefile, history/buildconfig.in, history/hisinterface.h:
	Rework the build machinery for the history library to match the
	build machinery for the storage library.  Mostly fixes parallel
	builds at the same time.

2002-09-08 19:49  rra

	* storage/: Make.methods, buildconfig.in: Use $(MAKE) instead of
	make for the recursive make invocations.

2002-09-08 19:10  rra

	* storage/: Make.methods, Makefile, buildconfig.in: Have
	buildconfig teach make how to rebuild all of the objects that make
	up the storage and overview methods rather than working around the
	implicit .c.o rules, and simplify the Makefile considerably as a
	result.  This also allows parallelization of the build of all of
	the storage methods.
	
	Remove rename_if_changed from buildconfig and just use rename; that
	wasn't buying us anything.

2002-09-08 18:03  vinocur

	* doc/: man/inn.conf.5, pod/inn.conf.pod: Warn users that access:
	in readers.conf overrides allownewnews:

2002-09-08 17:11  rra

	* Makefile, storage/Makefile: Fiddle with the way that libstorage
	is built again, making sure that the library is built on the first
	pass and cleaning up some dependencies.  I think that parallel
	builds *finally* work properly.

2002-09-08 16:55  rra

	* scripts/Makefile: Add an install rule for innupgrade.

2002-09-08 16:09  rra

	* storage/tradindexed/tdx-group.c: Expire was leaking file
	descriptors; tdx_expire never closed the open file descriptors for
	the old files for a group after it has been expired.  Fixed.

2002-09-08 16:08  rra

	* storage/tradindexed/tdx-data.c: Cleanly handle failure of
	tdx_data_rebuild_start in tdx_data_expire_start.

2002-09-07 18:15  rra

	* nnrpd/perl.c: Pass hp->Body to the Perl filters rather than
	hp->Value so that we don't include the leading space in the header
	value; some existing filters get confused by that.

2002-09-07 14:25  rra

	* lib/setproctitle.c: In the replacement function for most
	platforms, return immediately whenever the data we're trying to
	write is longer than the remaining space in the title.

2002-09-06 16:16  rra

	* frontends/ovdb_server.c: Add an include of
	portable/setproctitle.h.

2002-09-06 05:22  rra

	* include/libinn.h, lib/date.c: Add the new RFC 2822 date parser. 
	This parser strictly implements parsing of the full RFC 2822 date
	syntax, including the full obsolete syntax.

2002-09-04 06:17  alexk

	* history/hisv6/hisv6.c: If history is on NFS then we need to deal
	with stale NFS handles (should we happen to check at the wrong
	moment during expire). Also reopen the files in checkfiles if we
	previously failed to and our caller is still trying to use us.

2002-09-04 04:02  rra

	* TODO: The new inn.conf configuration parser is now done.  Update
	the status of the new overview code.

2002-09-04 04:01  rra

	* NEWS, doc/pod/news.pod: Added mention of the new inn.conf parser,
	and mentioned that INN now does safer temporary file creation.

2002-09-04 03:47  rra

	* MANIFEST, Makefile, lib/Makefile, lib/clientactive.c,
	lib/clientlib.c, lib/dbz.c, lib/defdist.c, lib/genid.c,
	lib/getmodaddr.c, lib/innconf.c, lib/inndcomm.c, lib/localopen.c,
	lib/remopen.c, lib/sendpass.c, storage/expire.c,
	storage/interface.c, storage/ov.c, storage/overdata.c,
	storage/tradindexed/tdx-data.c, storage/tradindexed/tdx-group.c,
	storage/tradindexed/tdx-util.c, storage/tradindexed/tradindexed.c,
	authprogs/radius.c, backends/actsync.c, backends/archive.c,
	backends/batcher.c, backends/buffchan.c, backends/cvtbatch.c,
	backends/filechan.c, backends/inndf.c, backends/innxbatch.c,
	backends/innxmit.c, backends/nntpget.c, backends/overchan.c,
	backends/shrinkfile.c, contrib/respool.c, doc/man/inn.conf.5,
	doc/man/innconfval.1, doc/man/libinn.3, doc/pod/Makefile,
	doc/pod/inn.conf.pod, doc/pod/innconfval.pod, expire/expire.c,
	expire/expireover.c, expire/fastrm.c, expire/grephistory.c,
	expire/makedbz.c, expire/makehistory.c, expire/prunehistory.c,
	frontends/ctlinnd.c, frontends/getlist.c, frontends/inews.c,
	frontends/innconfval.c, frontends/ovdb_init.c,
	frontends/ovdb_monitor.c, frontends/ovdb_server.c,
	frontends/ovdb_stat.c, frontends/rnews.c, frontends/sm.c,
	frontends/sys2nf.c, include/libinn.h, include/inn/innconf.h,
	innd/art.c, innd/cc.c, innd/chan.c, innd/icd.c, innd/innd.c,
	innd/inndstart.c, innd/keywords.c, innd/lc.c, innd/nc.c,
	innd/newsfeeds.c, innd/ng.c, innd/python.c, innd/rc.c, innd/site.c,
	innd/status.c, innd/util.c, innd/wip.c, innfeed/endpoint.c,
	innfeed/host.c, innfeed/main.c, innfeed/startinnfeed.c,
	innfeed/tape.c, nnrpd/article.c, nnrpd/commands.c, nnrpd/group.c,
	nnrpd/misc.c, nnrpd/newnews.c, nnrpd/nnrpd.c, nnrpd/perl.c,
	nnrpd/perm.c, nnrpd/post.c, nnrpd/python.c, nnrpd/sasl_config.c,
	nnrpd/track.c, samples/inn.conf.in,
	storage/buffindexed/buffindexed.c, storage/cnfs/cnfs.c,
	storage/ovdb/ovdb.c, storage/timecaf/timecaf.c,
	storage/timehash/timehash.c, storage/tradspool/tradspool.c: Switch
	to the new inn.conf configuration parser.  Fix a few lingering bugs
	in the parser picked up during testing, and rewrite innconfval to
	use the new parser interface functions.  Move the innconf struct
	definition into include/inn/innconf.h and include that file
	wherever necessary.  Call the new function to load the innconf
	struct.  Remove a few calls to openlog and includes of <syslog.h>
	that were only there because the old config parser always used
	syslog.
	
	Update the documentation for inn.conf to reflect the bugs fixed and
	the new syntax, update the sample inn.conf file to comment out the
	unset keys and to add quotes around values with spaces, and run
	innupgrade after a make update.  Remove the documentation of the
	old inn.conf parser interface.
	
	Drops the -c and -f flags from innconfval and removes the old
	parser.

2002-09-04 03:32  rra

	* scripts/Makefile: Install innupgrade.

2002-09-02 06:33  rra

	* scripts/innupgrade.in: Fix handling of the -t option.

2002-09-02 06:29  rra

	* scripts/innupgrade.in: Fix a bug in option parsing that caused -f
	and -t to not work.

2002-09-02 05:45  rra

	* Makefile: Some of the storage utilities are going to have
	dependencies on the history library, which can't be built until
	after the storage library is built.  Sigh.  Build the storage
	directory in two passes, one to build the library and a second pass
	to build the programs.

2002-09-02 05:16  rra

	* configure, configure.in: Add a missing backtick from the last
	change.

2002-09-02 03:30  rra

	* lib/innconf.c, include/inn/innconf.h: Default to the setting of
	INNCONF for the location of inn.conf before falling back on the
	compile-time default.  Add all of the code required to support
	innconfval, with some improvements:  Better shell quoting and
	canonicalization of boolean values into a single representation for
	true and false.  Fix a bug in innconf_compare.

2002-09-02 03:28  rra

	* lib/Makefile: Add innconf.c to the files to compile and update
	dependencies.

2002-09-01 23:38  vinocur

	* doc/man/cnfsheadconf.8, doc/man/cnfsstat.8,
	frontends/cnfsheadconf.in: Fix some typos

2002-09-01 22:22  rra

	* doc/pod/Makefile, doc/pod/innupgrade.pod, scripts/.cvsignore,
	scripts/Makefile, scripts/innupgrade.in: Add a script to convert
	INN configuration files to match the requirements of the current
	version.  Don't install it yet, since the fix it does is for
	inn.conf syntax and the new parser isn't enabled yet.

2002-09-01 22:20  rra

	* include/inn/innconf.h, lib/innconf.c: Initial version of new
	inn.conf parser using the new parsing library.

2002-09-01 20:56  rra

	* lib/confparse.c, tests/lib/confparse-t.c: Correct a problem with
	the new parser where a character could be missed in the parsing of
	a string if it was the character right on the bondary of a buffer
	(the first character read after the buffer was exhausted).

2002-09-01 05:35  rra

	* innd/: art.c, cc.c, innd.c, status.c: Store innconf->artcutoff in
	days rather than converting it to seconds in the configuration
	parser.  This was the only value that we were converting in the
	parser rather than storing the same as it was specified in
	inn.conf, which makes parsing more complex.  Convert it to seconds
	in the one place that it's used as such, in innd/art.c, and remove
	unnecessary multiplies and divides in the various other places it's
	set or accessed.

2002-09-01 03:49  rra

	* include/libinn.h, nnrpd/perm.c: Rename the backoff_* settings in
	innconf to remove the underscore, since the key in the parsable
	version of inn.conf doesn't have the underscore and having them
	differ makes it harder to write the new parser.  They still have
	the underscore in access structs because readers.conf expects the
	underscore; this needs to be reconciled at some point, but probably
	not until readers.conf uses the new parser.

2002-09-01 03:04  rra

	* lib/setenv.c: If malloc fails, don't set errno ourselves; it can
	mask the errno setting from malloc.

2002-09-01 02:52  rra

	* configure, configure.in: Fix the Perl library name on Cygwin. 
	Patch from Greg Andruk.

2002-09-01 02:51  rra

	* innfeed/misc.c: Remove includes of arpa/nameser.h and resolv.h;
	they don't appear to be necessary and aren't present on Cygwin. 
	Reported by Greg Andruk.

2002-09-01 02:51  rra

	* nnrpd/article.c: Cap the size of iovec arrays at 1024 even if
	IOV_MAX is larger.  Needed for Cygwin, reported by Greg Andruk.

2002-09-01 00:39  rra

	* storage/buildconfig.in: Make sure we're in the storage directory
	when we run.

2002-08-31 17:22  rra

	* INSTALL, doc/pod/install.pod: Note for both BerkeleyDB and
	OpenSSL that the include files have to be installed, not just the
	runtime libraries.

2002-08-31 16:20  rra

	* configure, configure.in: Leave a space behind when removing large
	file flags for Perl.

2002-08-31 04:34  rra

	* innfeed/imap_connection.c: Fixes some memory handling bugs when
	sending network traffic that were introduced in the concat
	conversion.  Also enables multiline LMTP handling.  Patch from Ken
	Murchison.

2002-08-31 04:31  rra

	* innfeed/innfeed.h: Remove all of the ALLOC macros and the FREE
	macro, remove the setting of __attribute__ that is now handled in
	inn/defines.h, and remove the code that turns on format checking
	for syslog since we'll be using messages functions for this and it
	just causes warnings about %m not being a valid format character.

2002-08-31 04:30  rra

	* innfeed/: article.c, buffer.c, connection.c, endpoint.c,
	configfile.y, host.c, imap_connection.c, innlistener.c, main.c,
	misc.c, tape.c: Remove all uses of the ALLOC macros in favor of
	xmalloc, xcalloc, and xrealloc (and in some places, xstrdup). 
	Replace all calls to FREE with calls to free and add explicit
	settings of the pointer to NULL where needed.

2002-08-31 03:24  rra

	* support/install-sh: Handle .exe extensions, for Cygwin
	portability.  Path sent by Greg Andruk.

2002-08-31 03:09  rra

	* storage/Make.methods: Add an empty PROGDIRS setting.

2002-08-31 03:08  rra

	* storage/Makefile: Modify the way that the subdirectories are
	built so that we recurse in two passes, first to build the objects,
	then to build the programs (if any).  In the process, clean up the
	dependencies so that parallel builds will hopefully now work.

2002-08-31 03:03  rra

	* storage/buildconfig.in: For any method.config or ovmethod.config
	that contains programs = true, include that directory in PROGDIRS
	in the generated Make.methods.

2002-08-31 00:53  rra

	* doc/pod/tdx-util.pod, doc/man/tdx-util.8,
	storage/tradindexed/tdx-util.c: Add a -F flag to tdx-util to tell
	it to fix consistency problems found in the overview database.

2002-08-31 00:12  rra

	* storage/tradindexed/tdx-group.c: Diagnose simple loops when
	adding new index entries, just to be cautious, and try not to
	create them.  Diagnose loops when dumping the master index.  Fix
	the code to repair the overview header so that it behaves correctly
	when fix is set to true; previously, there were problems with
	walking the chains correctly when indexes were removed from them. 
	Add all-zero entries to the free list rather than to the regular
	index when repairing.  Unlock the index again after the repair is
	completed.

2002-08-31 00:08  rra

	* storage/tradindexed/tdx-data.c: When finishing a rebuild of the
	overview for a group, set the new index inode and article number
	base correctly.

2002-08-30 20:03  rra

	* storage/tradindexed/tdx-util.c: When rebuilding overview for a
	group, add the group to the overview index if it isn't already
	present and sort the article numbers so that they're added in
	order.	(Currently we fudge the flag for the group; this needs to
	be fixed to get the right flag from the active file.)

2002-08-30 20:02  rra

	* storage/overdata.c: Fix various bugs in the new code to generate
	overview information.  This code is now tested and should work
	properly.

2002-08-30 17:57  rra

	* storage/tradindexed/: tdx-data.c, tdx-group.c: Minor comment
	fixes.

2002-08-30 13:42  alexk

	* nnrpd/: perl.c, post.c, post.h: Header folding support broke the
	perl post filtering, fix it up using the macro so we get it right
	if it changes.

2002-08-30 07:42  alexk

	* nnrpd/post.c: Fix IHAVE post the header folding fix - Len was
	never adjusted from 0

2002-08-30 03:52  rra

	* nnrpd/commands.c: Fixed a bug where LIST ACTIVE <group> would
	bypass permissions set in readers.conf and show any reader the
	information about the group.  This may confuse clients that use
	individual LIST ACTIVE commands to get statistics about groups.  In
	the process, break the single group case out of CMDlist into a
	separate function.

2002-08-30 03:17  vinocur

	* innd/keywords.c: Prototypes in alternate versions (ifdef'd)
	didn't match

2002-08-30 02:53  rra

	* lib/conffile.c, nnrpd/perl.c, nnrpd/perm.c: Fix bugs in the
	perl_access handling that caused nnrpd to die under some
	circumstances, and use strlcpy instead of strncpy.  Patch from Erik
	Klavon.

2002-08-30 02:37  rra

	* nnrpd/nnrpd.c: Include portable/setproctitle.h.

2002-08-29 16:36  alexk

	* doc/pod/inn.conf.pod, include/libinn.h, samples/inn.conf.in,
	scripts/inncheck.in, nnrpd/nnrpd.c: Make nnrpdloadlimit run time
	configurable with a parameter in inn.conf

2002-08-29 14:50  rra

	* expire/makehistory.c: Use the libinn buffer routines rather than
	separate ones, and simplify the code in ways allowed by that.  Fix
	a few signed vs. unsigned warnings that resulted from the
	conversion.

2002-08-29 05:17  rra

	* MANIFEST, TODO, configure, configure.in,
	frontends/ovdb_monitor.c, frontends/ovdb_server.c,
	include/config.h.in, include/portable/setproctitle.h, lib/Makefile,
	lib/setproctitle.c, nnrpd/nnrpd.c: Move the TITLEset stuff out of
	nnrpd and the ovdb server processes into lib as a replacement
	function for setproctitle.  Detect HP-UX's idiosyncratic way to do
	the same thing in a cleaner fashion, and make the handling a bit
	more consistent (including allowing variable arguments to be passed
	into our setproctitle replacement, since the standard one allows
	that).

2002-08-29 04:07  rra

	* lib/: strlcat.c, strlcpy.c: Include clibrary.h so that we get the
	right prototypes.

2002-08-29 04:07  rra

	* lib/snprintf.c: Don't include <stdlib.h>; it causes prototype
	conflicts on some platforms.  Instead, just define NULL ourselves
	if necessary.

2002-08-28 23:27  rra

	* innfeed/connection.c: Handle 503 error responses by closing the
	connection.  From Kenichi Okada.

2002-08-28 23:21  rra

	* tests/lib/vector-t.c: Move static strings containing nuls into
	static const variables since otherwise Forte 6u2 can't cope when
	you use -xstrconst.

2002-08-27 08:01  alexk

	* lib/daemonize.c: Close standard file descriptors so we completely
	disociate from our parent

2002-08-27 05:01  rra

	* doc/pod/ckpasswd.pod: Add -g to the SYNOPSIS.

2002-08-27 04:07  rra

	* MANIFEST, doc/man/tdx-util.8, doc/pod/Makefile,
	doc/pod/tdx-util.pod: Add documentation for tdx-util but don't
	install it yet since tdx-util isn't installed yet.

2002-08-26 23:05  rra

	* configure, configure.in, include/config.h.in, innd/keywords.c:
	Make sure that DO_KEYWORDS is always defined so that we can use it
	inside if statements, and adjust the conditional code in
	innd/keywords.c accordingly.

2002-08-26 02:02  rra

	* TODO: Update for current status.  The keywords stuff has been
	split out of innd/art.c, nnrpd now uses lib/timer.c, ckpasswd now
	supports PAM, Jeff is working on SASL, Russ is working on the new
	overview implementation, and integrating vasprintf is going to be
	hard.

2002-08-26 01:46  rra

	* innd/cc.c: Use independent rather than separate for the
	readerswhenstopped case.

2002-08-26 00:31  rra

	* innd/cc.c: The reporting of readerswhenstopped by ctlinnd mode
	didn't make any sense.	Inverted it, so that it now says "readers
	separate" if readers are allowed when the server is throttled and
	"readers follow" if readers are not allowed when the server is
	throttled.  (Better language here would be even better.)

2002-08-25 23:57  rra

	* doc/: pod/makehistory.pod, man/makehistory.8: Add a note about
	starting the ovdb processes while makehistory is running so that
	the transaction logs don't overwhelm the partition.

2002-08-25 23:46  rra

	* INSTALL, doc/pod/install.pod: For the tagged hash calculation,
	note that the values are in bytes.

2002-08-25 23:22  rra

	* samples/newsfeeds.in: Add an explicit * to the outgoing feeds
	since ME now contains !*.

2002-08-25 22:30  rra

	* scripts/scanlogs.in: Deal correctly with the case where
	pathlogs/OLD is on a different file system than pathlogs.

2002-08-25 22:13  rra

	* doc/: pod/makehistory.pod, man/makehistory.8: Note that the
	server should be stopped before running makehistory -O.

2002-08-25 21:58  rra

	* tests/lib/snprintf-t.c: Cast more accurately to get the maximum
	unsigned long long.

2002-08-25 21:54  rra

	* tests/lib/strlcat-t.c: Initialize the buffer used for testing.

2002-08-25 21:54  rra

	* innd/art.c: const correctness tweak to avoid warnings with Forte.

2002-08-25 21:35  rra

	* innfeed/: article.c, article.h, buffer.c, buffer.h, connection.c,
	connection.h, endpoint.c, host.c, host.h, imap_connection.c,
	innfeed.h, innlistener.c, innlistener.h, main.c, misc.c, misc.h,
	tape.c, tape.h: Global replacement of unsigned int for u_int,
	unsigned short for u_short, and unsigned int for u_long as well as
	the (deactivated) machinery for defining those types.  One more
	step towards using ISO-standard types wherever possible for more
	readability....

2002-08-25 21:13  rra

	* innd/rc.c, lib/remopen.c, nnrpd/nnrpd.c: Remove old code for
	platforms that don't have h_addr_list; the chances of any such host
	still being used is rather remote.

2002-08-24 17:25  vinocur

	* NEWS, doc/man/fastrm.1, doc/man/inn.conf.5, doc/man/innmail.1,
	doc/man/newsfeeds.5, doc/man/readers.conf.5, doc/man/uwildmat.3:
	Updates in generated documentation from changes to podlators

2002-08-24 08:47  kondou

	* expire/expire.c: expire dumped core with '-n' From:
	okada@opaopa.org

2002-08-24 04:46  rra

	* innd/: Makefile, art.c, innd.h, keywords.c: Split the keyword
	generation code out of art.c into its own file, and link INN
	against REGEXLIB.

2002-08-24 04:45  rra

	* authprogs/Makefile: Also link ckpasswd against CRYPTLIB and
	SHADOWLIB.

2002-08-24 04:44  rra

	* Makefile.global.in: Add CRYPTLIB, REGEXLIB, and SHADOWLIB.

2002-08-24 04:44  rra

	* configure.in, configure, include/config.h.in: Add a standardized
	way to search for libraries that should be added to some other
	variable than LIBS and use it.	Use it for several checks that were
	previously polluting LIBS.  Add --enable-keywords to control
	whether the keyword generation code is built and fix the broken way
	that was previously handled.  Search for Berkeley DB 4 in db4
	directories.  Fix some other minor spacing and indentation.

2002-08-24 04:40  rra

	* lib/radix32.c: Include libinn.h for a prototype.

2002-08-24 04:40  rra

	* lib/Makefile: Add a rule to create inn/system.h and update
	dependencies.

2002-08-24 00:29  rra

	* frontends/rnews.c: The calls to setgid and setuid were #ifdef'd
	out only on the BSDs.  I don't know what the point of that was and
	it's been that way for as long as we've had an INN CVS repository. 
	We don't do this anywhere else, so remove it and see if anything
	actually breaks.

2002-08-24 00:12  rra

	* innd/innd.c, innfeed/main.c: Set up a handler so that notice
	calls log to syslog with LOG_NOTICE.

2002-08-23 23:06  rra

	* frontends/Makefile: Make c7unbatch and gunbatch executable.

2002-08-23 23:05  rra

	* frontends/: Makefile, ctlinnd.c, decode.c, feedone.c, getlist.c,
	innconfval.c, ovdb_init.c, ovdb_monitor.c, ovdb_server.c,
	ovdb_stat.c, rnews.c, sm.c: Use inn/messages.h functions for error
	reporting and notices, and clean up some warnings.

2002-08-23 23:04  rra

	* frontends/inews.c: Use inn/messages.h functions for error
	reporting.  Use concat in some places where it's more appropriate,
	and clean up some errors.

2002-08-23 22:52  rra

	* tests/lib/messages-t.c: Add tests for setting 0 handlers for a
	given type of message.

2002-08-23 22:52  rra

	* tests/lib/.cvsignore: Ignore hash.t and wire.t.

2002-08-23 21:23  rra

	* configure, configure.in: Be more careful about stripping
	duplicate libraries and flags from the Perl linkage.  Potential bug
	noticed by Forrest Cavalier.

2002-08-23 18:07  rra

	* README, doc/pod/readme.pod: Add a pointer to newsx.

2002-08-23 18:02  rra

	* doc/: pod/newsfeeds.pod, man/newsfeeds.5: Add a pointer to sm(8)
	where storage API tokens are mentioned.

2002-08-23 17:59  rra

	* INSTALL, doc/pod/install.pod: Add a pointer to sm where storage
	token is mentioned.

2002-08-23 16:45  kondou

	* nnrpd/nnrpd.c: From: Kenichi Okada <okada@opaopa.org> The value
	of clienttimeout in nnrpd.c is not overridden after authinfo. The
	value is set at the only out of main loop.

2002-08-23 13:31  alexk

	* history/hisv6/hisv6-private.h: Add in an ignore field for use
	during expire

2002-08-23 13:03  alexk

	* history/hisv6/hisv6.c: When expiring automagically fix any errors
	in the history file - fixing these by hand is no fun! Also fix a
	problem with the HISwalk implementation - reason never got passed
	through, to the underlying routines.

2002-08-23 12:21  alexk

	* nnrpd/line.c: When we go into discard mode include the number of
	characters we were allowing in the log message

2002-08-21 19:35  alexk

	* tests/: Makefile, TESTS, lib/hash-t.c: Add a mini-testsuite for
	lib/hash.c

2002-08-21 07:49  alexk

	* lib/snprintf.c: Use LLONG in fmtfp() so we can handle more
	characters during floating point conversions. This is a *kludge*.

2002-08-20 22:30  vinocur

	* authprogs/ckpasswd.c, TODO, doc/pod/ckpasswd.pod: Addition of a
	-g flag to ckpasswd to return system group information as
	"user@group" for matching in readers.conf

2002-08-20 22:18  rra

	* storage/tradindexed/: tdx-data.c, tdx-group.c: Use mapcntl to
	flush pages rather than msync to ensure that the msync calls are
	aligned properly.

2002-08-20 22:16  rra

	* include/inn/mmap.h: Remove the prototype for syspagesize since we
	can now just use getpagesize.

2002-08-20 18:27  alexk

	* lib/hash.c: Fix place where we start converting characters when
	we need to do the case insensitive stuff when hashing

2002-08-20 17:08  rra

	* authprogs/ckpasswd.c: The "we don't have PAM" stub function was
	declared with the wrong number of arguments.

2002-08-19 16:02  rra

	* expire/: expire.c, grephistory.c, makedbz.c, makehistory.c,
	prunehistory.c: Use inn/messages.h functions for error reporting.

2002-08-19 01:50  rra

	* contrib/README: Remove pathinfo and add a pointer to the FTP
	site.

2002-08-19 00:17  rra

	* LICENSE, MANIFEST, authprogs/.cvsignore, authprogs/Makefile,
	contrib/.cvsignore, contrib/Makefile: Remove authprogs/pwcheck.c
	and contrib/pathinfo.in because they're not freely distributable
	with modifications.  Now found in the contrib area of ftp.isc.org.

2002-08-18 23:59  rra

	* authprogs/radius.c: Use the inn/messages.h functions for error
	reporting and reindent some confusingly-indented code.

2002-08-18 23:59  rra

	* authprogs/ident.c: Use inn/messages.h functions for error
	reporting, use xsignal_norestart and xwrite where appropriate.

2002-08-18 22:39  rra

	* frontends/ovdb_server.c: Use xsignal_norestart instead of the
	xrsignal code that was in this file.

2002-08-18 22:22  rra

	* include/libinn.h, lib/xsignal.c: Add an xsignal_norestart
	function that doesn't set SA_RESTART and sets SA_INTERRUPT if
	applicable.

2002-08-18 22:20  rra

	* lib/hash.c: Rework somewhat to be const-clean.

2002-08-18 22:20  rra

	* lib/mmap.c: Need to include inn/messages.h.

2002-08-18 02:24  rra

	* MANIFEST: Add the test suite for the domain authenticator.

2002-08-18 02:23  rra

	* tests/: TESTS, authprogs/domain.t: Add a test suite for the
	domain authenticator.

2002-08-18 02:23  rra

	* authprogs/domain.c: Largely rewritten to be cleaner and clearer. 
	Allow the domain to be specified without a leading period. 
	Explicitly handle the case where the hostname is the same as the
	domain.  Use inn/messages.h functions for error handling.

2002-08-18 01:41  rra

	* backends/: archive.c, batcher.c, buffchan.c, cvtbatch.c,
	filechan.c: Use inn/messages.h functions for error reporting.

2002-08-18 01:40  rra

	* backends/actsync.c: Use inn/messages.h functions for error
	reporting and use xmalloc, xrealloc, and xstrdup for memory
	allocation.

2002-08-17 23:13  rra

	* backends/innxbatch.c: Use the inn/messages.h functions for error
	reporting.

2002-08-17 22:56  rra

	* backends/innxmit.c: Use the inn/messages.h functions for error
	reporting.

2002-08-17 21:34  rra

	* TODO: Various updates.  getloadavg has been done, some of the
	work to retire argify has been done, portable/socket.h now exists,
	and improvements to the temporary file handling have been done.

2002-08-17 21:33  rra

	* storage/: cnfs/cnfs.c, buffindexed/buffindexed.c,
	timecaf/timecaf.c: Assume that getpagesize exists rather than
	falling back on sysconf, since we now supply a replacement if it's
	missing.

2002-08-17 21:32  rra

	* lib/mmap.c: Assume that getpagesize exists rather than providing
	a replacement.

2002-08-17 21:29  rra

	* configure, configure.in, lib/Makefile, lib/getpagesize.c: Add a
	replacement for getpagesize for systems that don't have it.

2002-08-15 15:16  alexk

	* include/inn/wire.h: Wire format article utilities header file

2002-08-15 08:16  alexk

	* storage/: interface.c, cnfs/cnfs.c, timecaf/timecaf.c,
	timehash/timehash.c, tradspool/tradspool.c: Switch to using
	wire_findbody everywhere, remove SMFindBody. Also add a one page
	behind flush cache when running with nfswriter so we don't thrash
	the system too badly.

2002-08-15 08:11  alexk

	* nnrpd/newnews.c, nnrpd/nnrpd.c, nnrpd/nnrpd.h,
	scripts/innreport_inn.pm: Add TMR_NEWNEWS; note that time in Printf
	probably wants separating out into a different timer.

2002-08-15 05:00  alexk

	* lib/conffile.c: Must only check ferror() if our file pointer is
	non-NULL

2002-08-14 20:11  alexk

	* lib/hash.c: Need len setting in HashMessageID even though we
	don't need it for malloc anymore, optimise it some whilst we're
	about it.

2002-08-14 07:05  alexk

	* lib/Makefile, lib/wire.c, tests/Makefile, tests/TESTS,
	tests/lib/wire-t.c: Add wire.c - a collection of routines for
	manipulating in core, wire format articles

2002-08-14 05:23  rra

	* backends/nntpget.c: Use inn/messages.h functions.

2002-08-14 05:00  rra

	* scripts/innreport_inn.pm: Adjust the overchan message patterns
	since the timings no longer contain the extraneous extra
	"overchan".  Nothing is currently being done with this data.

2002-08-14 04:59  rra

	* backends/overchan.c: Use inn/messages.h functions.

2002-08-14 04:54  rra

	* backends/Makefile: shlock now requires libinn.

2002-08-14 04:38  rra

	* backends/shlock.c: Use the inn/messages.h functions.

2002-08-14 04:29  rra

	* backends/shrinkfile.c: Use inn/messages.h functions and use
	mkstemp instead of mktemp.

2002-08-14 01:52  rra

	* frontends/: ovdb_init.c, ovdb_monitor.c, ovdb_server.c,
	ovdb_stat.c: Clean up includes and remove old INN 2.3 era code. 
	Use the portable/*.h headers.

2002-08-14 01:46  rra

	* contrib/pullart.c, frontends/ovdb_init.c, include/acconfig.h,
	include/config.h.in, innd/rc.c, nnrpd/nnrpd.h,
	storage/ovdb/ovdb-private.h, storage/ovdb/ovdb.h: Eliminate the
	remaining uses of BOOL in the tree and remove the typedef for it. 
	We now use bool uniformly everywhere.

2002-08-14 01:46  rra

	* storage/ovdb/ovdb.c: Remove the few places where we were
	retaining build-time compatibility with INN 2.3 since it hasn't
	been maintained since the getartinfo change.

2002-08-13 15:43  alexk

	* frontends/ovdb_init.c: Allow to compile w/ BDB 2, also on BDB 4
	and above (really 3 and above) use the right database delete stuff

2002-08-13 09:20  alexk

	* history/his.c: Factor out a common his_logger call

2002-08-13 04:00  rra

	* configure, MANIFEST, configure.in, nnrpd/Makefile, nnrpd/nnrpd.c,
	include/acconfig.h, include/config.h.in: Only support nnrpd load
	average checking on systems with a getloadavg call and add the
	appropriate configure bits to look for such a function and its
	headers.  Remove the configure bits looking for the elf library,
	since we don't use it anywhere any more.  Also fix some warnings in
	nnrpd/nnrpd.c.

2002-08-13 03:57  rra

	* nnrpd/nnrpd.h: Rename some of the arguments to the Python
	functions to not shadow global variables, and prototype PY_close()
	and PY_setup().

2002-08-13 03:45  rra

	* lib/strlcpy.c: Fix a cut and paste error in a comment.

2002-08-13 01:29  rra

	* HACKING, doc/pod/hacking.pod: Add mentions of using snprintf,
	strlcpy, and strlcat, a recommendation against global and static
	variables, and a recommendation against fixed- width buffers to the
	style section.

2002-08-13 00:25  rra

	* configure, LICENSE, MANIFEST, configure.in, include/clibrary.h,
	include/config.h.in, lib/Makefile, lib/strlcat.c, tests/Makefile,
	tests/TESTS, tests/lib/.cvsignore, tests/lib/strlcat-t.c: Add an
	implementation of strlcat for those platforms that don't have it.

2002-08-12 06:09  rra

	* doc/pod/ckpasswd.pod: Add a mention of PAM, add documentation for
	-u and -p, and mention the dbmpasswd and htpasswd programs.

2002-08-12 06:01  rra

	* tests/authprogs/ckpasswd.t: Add a test that feeds input in the
	same way that nnrpd would.

2002-08-12 05:52  rra

	* authprogs/ckpasswd.c: Significantly rewritten.  Clean up the
	handling of conditional code so that there aren't #ifdefs embedded
	in the middle of code.	Make the PAM authentication easier to read
	and pull it out into its own function.	Make use of libinn when
	reading password files, and use cvector_split to parse lines and
	split on colons.  Add -u and -p flags to give usernames and
	passwords on the command line to make it easier to test.  Use the
	current message handling routines, and avoid static variables.

2002-08-12 05:46  rra

	* MANIFEST, tests/TESTS, tests/authprogs/ckpasswd.t,
	tests/authprogs/passwd: Add a basic test suite for ckpasswd (just
	for -f for now).

2002-08-12 05:34  rra

	* nnrpd/perm.c: Add back in a variable only used for IPv6, this
	time inside the appropriate #ifdef.

2002-08-12 02:06  rra

	* LICENSE, MANIFEST, configure, configure.in, include/clibrary.h,
	include/config.h.in, lib/Makefile, lib/strlcpy.c, tests/Makefile,
	tests/TESTS, tests/lib/.cvsignore, tests/lib/strlcpy-t.c: Add an
	implementation of strlcpy for those systems that don't have it.

2002-08-12 02:03  rra

	* contrib/.cvsignore: Ignore the respool binary.

2002-08-12 01:04  rra

	* MANIFEST, include/libinn.h, lib/Makefile: Move the bits of
	lib/argparse.c that storage/ov3/ov3.c uses into that file, since it
	is the only client right now, so that when we retire the old
	overview implementation we can also retire that code.  (New code
	should use vectors instead.)

2002-08-12 00:33  rra

	* innd/art.c: Clarify the error messages complaining about Xref
	headers when xrefslave is turned on.

2002-08-12 00:30  rra

	* doc/: pod/inn.conf.pod, man/inn.conf.5: Move the paragraph about
	how this file cannot be reloaded with ctlinnd reload closer to the
	top, since people keep missing it.

2002-08-12 00:24  rra

	* CONTRIBUTORS: Add Bear Giles.

2002-08-12 00:23  rra

	* MANIFEST, contrib/Makefile, contrib/README, contrib/respool.c:
	Add a contributed program from Richard Todd to respool articles
	using the storage API.	Requires a history and overview rebuild
	after finishing.

2002-08-11 23:43  rra

	* tests/lib/strerror-t.c: strerror no longer fails with huge
	errnos.

2002-08-11 23:42  rra

	* storage/: buffindexed/buffindexed.c, cnfs/cnfs.c,
	ovdb/ovdb-private.h, ovdb/ovdb.c, timecaf/caf.c, timecaf/caf.h,
	timecaf/timecaf.c, timehash/timehash.c, tradspool/tradspool.c,
	trash/trash.c: Prefer strncpy to strcpy and snprintf to sprintf,
	and use concat or concatpath where appropriate.  Based on work by
	Bear Giles.
	
	Silence a ton of warnings.

2002-08-11 22:36  rra

	* nnrpd/: article.c, commands.c, group.c, newnews.c, nnrpd.c,
	perl.c, perm.c, post.c, sasl_config.c, tls.c, track.c: Prefer
	snprintf to sprintf, vsnprintf to vsprintf, and strncpy to strcpy. 
	Use concat and concatpath where appropriate.  Based on work by Bear
	Giles.
	
	Clean up various easy-to-fix warnings.

2002-08-11 22:23  rra

	* lib/: date.c, dbz.c, genid.c, hash.c, hstrerror.c, strerror.c:
	Prefer snprintf to sprintf and use xstrdup rather than malloc and
	strcpy.  Based on work by Bear Giles.

2002-08-11 22:21  rra

	* innfeed/: host.c, imap_connection.c, innlistener.c, misc.c: Use
	snprintf, concat, concatpath, or xstrdup instead of sprintf or
	strcpy as is appropriate.  Based on work by Bear Giles.  Also fix a
	few easy warnings.

2002-08-11 20:12  rra

	* innd/: art.c, cc.c, chan.c, icd.c, innd.c, innd.h, inndstart.c,
	nc.c, newsfeeds.c, perl.c, python.c, rc.c, site.c, status.c, tcl.c,
	util.c: Prefer snprintf to sprintf when the buffer size is
	available.  Pretty much all of these calls could not have caused
	problems because they were protected by MaxLength, but prefer
	snprintf anyway because it makes it easier to audit and provides
	defense in depth.  Based on work by Bear Giles.
	
	Clean up the remaining warnings that are easy to resolve.

2002-08-11 19:52  rra

	* frontends/: ctlinnd.c, feedone.c, inews.c, innconfval.c,
	ovdb_init.c, ovdb_monitor.c, ovdb_server.c, ovdb_stat.c, rnews.c:
	Replace non-obvious calls to sprintf where the buffer size is
	available with calls to snprintf.  Also replace some calls to
	sprintf with calls to concat, concatpath, or snprintf where
	possible.  Based on work by Bear Giles.
	
	Eliminate the remaining warnings that are easily fixable.

2002-08-11 19:07  rra

	* expire/: expire.c, expireover.c, fastrm.c, grephistory.c,
	makedbz.c, makehistory.c, prunehistory.c: Replace calls to sprintf
	with concat or snprintf as appropriate, and use strncpy instead of
	strcpy in a few places.  Based on work by Bear Giles.  Also get rid
	of the remaining warnings that can be easily resolved.

2002-08-11 18:49  rra

	* contrib/: newsresp.c, pullart.c: Prefer snprintf to sprintf. 
	Based on work by Bear Giles.

2002-08-11 18:48  rra

	* include/libinn.h: Missed some renamings of wildmat routines.

2002-08-11 17:41  rra

	* lib/getmodaddr.c: Rework to use mkstemp and use snprintf instead
	of sprintf to deal with the remaining static buffers.

2002-08-11 05:47  rra

	* backends/: archive.c, batcher.c, buffchan.c, innxbatch.c,
	innxmit.c, nntpget.c, shlock.c, shrinkfile.c: Replace lots of
	instances of sprintf with snprintf, concat, or concatpath, as is
	appropriate.  Based on work by Bear Giles.

2002-08-11 05:13  rra

	* authprogs/Makefile: libauth.c now depends on libinn.a, so make
	sure that everything links properly.

2002-08-11 05:12  rra

	* authprogs/radius.c: Use structure copies to avoid some strncpy
	warnings, add some casts to suppress warnings, use memset instead
	of bzero, and adjust to the new get_auth interface that returns a
	struct.

2002-08-11 05:11  rra

	* authprogs/ident.c: Adjust the includes for the changes to
	libauth.h and to include <signal.h>.

2002-08-11 05:10  rra

	* authprogs/auth_smb.c: Rewritten to INN's coding style and to use
	inn/messages.h, use the new get_auth interface that returns a
	struct, and use the symbolic constants from smbval/valid.h rather
	than the integers.

2002-08-11 05:09  rra

	* authprogs/ckpasswd.c: Adjust for the new get_auth interface that
	returns a struct, explicitly check for empty usernames but allow
	empty passwords, and add a cast to suppress a warning about signed
	vs. unsigned comparison.

2002-08-11 05:08  rra

	* authprogs/: libauth.c, libauth.h: Change the interface to
	get_auth to return a struct with allocated strings rather than to
	accept two buffers, just to be paranoid about buffer overflows. 
	Don't include clibrary.h in libauth.h even though all the includers
	do use it because not having the C files include that themselves is
	different than the other parts of INN.	Move NAMESTR and PASSSTR
	into libauth.c since no callers should know about them.

2002-08-11 03:11  rra

	* authprogs/: ckpasswd.c, ident.c, radius.c: Be more careful about
	some strcpys and prefer snprintf to sprintf.  Patch from Bear
	Giles.

2002-08-11 02:58  rra

	* authprogs/: Makefile, auth_smb.c: Switch auth_smb.c over to using
	libauth.c rather than rolling its own version.

2002-08-11 01:27  rra

	* INSTALL, doc/pod/install.pod: Added an awk command that will
	generate all of the dd commands that need to be run to generate the
	cycbuffs for CNFS.

2002-08-11 01:13  rra

	* expire/makedbz.c: Suppress the remaining warnings.  Prototype
	Usage correctly for ANSI C and cast off_t arguments to fprintf to
	unsigned long.

2002-08-11 01:10  rra

	* expire/makedbz.c: Count the lines in the history file and use
	that as a table size rather than the dbz defaults if building a
	fresh database from a history file of non-zero size.  Patch from
	Suboptimal Meowbot.

2002-08-10 19:03  rra

	* NEWS, doc/pod/news.pod: Add back in changes that were only
	applied to NEWS:  nfsreader/nfswriter, IHAVE support in nnrpd, long
	lines in nnrpd posts, and dropping support for the distributions
	argument to NEWNEWS.

2002-08-10 18:51  rra

	* INSTALL, MANIFEST, NEWS, lib/Makefile, lib/defdist.c,
	lib/getmodaddr.c, lib/uwildmat.c, storage/expire.c,
	storage/interface.c, backends/actsync.c, backends/archive.c,
	include/acconfig.h, doc/man/Makefile, doc/man/actsync.8,
	doc/man/archive.8, doc/man/distrib.pats.5, doc/man/expire.ctl.5,
	doc/man/getlist.1, doc/man/incoming.conf.5, doc/man/libstorage.3,
	doc/man/mailpost.8, doc/man/moderators.5, doc/man/nnrpd.8,
	doc/man/storage.conf.5, doc/man/uwildmat.3, doc/pod/Makefile,
	doc/pod/install.pod, doc/pod/news.pod, doc/pod/newsfeeds.pod,
	doc/pod/readers.conf.pod, doc/pod/uwildmat.pod,
	frontends/getlist.c, frontends/inews.c, innd/art.c,
	innd/newsfeeds.c, innd/rc.c, innd/site.c, nnrpd/article.c,
	nnrpd/commands.c, nnrpd/group.c, nnrpd/misc.c, nnrpd/perm.c,
	nnrpd/post.c, tests/Makefile, tests/TESTS, tests/lib/.cvsignore,
	tests/lib/uwildmat-t.c: Rename wildmat to uwildmat and make similar
	changes in all of the other interfaces and data types.	Update the
	documentation to explain that this has been done to distinguish
	between our current code and Rich $alz's original code.

2002-08-10 18:42  rra

	* tests/overview/tradindexed-t.c: Set tradindexedmmap.

2002-08-10 18:40  rra

	* storage/tradindexed/tdx-group.c: Detect simple loops in record
	chains in the index file (and correct them in the audit code). 
	When expanding the index file, if mmaping the file fails, truncate
	the file down to its previous size again to avoid leaving behind a
	bunch of records that all think record 0 is the next record.

2002-08-10 18:39  rra

	* storage/tradindexed/tdx-data.c: Suppress a warning when printing
	out the length of unexpected data at the end of the file by casting
	off_t to an unsigned long.

2002-08-07 12:36  alexk

	* lib/dbz.c: If running with nfsreader flush the cache prior to
	reading during searches

2002-08-07 12:10  alexk

	* contrib/mlockfile.c: Add -i <interval> (set the interval in
	seconds between checks) and -f (do msyncs at <interval>), also
	allow @offset:length on the end of filenames to allow a portion of
	a file to be locked in core - useful for locking the CNFS bitmaps
	in core

2002-08-02 21:20  vinocur

	* innfeed/imap_connection.c: Clean up a few warnings

2002-08-02 21:15  vinocur

	* Makefile.global.in, configure, configure.in,
	doc/man/innfeed.conf.5, include/config.h.in, innfeed/Makefile,
	innfeed/imap_connection.c, innfeed/main.c: 
	Update imapfeed for SASLv2
	
	From Ken Murchison <ken@oceana.com>

2002-08-02 16:22  alexk

	* lib/Makefile: Need to build mmap.c too...

2002-08-02 16:19  alexk

	* NEWS, nnrpd/commands.c, nnrpd/misc.c, nnrpd/newnews.c,
	doc/compliance-nntp: Drop out the [<distributions>] argument from
	NEWNEWS and NEWGROUPS as per the NNTP draft.
	
	Also check for articles in store if we're running with checkart
	enabled - we should behave the same way as the overview commands
	since we're all using the same database.

2002-08-02 15:42  alexk

	* lib/mmap.c, lib/dbz.c, include/inn/mmap.h: Add nfswriter support
	into the dbz code - if nfswriter is enabled, schedule syncs of
	pages we touch.

2002-08-02 15:37  alexk

	* nnrpd/nnrpd.c, TODO: Move timer initialisation after we fork so
	the numbers don't just grow forever, switch to the generic
	daemonize code, drop [<distributions>] out from the help pages,
	when doing timer summary use our client's name.

2002-08-02 13:35  kondou

	* nnrpd/post.h: nnrpd dumped core if header is unset

2002-08-02 12:12  alexk

	* include/portable/mmap.h: If we're running with nfsreader, when we
	get a mmap_invalidate() really invalidate even if it wouldn't
	normally be needed on a platform

2002-07-25 22:29  kondou

	* nnrpd/perm.c: fix for a problem in nnrpd: when the authenticator
	program is missing, nothing is logged

2002-07-20 08:35  kondou

	* innd/art.c: 
	innd missed NNTP return code if article is rejected in some case

2002-07-14 16:42  kondou

	* nnrpd/: post.c, post.h: 
	nnrpd did not handle folded headers correctly

2002-07-10 11:21  kondou

	* innfeed/: host.c, innlistener.c, main.c, tape.c: 
	From: inn-workers@2bb49e3f.mozone.net
	
	Opera does not honor the <pre>'s because per spec, a <pre> must not
	contain header tags or like, not to mention the lack of a head/body
	statement

2002-07-09 22:38  kondou

	* samples/innreport.conf.in, scripts/innreport_inn.pm: From:
	Kenichi Okada <okada@opaopa.org> nnrpd_resource did not work kludge
	for reporting user names at authinfo

2002-07-05 04:13  rra

	* LICENSE: Fix a missing word in the note about contrib.

2002-07-04 03:49  alexk

	* samples/innreport.conf.in, scripts/innreport_inn.pm: Add nnrpd
	timer stats using the generic timer library into the report

2002-06-27 03:31  kondou

	* frontends/rnews.c: From: Jochen Erwied <jochen@erwied.de>
	Permissions for the wrong file try to be changed when server is
	offline

2002-06-20 04:49  alexk

	* lib/conffile.c: If we get an error whilst reading from a
	configuration file, don't spin for ever trying to read it

2002-06-13 08:32  alexk

	* nnrpd/nnrpd.c, doc/man/nnrpd.8: Sigh... disabling Perl filters is
	really hard because of the way the code is structured

2002-06-12 05:36  vinocur

	* doc/man/nnrpd.8: Fixed typos

2002-06-10 17:16  alexk

	* nnrpd/line.c: Fix when compiling w/o HAVE_SSL - from Kenichi
	Okada <okada@opaopa.org>

2002-06-07 15:35  alexk

	* TODO: Add note about auditing nnrpd/perm.c against readers.conf.5

2002-06-07 15:28  alexk

	* NEWS: Add words on recent changes - addition of
	`tradindexedmmap', `nfsreader' and `nfswriter' to inn.conf, IHAVE
	and long line support for nnrpd,

2002-06-07 15:07  alexk

	* doc/compliance-nntp: Remove issue "nnrpd rejects articles with
	lines over 998 octets", nnrpd should now be fixed and accept
	arbitrary length lines

2002-06-07 14:58  alexk

	* nnrpd/nnrpd.c: Fix bug in which string we pass to openlog (for
	the second time)

2002-06-07 14:17  alexk

	* doc/man/inn.conf.5: Synchronise with .pod

2002-06-07 14:03  alexk

	* doc/man/libstorage.3: Add an explicit note that OVsearch doesn't
	\0 terminate data it returns

2002-06-07 13:59  alexk

	* include/inn/messages.h, lib/messages.c: Add sysnotice() alongside
	the other logging calls

2002-06-07 13:50  alexk

	* nnrpd/: Makefile, commands.c, line.c, misc.c, nnrpd.c, nnrpd.h:
	Rewrite input stream handling so we can cope with arbitrarily long
	lines, we have some measure of denial-of-service protection by
	discarding characters should we get a line longer than
	localmaxartsize.
	
	Fix a bug inadvertently introduced with the -N option - can't call
	PerlFilter unless we're DO_PERL
	
	Changed the input stream idle timer to use the generic timer
	library, right now this probably means innreport won't report such
	things
	
	Fix mishandling of free of message_program_name

2002-06-06 08:54  alexk

	* doc/compliance-nntp, doc/man/nnrpd.8, doc/man/readers.conf.5,
	doc/pod/readers.conf.pod, nnrpd/commands.c, nnrpd/nnrpd.c,
	nnrpd/nnrpd.h, nnrpd/perm.c, nnrpd/post.c: Add support for IHAVE to
	nnrpd - still some bugs to fix, we don't report errors correctly
	when we get lines longer than READline can cope with.
	
	Add a call to closelog() before quitting.
	
	Fix a bug where the message handlers weren't being set up, in
	particular this could cause error messages from the history API to
	make it out onto the wire.
	
	Add a -N option to nnrpd to disable filtering.
	
	Update readers.conf with documentation on how to enable IHAVE for a
	client.

2002-06-05 11:05  alexk

	* nnrpd/: article.c, newnews.c, nnrpd.h: OVERGetHeader was assuming
	overview records are null terminated, for tradindexed (at least)
	this isn't true, so change how it works so it uses the length
	returned from OVsearch as the limit on which characters it will
	touch

2002-05-31 12:46  alexk

	* nnrpd/perm.c: Fix assorted (and minor) memory leaks

2002-05-31 10:39  alexk

	* nnrpd/nnrpd.c: Shutdown the storage manager before quitting

2002-05-31 06:33  alexk

	* control/pgpverify.in: Fix two problems - if you don't have pgp
	installed the code gives up even if that wasn't what you wanted to
	use, and secondly it looks for pubring.pgp rather than pubring.gpg
	even when running gpg

2002-05-30 08:59  alexk

	* nnrpd/misc.c: If we can't find a Newsgroups line in an article
	when checking permissions, let the user read it rather than core
	dumping

2002-05-29 15:49  vinocur

	* nnrpd/perm.c: Check for existence of readers.conf resolvers and
	authenticators before trying to exec them; current behavior was
	correct except that the log messages were very misleading.

2002-05-29 14:59  alexk

	* nnrpd/nnrpd.c: When daemonising disconnect our std handles so our
	parent can quit cleanly

2002-05-29 14:52  alexk

	* nnrpd/newnews.c: Fix a problem Purify found, when parsing the
	group list we know the string is null terminated, so rely on that,
	rather than trying to guess how many bytes we should copy.

2002-05-29 14:52  alexk

	* nnrpd/article.c: Fix two problems:
	
	When throttling the code forgot to reset its position through the
	iov array on each iteration over it resulting in buffer overruns
	and core dumps.
	
	Also mask a problem in innd - for some articles innd fails to write
	the overview correctly and doesn't include the Lines element, this
	upset (and broke) virtual hosting

2002-05-29 14:47  alexk

	* frontends/cnfsstat.in: When syslogging split on \s (spaces)
	rather than \b (word boundaries), this allows `-' to appear in the
	names of CNFS buffers (and is compatible with what innreport does)

2002-05-27 13:31  alexk

	* nnrpd/article.c: Merge Katsuhiro's patch which handles the too
	long scan of the header more cleanly than my change

2002-05-27 13:23  alexk

	* include/libinn.h: Merge Katsuhiro's FindEndOfHeader routine so we
	can call it during handling of virtual hosting in nnrpd

2002-05-27 12:40  alexk

	* nnrpd/article.c: Fix multiple bugs in vhost handling, when doing
	article sends, hopefully all 4 cases are tested. Previously we had
	code which did things like memchr(xref, ' ', -6) and any articles
	which had Xref before Path were badly munged.

2002-05-27 12:21  alexk

	* doc/man/nnrpd.8: Add documentation on -i and -I

2002-05-27 12:20  alexk

	* nnrpd/: commands.c, nnrpd.c: Add -I option which sets an
	additional static portion in generated message IDs when doing
	virtual hosting - need this so that a cluster of machines for the
	same virtual host don't accidentally generate clashing message IDs.
	
	Also fix up a bug where the code was assuming that string literals
	were always being merged (NEWSMASTER)

2002-05-27 09:52  alexk

	* control/gpgverify.in: If innshellvars has a location for gpgv use
	that rather than trying to guess where it is.

2002-05-26 15:31  kondou

	* expire/expireover.c: 
	optarg must be copied in case of '-f' option

2002-05-24 17:32  vinocur

	* scripts/inncheck.in: 
	Fix typo
	
	Add a fixme comment regarding moderatormailer: handling

2002-05-24 17:06  vinocur

	* scripts/inncheck.in: parsecontrol and newsrequeue are gone

2002-05-24 15:46  alexk

	* nnrpd/article.c: Don't core dump if we don't match any tabs in
	the xref

2002-05-23 12:30  alexk

	* doc/pod/inn.conf.pod, include/libinn.h, samples/inn.conf.in,
	scripts/inncheck.in, storage/cnfs/cnfs.c,
	storage/tradindexed/tdx-data.c, storage/tradindexed/tdx-group.c:
	Add three new options to inn.conf:
	
	nfswriter: assume the spool is on NFS mounted storage and use
	explicit msync()s to try and force data out in a timely manner;
	currently only implemented for cnfs
	
	nfsreader: assume the spool is on NFS mounted storage and use
	explicit msync()s to try and invalidate data before using it to
	ensure up to dateness; currently only implemented for cnfs
	
	tradindexedmmap: don't use mmap() for tradindexed, read the data
	directly.
	
	tradindexedmmap corresponds to what what #ifdef NFSREADER and more
	accurately describes what it does.
	
	We also fix a bug in what was the NFSREADER code so we don't
	allocate 4 times as much ram as we need to read the overview in
	(the code was allocating a pointer's worth of storage for every
	byte it needed to read)

2002-05-23 10:53  alexk

	* innd/Makefile, nnrpd/Makefile: Move $(PERLLIB) to the end of the
	library list, else all the stuff which Perl lands in there (-lc
	etc.) prevents us from overriding stuff such as malloc

2002-05-20 12:50  alexk

	* tests/lib/buffer-t.c: Fix duplicated use of a check number

2002-05-06 05:47  rra

	* storage/tradindexed/tdx-util.c: Add (as-yest untested) code to
	rebuild the overview data for a group from a directory of articles
	and the history database.

2002-05-06 05:46  rra

	* storage/tradindexed/: tdx-data.c, tdx-group.c, tdx-private.h: Add
	_rebuild_start and _rebuild_finish functions for both data and
	index, and use them for expiration as well.  Fixes one latent bug
	in the expire code and makes possible rebuilding of the overview
	information on a per- group basis by an external program.

2002-05-06 05:44  rra

	* storage/: overdata.c, ovinterface.h: Add code to read the
	overview.fmt configuration and to generate overview data from an
	article.  (As yet untested.)

2002-05-06 05:40  rra

	* lib/buffer.c, tests/lib/buffer-t.c, include/inn/buffer.h: Add
	buffer_new and buffer_resize functions, and change the way
	buffer_set works to still use 1KB allocation sizes.

2002-04-29 07:56  alexk

	* history/hisv6/hisv6.c: Fix order of error checks in
	hisv6_traverse so we report too long lines correctly, also add in
	the line number to aid tracking down the failure

2002-04-25 06:12  rra

	* storage/buffindexed/buffindexed.c: Don't do pointer arithmetic
	with void * pointers; cast them to char * pointers first.  Patch
	from Heiko Schlichting.

2002-04-25 06:09  rra

	* include/Makefile, support/mksystem: Pass the path to awk to
	mksystem rather than assuming it's in the user's path, and pass awk
	a single-quoted script to run rather than trying to feed it a
	script on stdin because IRIX's awk implementation is pathetic. 
	Patch from Heiko Schlichting.

2002-04-25 06:03  rra

	* configure, configure.in: Fix a typo in the cache variable for the
	probe for C99 macros.  Patch from Heiko Schlichting.

2002-04-24 16:39  alexk

	* Makefile: Make sure directories get created with $(D) prefixed,
	so DESTDIR support works as expected

2002-04-23 06:21  rra

	* storage/tradindexed/tdx-group.c: Correctly set the low water mark
	in the overview database for groups without any articles.  Adjust
	the auditing of group information to account for the fact that
	newly created entries in the free list may have a zero deleted
	time.

2002-04-23 06:19  rra

	* storage/tradindexed/tdx-data.c: Don't attempt to mmap empty
	files; just leave the pointers as NULL in that case.  This is
	slightly ugly, but it also seems to work everywhere.  (mmap at
	least on Solaris returns errors on empty files.)  Remove the stub
	overview_check implementation.	Be sure to close the data files if
	anything fails during an audit so that we don't leak file
	descriptors.  Skip empty entries when auditing overview
	information.  Don't report incorrect low water marks if the group
	is empty.

2002-04-23 06:16  rra

	* storage/tradindexed/tdx-util.c: Add a -A option to run
	tdx_index_audit.

2002-04-23 06:11  rra

	* MANIFEST, storage/Makefile, storage/overdata.c,
	storage/ovinterface.h: Add an overview_check function to check the
	validity of a chunk of overview data.

2002-04-23 06:07  rra

	* tests/lib/vector-t.c: vector_split no longer collapses multiple
	separators.  Also convert the test suite to use the libtest
	ok_string and ok_int functions.

2002-04-23 06:06  rra

	* include/inn/vector.h, lib/vector.c: Change vector_split to not
	collapse multiple separator characters or separators at the
	beginning or end of the string.  This was needed for overview
	parsing, and there are no other clients of this function in INN
	yet, and this approach gives the caller more flexibility.

2002-04-22 00:20  rra

	* MANIFEST, storage/Makefile, storage/expire.c, storage/ov.c,
	storage/ovinterface.h: Split all of the overview-driven expiration
	code out of ov.c into a separate file to make both it and the
	overview interface easier to maintain.

2002-04-20 02:58  rra

	* INSTALL, doc/pod/install.pod: Add a reference to NEWS, add
	OpenBSD to the list of tested platforms, and remove the reference
	to gcc problems on IRIX with inet_ntoa because configure now
	handles this.

2002-04-18 21:07  rra

	* samples/control.ctl: Fix the key name for es.*.

2002-04-18 20:50  rra

	* samples/control.ctl: Add nlo.*.

2002-04-18 06:31  rra

	* samples/control.ctl: Add an entry for microsoft.*, recommending
	actsync and ignoring control messages by default.

2002-04-18 06:07  rra

	* samples/control.ctl: Add idoctra.* and spokane.*, update
	information for es.* and us.*.

2002-04-18 05:48  rra

	* samples/control.ctl: Remove the entry for liu.*; the e-mail
	address given doesn't exist any more and liu.* hasn't been used for
	years.

2002-04-18 05:36  rra

	* tests/lib/.cvsignore: Ignore the buffer test program.

2002-04-18 04:29  rra

	* control/pgpverify.in: -- Native support for GnuPG without the
	pgpgpg wrapper, using GnuPG's	 program interface by Marco d'Itri.
	 -- Always use Sys::Syslog without any setlogsock call for Perl
	5.6.0 or    later, since Sys::Syslog in those versions of Perl uses
	the C library	 interface and is now portable.  -- Default to
	expecting the key ring in $inn'newsetc/pgp if it exists.  -- Fix a
	portability problem for Perl 4 introduced in 1.12.

2002-04-18 00:38  rra

	* innd/nc.c: Return the message ID in response to STAT, not the
	token.	Patch from Frank Copeland.

2002-04-17 15:52  kondou

	* nnrpd/: group.c, nnrpd.c: 
	From: Nick Leverton <nick@leverton.org>
	
	referred to DISPOSE()'ed area(group.c)
	
	fixes print format typo(nnrpd.c)

2002-04-15 08:59  rra

	* storage/tradindexed/tdx-private.h: Add prototypes for the new
	auditing code.

2002-04-15 08:59  rra

	* storage/tradindexed/tdx-group.c: Refactor common code for
	manipulating linked lists of index entries and adding entries to
	the free list.	Be somewhat more standard about using long as the
	data type for an index entry location number, and using current as
	a variable name for walking lists.  Set a better low water mark for
	empty newsgroups so that we can eventually return the recommended
	response to GROUP for empty groups.
	
	Add extensive code for auditing and repairing the structure of the
	group index file and checking the data for each group in turn. 
	This code has not yet been tested.

2002-04-15 08:56  rra

	* storage/tradindexed/tdx-data.c: Fix a bug in repacking, where the
	correct index inode would not be set in the group index entry.	Add
	extensive new code to audit the data files for a group and
	optionally try to correct any problems found.  This code is not
	entirely complete (code to parse and check the overview data itself
	is as yet unwritten), and has not yet been tested.

2002-04-15 08:50  rra

	* MANIFEST: Update for some additional tradindexed changes,
	include/inn/messages.h, and the removal of innfeed/makedepend.sh.

2002-04-15 08:47  rra

	* include/inn/buffer.h, lib/Makefile, lib/buffer.c, tests/Makefile,
	tests/TESTS, tests/lib/buffer-t.c: Add a version of the reusable
	counted buffer code (BUFFER, BUFFset, and BUFFappend) to libinn so
	that other parts of INN can use them.

2002-04-15 08:40  rra

	* tests/lib/fakewrite.c: Fix a signed/unsigned comparison warning.

2002-04-14 14:05  vinocur

	* doc/IPv6-info: 
	Typo

2002-04-14 13:49  vinocur

	* TODO, doc/IPv6-info: 
	IPv6 support is pretty much complete

2002-04-14 13:46  vinocur

	* innd/art.c: 
	Eliminate a compiler warnings

2002-04-14 09:15  kondou

	* innd/: chan.c, rc.c: 
	CHANrcfd and CHANrc are now arrays(chan.c)
	
	returned -1 while RCsetup is declared be void(rc.c)

2002-04-14 01:18  vinocur

	* nnrpd/perl.c: 
	Avoid SvPV_nolen which isn't available on older versions of Perl
	
	From Antonio Querubin <tony@lava.net>

2002-04-14 01:16  vinocur

	* innd/: art.c, icd.c, innd.c, innd.h, newsfeeds.c, rc.c, status.c:
	Eliminate some compiler warnings

2002-04-13 22:06  rra

	* include/inn/defines.h: Remove some duplicate comments.

2002-04-13 21:33  rra

	* MANIFEST, lib/Makefile, include/libinn.h: Remove unused code. 
	rwlock offers read/write locks for threaded programs, and INN has
	no threaded code.  grpalias was code to potentially handle aliased
	groups with the tradindexed overview method, but it was never
	enabled and would need rethinking if anyone ever wanted to fix
	group aliasing.

2002-04-13 15:42  vinocur

	* innd/cc.c: 
	Forgot a newline in ctlinnd mode output
	
	From Antonio Querubin <tony@lava.net>

2002-04-13 02:39  vinocur

	* doc/IPv6-info: Remove some of the outstanding IPv6 issues that
	have been fixed

2002-04-13 02:38  vinocur

	* nnrpd/: commands.c, misc.c, nnrpd.h: 
	Update nnrpd posting backoff for IPv6
	
	From Antonio Querubin <tony@lava.net>

2002-04-13 02:37  vinocur

	* doc/man/nnrpd.8: 
	Support for IPv6 with nnrpd -D
	
	From Antonio Querubin <tony@lava.net>

2002-04-13 01:53  vinocur

	* nnrpd/nnrpd.c: 
	Support for IPv6 with nnrpd -D
	
	From Antonio Querubin <tony@lava.net>

2002-04-13 01:31  vinocur

	* nnrpd/nnrpd.h: 
	Increase buffer sizes for IPv6 addresses
	
	From Antonio Querubin <tony@lava.net>

2002-04-10 09:26  kondou

	* innd/: inndstart.c, rc.c: 
	From: Antonio Querubin <tony@lava.net>
	
	fixes a bug in a call to setsockopt() which overloaded the variable
	i as both the socket file descriptor and an option value
	
	workaround for a problem where innd is passed 2 file descriptors

2002-04-09 07:23  rra

	* tests/runtests.c: Use the INN-provided portable headers where
	appropriate.

2002-04-09 07:21  rra

	* include/portable/wait.h: Add a definition of WCOREDUMP for those
	platforms that don't have it (like AIX).

2002-04-09 05:12  rra

	* INSTALL, doc/pod/install.pod: Fix a typo (volues for volumes).

2002-04-04 23:19  rra

	* storage/tradindexed/tdx-util.c: Update to use inn/messages.h and
	the new interface to the dumping functions, and redo the
	command-line arguments so that the way of specifying a newsgroup
	and article number is consistent across all the various functions.

2002-04-04 23:19  rra

	* storage/tradindexed/: tdx-data.c, tdx-group.c, tdx-private.h:
	Include inn/messages.h and modify the dumping functions to take a
	FILE * rather than assuming stdout.

2002-04-04 22:55  rra

	* storage/tradindexed/: tdx-cache.c, tradindexed.c: Include
	inn/messages.h.

2002-04-03 21:30  rra

	* storage/interface.c: Initialize pattern to NULL at the beginning
	of each block so that it's not incorrectly freed when parsing a new
	block, now that we don't make a second copy for storage in the sub
	structure.

2002-04-01 23:16  rra

	* storage/: interface.c, interface.h: Use the new wildmat_poison
	function, and don't split up the patterns into separate patterns
	and process ! and @ ourselves since wildmat can now handle this for
	us.  This allows a bunch of code simplification and should mean
	that ! and @ work the same as they do elsewhere in INN.

2002-04-01 22:45  rra

	* include/libinn.h: Add prototypes for additional external
	functions in libinn.

2002-04-01 22:41  rra

	* lib/messages.c: Only build the debug stub function if we don't
	have variadic macros.

2002-04-01 07:03  rra

	* include/portable/socket.h: Include <sys/types.h> since it's
	needed on most systems for the socket headers.

2002-04-01 06:01  rra

	* nnrpd/group.c: Make the first line of the LISTGROUP response
	match the first line of the GROUP response.  We may as well, since
	the reference NNTP implementation did and the information is
	useful.  Previously we were returning an unstructured string, so
	this change shouldn't break anyone.

2002-04-01 04:39  rra

	* nnrpd/: article.c, commands.c, nnrpd.c: The exact form of the
	OVER and HDR extensions and the corresponding commands up to and
	including parameters and return codes is still being debated, so
	don't provide commands with those names yet or advertise those
	extensions.  HDR is almost certainly going to be slightly
	incompatible with XHDR and OVER may be incompatible with XOVER, so
	we shouldn't just take the simple approach of aliasing them.
	
	Also add extensions to the list of valid parameters to LIST in HELP
	and remove the leading space from the remaining extension we
	advertise (LISTGROUP), since that leading space has finally been
	nuked in the draft.

2002-03-31 22:43  rra

	* configure, configure.in, include/config.h.in, support/mksystem:
	Probe for compiler support for variadic macros and push the
	resulting information into inn/system.h so that inn/messages.h can
	use it.

2002-03-31 22:42  rra

	* lib/Makefile, innd/Makefile, innfeed/Makefile, expire/Makefile,
	backends/Makefile: Update dependencies.

2002-03-31 22:35  rra

	* lib/: cleanfrom.c, clientlib.c, conffile.c, confparse.c,
	daemonize.c, getmodaddr.c, perl.c, remopen.c, resource.c,
	sockaddr.c, timer.c, xfopena.c, xmalloc.c: Warning cleanup, and
	include inn/messages.h where needed.  Also include libinn.h in
	order to get prototypes for external functions and make sure they
	match, where appropriate.

2002-03-31 21:49  rra

	* include/inn/messages.h: Use the correct syntax for C99 variadic
	macros.

2002-03-31 21:45  rra

	* tests/: lib/hashtab-t.c, lib/pread-t.c, lib/pwrite-t.c,
	lib/qio-t.c, lib/setenv-t.c, lib/xmalloc.c, lib/xmalloc.t,
	overview/tradindexed-t.c: Include inn/messages.h where appropriate,
	plus some coding style reformatting.

2002-03-31 21:43  rra

	* samples/.cvsignore: Ignore the new Perl wrappers.

2002-03-31 21:42  rra

	* include/inn/messages.h: Include stdarg.h for va_list, and use the
	INN_ prefixed versions of feature test macros.

2002-03-31 18:46  rra

	* MANIFEST, backends/inndf.c, include/libinn.h,
	include/inn/messages.h, lib/Makefile, lib/messages.c,
	expire/convdate.c, expire/expireover.c, expire/fastrm.c,
	innd/innd.c, innd/innd.h, innd/inndstart.c, innfeed/article.c,
	innfeed/buffer.c, innfeed/connection.c, innfeed/endpoint.c,
	innfeed/host.c, innfeed/imap_connection.c, innfeed/innlistener.c,
	innfeed/main.c, innfeed/misc.c, innfeed/startinnfeed.c,
	innfeed/tape.c, tests/Makefile, tests/TESTS, tests/lib/.cvsignore,
	tests/lib/confparse-t.c, tests/lib/messages-t.c: Replace the old
	lib/error.c error handling implementation with a new, more general
	one that adds notice(), trace(), and debug() functions and
	additional handlers for output to stdout and output that covers all
	of the standard syslog priorities.  Change the names of some of the
	supporting functions and variables at the same time to use message_
	as a prefix rather than error_, and move the declarations into
	inn/messages.h out of libinn.h.  Update all callers to include the
	right header file and use the right functions.

2002-03-28 08:20  kondou

	* innd/rc.c: 
	drop the FIXME comment, since it's already fixed

2002-03-28 05:46  vinocur

	* doc/IPv6-info, doc/man/innfeed.conf.5, innfeed/connection.c: 
	add bindaddress6 directive to innfeed.conf
	
	From Antonio Querubin <tony@lava.net>

2002-03-28 05:41  vinocur

	* innfeed/configfile.y: Fix a longstanding bug where doing a lookup
	on a parameter would return any parameter with a longer name where
	the desired paramater was a proper prefix.

2002-03-27 07:03  vinocur

	* samples/control.ctl: Update contact address for fur.*

2002-03-25 03:36  rra

	* samples/cycbuff.conf: Adjust the comments to not reference the
	old format of storage.conf.

2002-03-25 02:41  rra

	* innd/innd.c: Some hosts return RLIM_INFINITY as a file descriptor
	limit.	That caused channel setup to allocate a ludicrously large
	table to store information about them all.  Arbitrarily cap the
	channel table at maxconnections plus MaxOutgoing plus some fudge or
	5000, whichever is larger.  Reported by Colin Smith
	<Colin.Smith@motorola.com> for AIX.

2002-03-25 02:14  rra

	* doc/man/ctlinnd.8: Remove the advice to throttle the server and
	edit the active file when removing or adding a bunch of groups,
	since this does the wrong thing for at least some overview methods.

2002-03-25 02:09  rra

	* nnrpd/nnrpd.c: Drop attempted connections after MAX_FORKS fork
	attempts, as was intended (but not quite implemented) by the code. 
	Reported by Sven Paulus.

2002-03-23 19:53  vinocur

	* innd/inndstart.c: Set SO_REUSEADDR before calling bind() for
	IPv6, and add the appropriate #ifdef test.

2002-03-23 19:11  vinocur

	* authprogs/Makefile: Add a dependency from the radius parser
	rewrite

2002-03-23 10:27  kondou

	* doc/: man/inn.conf.5, pod/inn.conf.pod: 
	clarify pauseretrytime explanation

2002-03-22 20:22  vinocur

	* nnrpd/perm.c: 
	fix for IPv6 prefixes that are not a multiple of eight bits
	
	use unsigned char instead of uint8_t

2002-03-21 23:37  vinocur

	* CONTRIBUTORS, doc/IPv6-info, nnrpd/perm.c: 
	readers.conf supports IPv6 prefix matching
	
	From Antonio Querubin <tony@lava.net>

2002-03-19 23:23  rra

	* storage/: ov.c, ovinterface.h: Warning cleanup and some style
	consistency changes.  Add const to some of the function parameters
	where it's safe to clean up some warnings in the new tradindexed
	implementation.

2002-03-19 23:17  rra

	* storage/tradindexed/tdx-group.c: Always warn about lock failures.
	 Change index_lock_group to take an offset rather than a group
	location since it simplifies code elsewhere.  Fix a few places
	where we may have not unlocked correctly when bailing due to error
	conditions.  Make sure that we always have the current data files
	when adding overview data in tdx_data_add.

2002-03-19 23:15  rra

	* storage/tradindexed/tdx-data.c: Unmap the data files in
	tdx_data_open_files in case we already had the data files open and
	fully mapped (before, reopening with this function may have
	invalidated mmap mappings).  Remove casts when calling overview
	expire functions, since their prototypes will shortly be fixed to
	take const parameters.

2002-03-19 16:25  kondou

	* innd/rc.c: 
	RCchan needs to be an array to handle both AF_INET/AF_INET6 socket

2002-03-19 06:45  rra

	* storage/tradindexed/tradindexed.c: Implement the cutofflow
	parameter of OVctl.

2002-03-19 06:39  rra

	* storage/tradindexed/: tdx-data.c, tdx-group.c, tdx-private.h,
	tradindexed.c: Support for expire.  Compiles cleanly, although it's
	not yet been tested at all.  Also fix the API for tdx_index_open to
	take a boolean saying whether the overview should be writable
	rather than the overview API mode, leaving conversion of that mode
	to the interface code.

2002-03-19 06:36  rra

	* storage/tradindexed/tdx-util.c: Adjust for the API changes needed
	to support use of the cache.

2002-03-19 01:28  rra

	* tests/overview/tradindexed-t.c: Don't continue with searches if
	opensearch fails, and free the allocated hash tables to avoid
	purify false positives.

2002-03-19 01:23  rra

	* storage/tradindexed/: tdx-cache.c, tdx-private.h, tradindexed.c:
	Add support for open group caching and do all opens and closes
	through the cache.

2002-03-19 01:22  rra

	* storage/tradindexed/tdx-group.c: Fix some bugs and the return
	type of tdx_index_entry and use it internally.	Pull the opening
	and closing of group_data out of tdx_data_add to facilitate use of
	the cache.

2002-03-19 01:20  rra

	* storage/tradindexed/tdx-data.c: Fix an access to freed memory,
	restat the index file whenever we map it, and take additional
	high-water-mark arguments to tdx_article_entry and tdx_search_open
	to use to determine whether to remap the index file.  Add support
	for refcounted struct group_data's, and be a bit more paranoid with
	some checks.

2002-03-18 15:30  kondou

	* nnrpd/tls.c: 
	sys/types.h must be include before including nnrpd.h

2002-03-18 03:06  rra

	* lib/Makefile, history/Makefile, storage/Makefile, tests/Makefile:
	Clean up the extra files created by purify.

2002-03-18 02:59  rra

	* history/.cvsignore, lib/.cvsignore, storage/.cvsignore,
	tests/.cvsignore, tests/lib/.cvsignore, tests/overview/.cvsignore:
	Ignore a marker file created by purify.

2002-03-18 02:44  rra

	* lib/Makefile: Add mkstemp.c to SOURCES, remove tempname.c and
	tempname.o, and update dependencies.

2002-03-18 02:43  rra

	* MANIFEST, frontends/rnews.c, include/libinn.h, nnrpd/post.c:
	Replace all uses of TempName (which uses mktemp under the hood)
	with mkstemp and remove TempName from libinn.

2002-03-18 01:50  rra

	* lib/clientactive.c, lib/defdist.c, backends/innxmit.c,
	backends/nntpget.c, expire/makehistory.c, frontends/rnews.c,
	innfeed/misc.c: Use mkstemp instead of mktemp or some variation
	thereof.  Also clean up a few warnings.

2002-03-18 01:27  vinocur

	* INSTALL, doc/pod/install.pod: 
	Add --enable-ipv6 to the list of configure options in INSTALL
	
	Suggested by Antonio Querubin <tony@lava.net>

2002-03-17 19:29  vinocur

	* MANIFEST, doc/hook-perl, doc/pod/hook-perl.pod, samples/Makefile,
	samples/nnrpd_access_wrapper.pl.in,
	samples/nnrpd_auth_wrapper.pl.in: 
	Wrappers for using old Perl auth/access scripts with new style
	hooks
	
	From Erik Klavon <erik@eriq.org>

2002-03-17 07:39  rra

	* MANIFEST, configure, configure.in, include/clibrary.h,
	include/config.h.in, lib/mkstemp.c, tests/Makefile, tests/TESTS,
	tests/lib/.cvsignore, tests/lib/mkstemp-t.c: Add an implementation
	of mkstemp for platforms that don't have it.

2002-03-17 07:36  rra

	* tests/: libtest.c, libtest.h: Add an ok_int function to compare
	two integers.

2002-03-16 00:33  rra

	* storage/tradindexed/: tdx-group.c, tdx-structure.h: More cosmetic
	cleanup while I still have a chance.  Use better names for the
	magic constants in the current on-disk representation, change
	GROUPLOC to struct loc, and only use struct loc where necessary,
	preferring to just pass around a long inside the code.

2002-03-15 23:36  rra

	* storage/tradindexed/tdx-data.c: Be more paranoid in tdx_search,
	and remap the data file if we see an index that points outside of
	it before giving up (since we may be remapping the index file
	without remapping the data file).

2002-03-15 22:10  rra

	* storage/tradindexed/: tdx-group.c, tdx-data.c: Fixes for bugs,
	memory clobbers, unintialized variables, and other problems turned
	up by running the test suite.  tdx_index_add now also creates the
	group data files at the same time so that the inode value can be
	initialized, and group repacking now actually works.

2002-03-15 21:09  rra

	* storage/tradindexed/: tradindexed.c, tradindexed.h: First pass at
	the interface code to talk to the regular overview API.  Not
	tested.

2002-03-15 21:02  rra

	* storage/tradindexed/tdx-structure.h: Include the headers needed
	to define the data types used in this header.

2002-03-15 21:01  rra

	* storage/tradindexed/tdx-private.h: Include the headers needed to
	define the data types used in this header, and use
	BEGIN_DECLS/END_DECLS.

2002-03-15 21:00  rra

	* storage/tradindexed/tdx-data.c: tdx_search_close should also
	close the underlying group_data structure.

2002-03-15 19:38  rra

	* storage/tradindexed/: tdx-data.c, tdx-group.c, tdx-private.h,
	tdx-util.c: Initial pass at the support for overview writing. 
	Compiles cleanly but as yet completely untested.

2002-03-15 19:35  rra

	* include/portable/mmap.h: Add wrapper macros around munmap, msync,
	and madvise to cast the first argument to a void *, thus silencing
	compiler warnings on Solaris where those functions are prototyped
	to take caddr_t instead of void * as they should unless the X/Open
	feature test macros are set.

2002-03-14 19:24  rra

	* include/libinn.h: Prototype xpwrite.

2002-03-14 19:24  rra

	* tests/: Makefile, lib/fakewrite.c, lib/xwrite-t.c: Add tests for
	xpwrite and take advantage of the new testing support in xwrite to
	avoid having to do interposition of our own write routines.

2002-03-14 19:23  rra

	* lib/xwrite.c: Add xpwrite, include clibrary.h, and call fake
	versions of the real write routines if TESTING is defined so that
	we're not playing interposition games in the test suite.

2002-03-14 19:18  vinocur

	* CONTRIBUTORS: Added Felicia Neff to CONTRIBUTORS

2002-03-14 07:27  vinocur

	* authprogs/radius.c: 
	Support multiple radius servers
	
	Use the conffile parser
	
	From Felicia Neff <neff@panix.com>

2002-03-13 00:02  vinocur

	* innfeed/: buffer.c, connection.c, endpoint.c, host.c, host.h,
	imap_connection.c, innlistener.c, misc.c, tape.c: Clean up a bunch
	of compiler warnings for innfeed (there are still some with no
	obvious fix).

2002-03-12 23:57  vinocur

	* include/inn/defines.h: Don't redefine HAS_BOOL if we already have
	one from somewhere

2002-03-12 23:31  rra

	* include/inn/defines.h: Define HAS_BOOL to tell Perl that we
	already have a bool type.

2002-03-12 23:23  vinocur

	* Makefile, authprogs/Makefile, backends/Makefile,
	history/Makefile, innd/Makefile, innfeed/Makefile, lib/Makefile,
	nnrpd/Makefile: Update dependencies after portable/socket.h and
	Perl header reorganization

2002-03-12 20:17  rra

	* nnrpd/Makefile: perm.c no longer needs the Perl header paths.

2002-03-12 20:14  rra

	* innd/Makefile: cc.c, status.c, and innd.c no longer need the Perl
	include paths.

2002-03-12 20:14  rra

	* nnrpd/perl.c: Include the Perl headers directly again.

2002-03-12 20:13  rra

	* innd/cc.c: Call the new PLstats() function rather than doing
	direct calls into Perl, and let PerlFilter take care of checking to
	see if the filter is defined.  That allows this file to no longer
	need any knowledge of Perl headers or API.

2002-03-12 20:12  rra

	* innd/innd.h: Prototype PLstats().

2002-03-12 20:12  rra

	* lib/perl.c: PerlFilter now returns a bool saying whether the
	operation was successful.  Include the Perl headers directly, and
	add const to a few things in INN::syslog() that could use them.

2002-03-12 20:11  rra

	* innd/perl.c: Include the Perl headers directly, and add a new
	PLstats() function that can be called by CCmode().

2002-03-12 20:10  rra

	* include/innperl.h: Don't include the Perl header files here; they
	do way too much redefinition of symbols.  PerlFilter now returns a
	bool.

2002-03-12 20:09  rra

	* include/ppport.h: Undefine die, list, and warn here rather than
	in innperl.h.

2002-03-12 15:36  kondou

	* backends/archive.c: 
	From: Karl Skibinski <charly@40.to>
	
	crossposts of archived articles incorrectly when trying to
	concatenate the articles into one file per group

2002-03-12 15:00  kondou

	* doc/man/ctlinnd.8: 
	status and renumberlow were not explained

2002-03-12 03:02  vinocur

	* Makefile: Pass current value of $(COPT) along when doing `make
	warnings`

2002-03-11 02:09  vinocur

	* MANIFEST, contrib/auth_pass.README, contrib/auth_pass.c: Moved
	the sample AUTHINFO GENERIC program, which we are not maintaining,
	to contrib/.

2002-03-10 23:15  rra

	* storage/tradindexed/tdx-data.c: Fix a small memory leak and some
	incorrect error reporting and initialize the file descriptors on a
	new group_data struct to -1 so that they will be properly opened.

2002-03-10 20:49  vinocur

	* innd/site.c: Make logging for SITEreader more verbose

2002-03-10 08:59  vinocur

	* MANIFEST, backends/Makefile, backends/actsync.c,
	backends/archive.c, backends/batcher.c, backends/buffchan.c,
	backends/cvtbatch.c, backends/filechan.c, backends/inndf.c,
	backends/innxbatch.c, backends/map.c, backends/map.h,
	backends/nntpget.c, backends/overchan.c, backends/shlock.c,
	backends/shrinkfile.c: Assorted code cleanup (eliminating compiler
	warnings)

2002-03-10 08:01  vinocur

	* frontends/: ctlinnd.c, decode.c, encode.c, getlist.c, inews.c,
	innconfval.c, ovdb_init.c, ovdb_monitor.c, ovdb_server.c,
	ovdb_stat.c, rnews.c, sm.c: General code cleanup (eliminate
	compiler warnings)

2002-03-10 06:56  rra

	* storage/tradindexed/: tdx-data.c, tdx-group.c, tdx-private.h,
	tdx-util.c: Clean up the API while I still have a chance.  Drop
	unnecessary "group_" parts from the names of a lot of functions as
	the initial names were overly conservative.  Add const where I can,
	particularly on the return type of functions that return pointers
	into on-disk overview structures.

2002-03-10 06:41  rra

	* MANIFEST: Remove the old innfeed ChangeLog; it no longer contains
	particularly pertinent information.

2002-03-10 06:36  rra

	* include/clibrary.h: No longer include vfork.h; INN no longer uses
	vfork.

2002-03-10 06:36  rra

	* configure, configure.in, include/config.h.in: Don't probe for
	vfork as INN no longer uses it.

2002-03-10 06:33  rra

	* include/clibrary.h: Remove all the networking stuff, which is now
	in portable/socket.h.

2002-03-10 06:27  rra

	* HACKING, doc/pod/hacking.pod: Add a mention of the portable/*.h
	include files.	Add two additional style points saying to use ANSI
	and POSIX C when possible and use autoconf and the like to fix
	things up for old platforms, not the other way around, and saying
	to avoid #ifdef.  Clarify the point about typedefs.

2002-03-10 06:17  rra

	* frontends/rnews.c, innd/util.c, nnrpd/perm.c: Never use vfork. 
	The constraints on what one can do after vfork in the child are too
	strict (so strict that I believe that all existing uses of vfork in
	INN violated them on a platform with a real vfork) and the speed
	gain, where present, isn't worth it.

2002-03-10 05:58  vinocur

	* frontends/innconfval.c: Make TCL string generation completely
	robust (finally)

2002-03-10 05:52  rra

	* lib/inndcomm.c: Use portable/socket.h.

2002-03-10 05:45  rra

	* lib/remopen.c, lib/sockaddr.c, authprogs/ident.c,
	authprogs/libauth.c, authprogs/libauth.h, authprogs/radius.c,
	backends/innxbatch.c, backends/innxmit.c, backends/nntpget.c,
	innd/art.c, innd/cc.c, innd/chan.c, innd/icd.c, innd/innd.h,
	innd/inndstart.c, innd/lc.c, innd/nc.c, innd/newsfeeds.c,
	innd/ng.c, innd/proc.c, innd/python.c, innd/site.c, innd/tcl.c,
	innd/wip.c, innfeed/connection.c, innfeed/endpoint.c,
	innfeed/host.c, innfeed/imap_connection.c, innfeed/main.c,
	nnrpd/article.c, nnrpd/commands.c, nnrpd/misc.c, nnrpd/newnews.c,
	nnrpd/nnrpd.c, nnrpd/nnrpd.h, nnrpd/perm.c, nnrpd/post.c,
	nnrpd/python.c, nnrpd/track.c: Use portable/socket.h.  Also use
	portable/time.h where appropriate and remove duplicate includes and
	includes that are handled by program header files or by clibrary.h.

2002-03-10 05:33  rra

	* MANIFEST, include/portable/socket.h: Add a portability wrapper
	around <sys/socket.h>, <netinet/in.h>, and <arpa/inet.h> that
	handles the ordering constraints on some platforms and includes all
	the IPv6 portability stuff from clibrary.h, as well as the
	inet_aton and inet_ntoa prototypes.

2002-03-10 03:59  rra

	* include/clibrary.h: Remove MAP__ARG, which is no longer used.

2002-03-10 03:59  rra

	* include/portable/mmap.h: Remove the definition of MAP_FILE, which
	is no longer used in INN.

2002-03-10 03:58  rra

	* lib/dbz.c, innd/icd.c, storage/cnfs/cnfs.c,
	storage/timecaf/timecaf.c, storage/timehash/timehash.c,
	storage/tradspool/tradspool.c: Pass MAP_SHARED instead of MAP__ARG
	to mmap.  The latter just included MAP_FILE if it was defined, but
	on all platforms where it's defined it appears to be defined to 0
	and is therefore the default, and it's not in the standard for mmap
	so far as I can tell.  INN already contained code using MAP_SHARED
	without MAP_FILE without apparent harm and has for some time.

2002-03-10 03:31  rra

	* lib/perl.c: Remove the includes of the Perl headers since
	innperl.h now takes care of this.

2002-03-10 03:29  rra

	* configure, configure.in, include/acconfig.h, include/config.h.in:
	No longer probe for caddr_t; INN no longer uses it.

2002-03-10 03:21  rra

	* storage/cnfs/: cnfs-private.h, cnfs.c: Remove pointless casts to
	caddr_t, use void * instead of caddr_t for a structure member, pass
	NULL instead of (caddr_t)0 as the first argument to mmap, and cast
	to (char *) instead of caddr_t when assigning to an iovec.

2002-03-10 03:18  rra

	* MANIFEST: Remove lib/malloc.c; it hasn't been tested in quite
	some time and is of arguable utility.  If someone wants to get it
	working again as a debugging malloc, they can always resurrect it.

2002-03-10 03:17  rra

	* storage/buffindexed/buffindexed.c: Use void * instead of caddr_t,
	check the return value of mmap against MAP_FAILED rather than
	(caddr_t)-1, and pass NULL as the first argument to mmap rather
	than (caddr_t)0.

2002-03-10 03:15  rra

	* innfeed/article.c: Use void * instead of caddr_t and pass NULL to
	mmap as the first argument rather than (caddr_t)0.

2002-03-10 03:15  rra

	* innd/icd.c, lib/dbz.c: Pass NULL as the first argument to mmap
	rather than (caddr_t)0.

2002-03-10 03:13  rra

	* innd/art.c: Cast to char * instead of caddr_t when assigning to
	iovecs and suppress a possibly uninitialized variable warning.

2002-03-10 03:11  rra

	* innd/rc.c: Remove unnecessary cast to caddr_t; setsockopt should
	be prototyped to take a void * these days.

2002-03-10 03:04  rra

	* include/portable/mmap.h: Define MAP_FAILED in terms of void *
	instead of caddr_t.

2002-03-10 02:59  rra

	* contrib/newsresp.c: Remove a pointless attempt to avoid using
	h_addr and a cast to caddr_t.

2002-03-10 00:08  rra

	* TODO: When updating inn.conf, watch out for special characters as
	well as spaces.

2002-03-09 21:24  vinocur

	* nnrpd/perl.c: Add one more defensive check for perl hooks (missed
	last time)

2002-03-09 20:35  vinocur

	* TODO: Add a note to clean up the use of ifdef in socket code.

2002-03-09 20:34  rra

	* authprogs/Makefile, authprogs/smbval/Makefile, backends/Makefile,
	doc/man/Makefile, doc/Makefile, expire/Makefile,
	frontends/Makefile, history/Makefile, innd/Makefile,
	innfeed/Makefile, lib/Makefile, nnrpd/Makefile, samples/Makefile,
	scripts/Makefile, site/Makefile, storage/Makefile, tests/Makefile:
	Support distclean as an alias for clobber everywhere uniformly (I
	keep typing it instead of make clobber).

2002-03-09 07:07  rra

	* include/innperl.h: loadPerl() is internal to nnrpd; move the
	prototype there.

2002-03-09 07:06  rra

	* nnrpd/: article.c, commands.c, newnews.c, nnrpd.c, nnrpd.h,
	perl.c, perm.c, post.c: Warning cleanup.

2002-03-09 05:40  rra

	* innd/cc.c: Move the include of innperl.h up to the top so that
	it's picked up on a make depend, remove the extra Perl includes now
	that innperl.h provides them, and change a variable to char from
	const char to fix some warnings.

2002-03-09 05:38  rra

	* innd/Makefile: Compile status.c with the -I flags for the Perl
	headers, since it includes innperl.h which now includes the Perl
	headers.

2002-03-09 05:37  rra

	* nnrpd/perl.c, innd/perl.c: innperl.h now includes the Perl header
	files, so we don't have to include them ourselves.

2002-03-09 05:36  rra

	* include/innperl.h: Include the Perl headers here so that each
	file doesn't have to keep track of what headers to include.  Use
	BEGIN_DECLS and END_DECLS and add a header guard.  #undef some
	bogus symbols defined by the Perl headers.

2002-03-09 05:35  rra

	* nnrpd/: Makefile, nnrpd.h, perm.c: Only perm.c (and perl.c) need
	innperl.h, not all of nnrpd.  Update the build rules for perm.c so
	that it's built with the right -I flag for the Perl headers, now
	that innperl.h includes the Perl headers.

2002-03-09 03:54  vinocur

	* nnrpd/: nnrpd.h, perl.c, perm.c: 
	update Perl hooks to use lib/vector.c
	
	additional error checking for Perl hooks
	
	from Erik Klavon <erik@eriq.org>

2002-03-09 03:27  rra

	* tests/overview/data/: basic, reversed: Tweak some article numbers
	so that when loading reversed we'll trigger some group repacks.

2002-03-09 03:15  rra

	* storage/tradindexed/tdx-data.c: Reject searches where the low
	water mark is higher than the high water mark of the group.

2002-03-09 01:32  rra

	* storage/tradindexed/tdx-util.c: Add an option to view only the
	overview data for a particular article.  Fix the broken handling of
	the -p option.	Add better error handling in general and function
	comments.

2002-03-09 01:05  rra

	* MANIFEST: Reflect changes to the new tradindexed implementation.

2002-03-09 01:04  rra

	* storage/tradindexed/tdx-util.c: Add options to dump the group
	index data and overview data for a group.  Move the option to
	specify the path to the overview files to -p.

2002-03-09 01:03  rra

	* storage/tradindexed/: tdx-data.c, tdx-group.c, tdx-private.h:
	First pass at the code to actually read the overview data files. 
	Read-only for right now (none of the writing code has been done). 
	Add documentation of the locking and parallelization assumptions to
	tdx-group.c.

2002-03-09 01:00  rra

	* storage/tradindexed/tdx-structure.h: The indexinode attribute of
	group entries is actually used.  Remove the legacy struct names;
	nothing in the new code uses them.

2002-03-07 17:58  rra

	* storage/tradindexed/tdx-group.c: Rename group.c to tdx-group.c
	and rename the corresponding object file.  ar doesn't like having
	multiple objects with the same basename and group.o was too generic
	for the storage library.

2002-03-07 15:43  vinocur

	* history/his.c: Fix egregious bug with true and false mixed up

2002-03-07 02:07  vinocur

	* TODO: Add a note about cleaning up nnrpd's timing/profiling code
	so I remember to get to it eventually.

2002-03-06 23:29  vinocur

	* history/his.c: Set errno=EBADF on attempting to use a null
	history*

2002-03-05 09:02  vinocur

	* authprogs/ident.c: Bugfix in use of getopt (introduced last
	checkin)

2002-03-05 08:48  vinocur

	* history/his.c, innd/util.c: 
	Fixed bug in which innd would call HISclose() twice
	
	Cleaned up logging that made the above hard to track down
	
	Reported by William F. Maton <wmaton@ryouko.dgim.crc.ca>

2002-03-04 19:24  vinocur

	* innfeed/connection.c: 
	Have innfeed resume rotating through IPs if connection succeeds but
	cannot be used (400, 502)
	
	From Nathan Lutchansky <lutchann@litech.org>

2002-03-04 14:47  vinocur

	* innfeed/: connection.c, host.c, host.h: 
	If innfeed was rotating through IPs for a peer, have it reconnect
	to the last successful one rather than rotate
	
	From Nathan Lutchansky <lutchann@litech.org>

2002-03-04 07:39  vinocur

	* include/inn/timer.h, innd/chan.c, innfeed/endpoint.c,
	lib/timer.c: Make TMRsummary interface appropriate for more generic
	use

2002-03-04 07:25  vinocur

	* frontends/: Makefile, ovdb_init.c, ovdb_monitor.c, ovdb_server.c,
	ovdb_stat.c: Reorganize include headers so that `make depend`
	produces the right output regardless of whether we have Berkeley
	DB.

2002-03-04 07:24  vinocur

	* frontends/innconfval.c: 
	Also escape backslash when generating Tcl strings
	
	From Peter da Silva <peter@taronga.com>

2002-03-04 02:56  vinocur

	* nnrpd/article.c, nnrpd/misc.c, nnrpd/nnrpd.c,
	nnrpd/sasl_config.c, nnrpd/tls.c, nnrpd/tls.h,
	storage/ovdb/ovdb-private.h, storage/ovdb/ovdb.c: Reorganize includ
	headers so that `make depend` produces the right output regardless
	of whether we have SSL or Berkeley DB.

2002-03-04 02:03  vinocur

	* TODO: Note that innfeed errors should not be ignored by innreport

2002-03-04 01:56  vinocur

	* nnrpd/post.c: Minor bugfixes caught by -Wall

2002-03-04 01:40  vinocur

	* nnrpd/Makefile: Update dependencies

2002-03-04 01:31  vinocur

	* scripts/innreport_inn.pm: Add a few new innfeed errors that
	weren't being recognized

2002-03-04 01:29  vinocur

	* authprogs/: ckpasswd.c, ident.c, radius.c: Eliminate many many
	compiler warnings

2002-03-04 01:27  vinocur

	* nnrpd/: Makefile, article.c, commands.c, misc.c, nnrpd.c,
	nnrpd.h, perl.c, perm.c, post.c, python.c, sasl_config.c, tls.c: 
	Eliminate many many compiler warnings
	
	Header file cleanup (including using include/innperl.h)

2002-03-04 01:20  vinocur

	* innd/Makefile, innd/cc.c, innd/innd.c, innd/perl.c,
	innd/status.c, lib/Makefile, lib/perl.c: Move innd over to using
	the include/innperl.h header

2002-03-04 01:18  vinocur

	* include/: dbz.h, storage.h: Make use of BEGIN_DECLS instead of
	extern "C" where possible

2002-03-04 01:17  vinocur

	* MANIFEST, include/innperl.h: Pull declarations from lib/perl.c
	into a header file.

2002-03-03 21:04  rra

	* storage/Makefile, history/Makefile: Recurse on make depend.

2002-03-03 21:02  rra

	* control/Makefile, samples/Makefile, scripts/Makefile,
	site/Makefile: Add empty depend targets so that recursive make
	depend will work.

2002-03-03 20:59  rra

	* innfeed/Makefile: Remove the old dependency management stuff;
	we're using the INN standard mechanisms now.

2002-03-03 17:47  rra

	* doc/Makefile: Add a missing declaration of top.

2002-03-03 06:03  rra

	* include/: acconfig.h, config.h.in: Drop LOOPBACK_HOST and
	MAXARTFNAME, neither of which are used anywhere any longer.

2002-03-03 06:01  rra

	* innd/rc.c: Use INADDR_LOOPBACK rather than calling inet_aton on
	LOOPBACK_HOST.

2002-03-03 05:59  rra

	* lib/localopen.c: Use "127.0.0.1" literally rather than
	LOOPBACK_HOST.

2002-03-03 05:36  vinocur

	* nnrpd/newnews.c: Abstract some common code for retrieving headers
	(not very well tested, since I don't use NEWNEWS).

2002-03-03 05:33  rra

	* innfeed/innfeed.h: Remove the portability define of VOLATILE.

2002-03-03 05:32  rra

	* innfeed/endpoint.c: Use volatile rather than VOLATILE; we can
	assume ANSI C.	Use sig_atomic_t for variables updated in signal
	handlers since autoconf ensures we have it.

2002-03-03 01:05  rra

	* contrib/Makefile: Fix a typo in LIBLD.

2002-03-03 01:05  rra

	* contrib/newsresp.c: Don't close stderr.

2002-03-03 01:02  rra

	* MANIFEST: Remove some authprogs/smbval files that are no longer
	needed, and add doc/pod/checklist.pod.

2002-03-03 01:01  rra

	* contrib/.cvsignore: Add .cvsignore files for contrib.

2002-03-03 00:51  rra

	* HACKING, doc/pod/hacking.pod: Add some information about setting
	$(top) in makefiles.

2002-03-03 00:46  rra

	* configure, configure.in: Don't AC_SUBST the UPLIBTOOL* symbols
	and use $(top) in the LIBTOOL symbols.	Slightly clarify the
	searching for Berkeley DB.

2002-03-02 23:58  rra

	* authprogs/smbval/: byteorder.h, rfcnb-error.h, rfcnb-io.c,
	rfcnb-priv.h, rfcnb-util.c, rfcnb-util.h, rfcnb.h, session.c,
	smbencrypt.c, smblib-common.h, smblib-priv.h, smblib-util.c,
	smblib.c, smblib.h: Rip out all the code that's not being used, but
	only by function both because that way I can be sure that I don't
	break anything and so that someone could still resync this code
	with the code from Samba should someone so desire (by adding in new
	code and then adding dependencies until it all compiles and works).

2002-03-02 23:55  rra

	* authprogs/smbval/Makefile: Rewrite this makefile to use the
	standard format that the other INN makefiles use, and add
	dependencies.

2002-03-02 23:48  rra

	* Makefile.global.in: Add a setting of $(top), which will be used
	by makefile rules to refer to the top level of the build tree.	Use
	$(top) in the Makefile.global paths to various in-tree utilities
	and eliminate the now-unnecessary UP* versions.  Remove the extra
	-I../../include flag in some makefiles now that the top-level
	setting uses $(top) to find the right include directory.  Change
	the UP* macro references to the non-UP versions.

2002-03-02 23:43  rra

	* storage/Makefile: Add a setting of $(top), which will be used by
	makefile rules to refer to the top level of the build tree.

2002-03-02 23:42  rra

	* include/Makefile: Add a setting of $(top), which will be used by
	makefile rules to refer to the top level of the build tree.  Use it
	in the paths to files.

2002-03-02 23:41  rra

	* frontends/Makefile, lib/Makefile, nnrpd/Makefile: Add a setting
	of $(top), which will be used by makefile rules to refer to the top
	level of the build tree.  Update dependencies.

2002-03-02 23:38  rra

	* control/Makefile: Add a setting of $(top), which will be used by
	makefile rules to refer to the top level of the build tree.  Use
	$(INSTALL) rather than $(UPINSTALL).

2002-03-02 23:37  rra

	* contrib/Makefile: Add a setting of $(top), which will be used by
	makefile rules to refer to the top level of the build tree.  Use
	LIBLD to link instead of CC.

2002-03-02 23:35  rra

	* authprogs/Makefile, backends/Makefile, expire/Makefile,
	history/Makefile, innd/Makefile, innfeed/Makefile,
	samples/Makefile, scripts/Makefile, site/Makefile,
	doc/man/Makefile, tests/Makefile: Add a setting of $(top), which
	will be used by makefile rules to refer to the top level of the
	build tree.

2002-03-02 23:13  rra

	* authprogs/libauth.c: Use strchr instead of index.

2002-03-02 20:49  vinocur

	* doc/: checklist, pod/checklist.pod: Clarify about MANPATH in
	different shells/environments

2002-03-02 20:43  vinocur

	* doc/: checklist, pod/Makefile, pod/checklist.pod: Convert
	doc/checklist to POD, initial revisions

2002-03-02 19:20  rra

	* Makefile: storage depends on lib and history depends on storage. 
	Should improve matters for parallel builds.

2002-03-02 19:04  rra

	* TODO: Move the remaining history issues down to INN 2.5, update
	to reflect that the audit against the NNTP draft has now been done,
	move finding a Samba library down into long-term projects because
	there doesn't seem to be a suitable one available right now, move
	recovery tools up to INN 2.4, clarify the point about rewriting
	configure, note that the tradindexed code is currently being broken
	up, and remove the bullet point for getting the test suite to work
	with shared libtool builds since this now works.

2002-03-02 18:05  rra

	* support/mkmanifest: Remove the special case for .libs and instead
	tell File::Find to prune any directory found in .cvsignore.

2002-03-02 18:03  rra

	* CONTRIBUTORS: Add thanks to Rebecca Ore.

2002-03-02 18:00  rra

	* .cvsignore, authprogs/.cvsignore, authprogs/smbval/.cvsignore,
	backends/.cvsignore, control/.cvsignore, expire/.cvsignore,
	frontends/.cvsignore, history/.cvsignore, history/hisv6/.cvsignore,
	include/.cvsignore, include/inn/.cvsignore, innd/.cvsignore,
	innfeed/.cvsignore, lib/.cvsignore, nnrpd/.cvsignore,
	samples/.cvsignore, scripts/.cvsignore, site/.cvsignore,
	storage/.cvsignore, storage/buffindexed/.cvsignore,
	storage/cnfs/.cvsignore, storage/ovdb/.cvsignore,
	storage/timecaf/.cvsignore, storage/timehash/.cvsignore,
	storage/tradindexed/.cvsignore, storage/tradspool/.cvsignore,
	storage/trash/.cvsignore, support/.cvsignore, tests/.cvsignore,
	tests/lib/.cvsignore, tests/overview/.cvsignore: Add .cvsignore
	files to the entire tree.

2002-03-02 17:55  rra

	* MANIFEST: Update for the beginnings of a new tradindexed
	implementation, a few new support scripts, the libtool upgrade, and
	several file in samples which are no longer configure targets. 
	Also add doc/checklist and fix the sorting in several places.

2002-03-02 17:52  rra

	* Makefile, support/mkmanifest: New manifest checking mechanisms
	that use .cvsignore files in the tree.

2002-03-02 17:51  rra

	* doc/checklist: Initial version of an installation checklist, from
	Rebecca Ore.

2002-03-02 17:42  rra

	* HACKING, doc/pod/hacking.pod: Clarify the instructions for
	importing libtool and update to reflect that libtool doesn't need
	ltconfig any more.

2002-03-02 17:36  rra

	* history/Makefile: libinnhist.la also depends on $(LIBSTORAGE),
	$(LIBINN), $(EXTSTORAGELIBS), and $(LIBS).

2002-03-02 17:34  rra

	* tests/Makefile: lib/setenv.tr also depends on libinn.

2002-03-02 17:32  rra

	* storage/Makefile: libstorage.la also depends on $(LIBINN),
	$(EXTSTORAGELIBS), and $(LIBS).

2002-03-02 17:31  rra

	* lib/Makefile: libinn.la also depends on $(LIBS).

2002-03-02 17:27  rra

	* include/config.h.in: Regenerate to pick up the removal of
	REM_INND and new symbols used by libtool.

2002-03-02 17:27  rra

	* include/acconfig.h: Remove REM_INND, which is no longer used.

2002-03-02 17:26  rra

	* Makefile.global.in: Move MANPAGESTYLE down to the installation
	rules, add builddir containing the absolute path to the top of the
	build tree, and change LIBINN, LIBSTORAGE, and LIBHISTORY to use
	the absolute path (this makes libtool considerably happier).

2002-03-02 17:23  rra

	* configure.in, configure: Substitute in the full path to the top
	of the build directory as builddir.  Reorder some of the tests in
	order to make the libtool tests happy.	Fix a parenthesis bug in
	the test for long long that caused config.status to not correctly
	regenerate config.h.  Also regenerates configure to pick up the new
	libtool macros.

2002-03-02 17:07  rra

	* support/ltmain.sh: Fixed up some parts of the merge that CVS
	botched.

2002-03-02 17:00  rra

	* support/ltmain.sh: Update to the version from libtool 1.4.2 with
	the changes to support INN's install-sh program merged in.

2002-03-02 16:59  rra

	* aclocal.m4: Update to the version from libtool 1.4.2.

2002-03-02 06:35  rra

	* lib/remopen.c: Unconditionally use the INN method of opening
	remote connections and never use the clientlib interface.

2002-03-02 02:57  vinocur

	* nnrpd/commands.c: Remove restriction of AUTHINFO user/pass to 29
	characters.

2002-03-02 01:46  rra

	* include/inn/defines.h: Simplify the handling of bool
	considerably.  No longer care about NeXT dynamic loader headers and
	no longer define HAS_BOOL since nothing cares about it.

2002-03-02 01:43  rra

	* support/indent: Initial mostly working version (but unfortunately
	not working smoothly enough that it can just be run on everything).

2002-03-02 01:25  rra

	* nnrpd/misc.c: ClientIp is now ClientIpString.

2002-03-02 00:54  vinocur

	* nnrpd/group.c: Missed a ClientIp -> ClientIpString

2002-03-02 00:25  vinocur

	* lib/remopen.c: Typo

2002-03-01 21:25  rra

	* innd/: innd.h, ng.c: Remove the Dir member of the newsgroup
	struct innd maintains and all of the code to set it and maintain
	it.  This previously held the name of the newsgroup with periods
	replaced by slashes, and was used for storing the article on disk. 
	INN no longer does that directly.  Removing this saves us slightly
	more than the size of the active file in memory due to how that
	data was stored.

2002-03-01 18:42  rra

	* storage/tradindexed/tdx-util.c: Fix a possibly-unused variable
	warning.

2002-03-01 18:40  rra

	* tests/lib/hashtab-t.c: Add a regression test for incorrect
	allocation of the hash table when given a size that isn't a power
	of two.

2002-03-01 18:37  rra

	* lib/hashtab.c: The table was allocated incorrectly if the given
	table size wasn't a power of two.

2002-03-01 17:21  rra

	* storage/tradindexed/: tdx-private.h, tdx-structure.h, tdx-util.c:
	The beginnings of a new tradindexed implementation, moved from
	storage/ov3.  Use a tdx- prefix for the internal header files and a
	tdx_ prefix for externally visible functions for namespace reasons.
	 There is no ovmethod.config file yet because eventually this
	overview method will get the same number as the old implementation
	in storage/ov3.

2002-03-01 05:48  vinocur

	* innd/inndstart.c, innd/rc.c, lib/remopen.c: If we have a len
	field in sockaddr, initialize it

2002-03-01 05:47  vinocur

	* authprogs/smbval/Makefile: Don't expect too much from ar, call
	ranlib instead

2002-02-28 21:27  rra

	* frontends/ovdb_server.c, include/ov.h, nnrpd/article.c,
	storage/ov.c, storage/ovinterface.h,
	storage/buffindexed/buffindexed.c,
	storage/buffindexed/buffindexed.h, storage/ovdb/ovdb-private.h,
	storage/ovdb/ovdb.c, storage/ovdb/ovdb.h,
	tests/overview/tradindexed-t.c: Remove the unused data and length
	arguments to OVgetartinfo since support for them was broken in
	tradindexed and buffindexed anyway and INN doesn't need them.  Make
	the appropriate tweaks to the implementations to no longer worry
	about trying to return the complete overview information to callers
	of OVgetartinfo, and remove the "NULL, NULL" arguments in all
	callers.

2002-02-28 01:36  rra

	* tests/overview/tradindexed-t.c: Add a somewhat more extensive
	test of tradindexed_search.

2002-02-24 20:40  vinocur

	* authprogs/smbval/: rfcnb-util.c, smblib-util.c, smblib.c: Include
	stdlib.h instead of malloc.h.

2002-02-24 20:28  rra

	* authprogs/smbval/session.c: Include stdlib.h instead of malloc.h.

2002-02-24 19:46  vinocur

	* configure, configure.in: Include sys/socket.h in some of the
	configure tests that need it as well

2002-02-24 19:41  rra

	* innfeed/host.c: Include sys/socket.h for sockaddr_storage.

2002-02-24 06:32  rra

	* backends/Makefile, expire/Makefile, frontends/Makefile,
	history/Makefile, innd/Makefile, innfeed/Makefile, nnrpd/Makefile,
	storage/Makefile: Add make warnings target.

2002-02-24 06:30  rra

	* MANIFEST: Add the new tradindexed files and the test suite for
	tradindexed.

2002-02-24 06:24  rra

	* tests/: Makefile, TESTS, overview/munge-data,
	overview/tradindexed-t.c, overview/data/basic,
	overview/data/reversed: Add a test suite for the tradindexed
	overview method.

2002-02-24 06:22  rra

	* tests/lib/fakewrite.c: Cast the len element of a struct iovec to
	size_t since it's signed on some platforms.

2002-02-24 06:21  rra

	* tests/: runtests.c, lib/date-t.c: Avoid uninitialized variable
	warnings.

2002-02-24 06:10  rra

	* Makefile.global.in: Add -O -g to $(WARNINGS) since gcc won't pick
	up some warnings without optimization turned on and since generally
	when building with warnings, one also wants debugging.

2002-02-24 02:11  vinocur

	* include/clibrary.h: 
	Added parentheses around argument to SA_LEN macro
	
	Reported by The Doctor <doctor@doctor.nl2k.ab.ca>

2002-02-24 00:34  rra

	* innd/rc.c: addr was also used in the non-IPv6 case.

2002-02-23 20:29  vinocur

	* authprogs/ckpasswd.c, authprogs/radius.c, frontends/inews.c,
	innd/art.c, innd/cc.c, innd/innd.c, innd/nc.c, innd/perl.c,
	innd/rc.c, innd/util.c, innfeed/article.c, innfeed/connection.c,
	innfeed/host.c, lib/inndcomm.c, lib/remopen.c, nnrpd/article.c,
	nnrpd/commands.c, nnrpd/misc.c, nnrpd/nnrpd.c, nnrpd/perl.c,
	nnrpd/perm.c, nnrpd/tls.c, storage/ov.c,
	storage/buffindexed/buffindexed.c: 
	Misc code cleanup (for compiling with -Wall)
	
	Minor bugfixes

2002-02-23 05:58  kondou

	* nnrpd/group.c: 
	LISTGROUP with no arg didn't work properly

2002-02-22 20:38  vinocur

	* CONTRIBUTORS, MANIFEST, NEWS, TODO, aclocal.m4, configure,
	configure.in, authprogs/ident.c, authprogs/libauth.c,
	authprogs/libauth.h, doc/IPv6-info, doc/hook-perl, doc/hook-python,
	doc/man/convdate.1, doc/man/expireover.8, doc/man/fastrm.1,
	doc/man/inn.conf.5, doc/man/innd.8, doc/man/inndf.8,
	doc/man/inndstart.8, doc/man/innmail.1, doc/man/libinnhist.3,
	doc/man/makehistory.8, doc/man/newsfeeds.5, doc/man/ovdb.5,
	doc/man/ovdb_init.8, doc/man/ovdb_monitor.8, doc/man/ovdb_server.8,
	doc/man/ovdb_stat.8, doc/man/qio.3, doc/man/readers.conf.5,
	doc/man/sasl.conf.5, doc/man/subscriptions.5, doc/pod/inn.conf.pod,
	doc/pod/news.pod, history/hisv6/hisv6.c, include/clibrary.h,
	include/config.h.in, include/libinn.h, innd/art.c, innd/chan.c,
	innd/innd.c, innd/innd.h, innd/inndstart.c, innd/lc.c, innd/rc.c,
	innd/status.c, innfeed/connection.c, innfeed/host.c,
	innfeed/host.h, lib/Makefile, lib/remopen.c, lib/sockaddr.c,
	nnrpd/commands.c, nnrpd/misc.c, nnrpd/nnrpd.c, nnrpd/nnrpd.h,
	nnrpd/perm.c, nnrpd/post.c, samples/inn.conf.in,
	scripts/inncheck.in, scripts/innreport_inn.pm: 
	IPv6 support, see NEWS and doc/IPv6-info for details
	
	From Nathan Lutchansky <lutchann@litech.org> with thanks to Marco
	d'Itri

2002-02-20 01:04  rra

	* MANIFEST: innwatch.ctl is no longer processed by configure.

2002-02-20 01:00  rra

	* MANIFEST: All of the old control message handling stuff is no
	more.

2002-02-20 00:55  rra

	* MANIFEST: actsync.cfg is no longer processed by configure.

2002-02-20 00:46  rra

	* MANIFEST: Update for new additions to the test suite and pick up
	the test infrastructure files that had been accidentally omitted.

2002-02-20 00:20  rra

	* HACKING, doc/pod/hacking.pod: Update the information about POD
	translators, add a style point about use of typedef and plain
	structs, and reorder the bit about style not being an absolute
	requirement to make it read more clearly.

2002-02-18 17:06  vinocur

	* MANIFEST: 
	Brought most of MANIFEST up-to-date
	
	samples/ and tests/ still need doing (Russ?)

2002-02-18 05:49  rra

	* tests/lib/confparse-t.c: Add tests for the warnings issued when
	integer or boolean parameters are retrieved but can't be converted
	to integers or booleans.

2002-02-18 05:41  rra

	* tests/lib/config/: warn-bool, warn-int: Initial version.

2002-02-18 01:20  rra

	* tests/lib/confparse-t.c: Change config_group to struct
	config_group to match the changes to the header files, rename
	tmpfile to avoid conflicts with stdio.h, and add a test for
	extremely long quoted strings.

2002-02-18 01:17  rra

	* include/inn/confparse.h: Redo the type naming to avoid the
	config_group typedef and instead just use the opaque struct.

2002-02-18 01:15  rra

	* lib/confparse.c: Some additional fixes for when a string is
	longer than the current buffer size (mostly related to quoted
	strings), renamed group->includes to group->included, and type
	naming redone to avoid using typedefs for structs (it just makes
	the code a bit harder to follow).

2002-02-17 23:24  rra

	* tests/lib/config/: no-newline, null: Initial versions.

2002-02-17 23:23  rra

	* tests/lib/confparse-t.c: Fix the usage of ok_string() to match
	the expected order of seen and expected strings, and add several
	new tests to test a config file without an ending newline, one with
	an embedded nul character, and one with strings longer than the
	default buffer size.

2002-02-17 23:19  rra

	* lib/confparse.c: Fix various errors in handling strings that are
	larger than the default buffer size, mostly caused by keeping
	pointers into the internal of a buffer around after realloc() on
	that buffer.

2002-02-16 20:16  rra

	* scripts/rc.news.in: Run rc.news.local on stop as well as start,
	if it exists.  Pass it a start or stop argument rather than
	sourcing it.  From Ben Rosengart <br@panix.com>.

2002-02-16 19:48  rra

	* frontends/innconfval.c: Safer handling of Tcl string variables,
	from Peter da Silva <peter@taronga.com>.

2002-02-13 09:04  vinocur

	* TODO: 
	Various suggestions from inn-workers

2002-02-11 06:07  vinocur

	* storage/tradspool/tradspool.c: 
	bugfixes for processing of cancels with tradspool

2002-02-09 19:46  rra

	* samples/control.ctl: Add bc.*, van.*, and cn.bbs.*.  Move the
	note about where to e-mail updates closer to the top so that people
	will see them.	Update the URL for dk.*.

2002-02-06 02:55  vinocur

	* lib/conffile.c: 
	renamed getline() to avoid conflict with function in stdio on linux
	
	from Joe St Sauver

2002-02-05 21:48  vinocur

	* HACKING, TODO: 
	Added request for nnrpd to use sendfile(2) when possible
	
	From Marco d'Itri <md@Linux.IT>

2002-02-05 07:43  vinocur

	* nnrpd/perm.c: 
	Change CompressList() as was marked XXX in the code
	
	wildmat-like lists in readers.conf are more robust with regard to
	treating any combination of whitespace and commas as a separator

2002-02-05 00:54  rra

	* scripts/rc.news.in: Source rc.news.local if it exists at the end
	of rc.news.  Suggested by Ben Rosengart <br@panix.com>.

2002-02-04 23:54  rra

	* lib/dbz.c: Increase the default dbz hash table size from 500,000
	(tagged hash) and 750,000 (normal) to 1 million (tagged hash) and
	10 million (normal) because the consequences of being too small are
	much worse than the consequences of being too large.

2002-02-03 19:05  vinocur

	* doc/man/passwd.nntp.5: 
	Generate passwd.nntp(5) from new pod docs

2002-02-03 19:03  vinocur

	* doc/pod/passwd.nntp.pod: 
	Fiddled CVS keywords from last commit

2002-02-03 19:00  vinocur

	* doc/: man/passwd.nntp.5, pod/Makefile, pod/passwd.nntp.pod: 
	Clarified wording in passwd.nntp documentation
	
	Converted above to pod format

2002-01-27 21:56  vinocur

	* CONTRIBUTORS, MANIFEST, NEWS, doc/hook-perl, doc/man/inn.conf.5,
	doc/man/newsfeeds.5, doc/man/readers.conf.5, doc/pod/hook-perl.pod,
	doc/pod/inn.conf.pod, doc/pod/news.pod, doc/pod/readers.conf.pod,
	include/conffile.h, lib/conffile.c, nnrpd/commands.c,
	nnrpd/nnrpd.c, nnrpd/nnrpd.h, nnrpd/perl.c, nnrpd/perm.c,
	samples/Makefile, samples/nnrpd_access.pl.in,
	samples/nnrpd_auth.pl.in, site/Makefile: 
	Significantly reworking of nnrpd perl authentication hooks to be
	more useful in combination with readers.conf
	
	From Erik Klavon <erik@eriq.org>
	
	See NEWS for upgrading notes

2002-01-27 19:41  vinocur

	* HACKING, INSTALL, NEWS, README, doc/hook-perl, doc/hook-python,
	doc/man/convdate.1, doc/man/expireover.8, doc/man/fastrm.1,
	doc/man/inn.conf.5, doc/man/innd.8, doc/man/inndf.8,
	doc/man/inndstart.8, doc/man/innmail.1, doc/man/libinnhist.3,
	doc/man/makehistory.8, doc/man/newsfeeds.5, doc/man/ovdb.5,
	doc/man/ovdb_init.8, doc/man/ovdb_monitor.8, doc/man/ovdb_server.8,
	doc/man/ovdb_stat.8, doc/man/qio.3, doc/man/readers.conf.5,
	doc/man/sasl.conf.5, doc/man/subscriptions.5: 
	Rebuilt documentation with latest pod2man in preparation for
	another commit that logically shouldn't have all of these changes
	thrown in.  It has to be done eventually, may as well be now, I
	suppose.

2002-01-17 16:54  alexk

	* doc/: man/libinnhist.3, pod/libinnhist.pod: Documentation on
	HISremember was missing

2002-01-17 16:38  alexk

	* expire/makehistory.c: Correct mistake when writing articles
	without an Expires header, introduced during the history API work -
	noted by Graeme Mathieson <graeme+inn-workers@mathie.cx>

2002-01-17 01:41  kondou

	* storage/buffindexed/buffindexed.c: 
	From: Harald Welte <laforge@gnumonks.org>
	
	fixes compilation error for -DOV_DEBUG

2002-01-16 14:21  kondou

	* expire/makehistory.c: 
	From: Graeme Mathieson <graeme+inn-workers@mathie.cx>
	
	npairs was not initialized

2002-01-16 14:16  kondou

	* MANIFEST, Makefile.global.in, configure, configure.in,
	authprogs/Makefile, authprogs/ckpasswd.c,
	authprogs/pam.conf.example, include/config.h.in: 
	From: Graeme Mathieson <graeme+inn-workers@mathie.cx>
	
	ckpasswd now supports pam

2002-01-13 13:29  kondou

	* storage/ov.c: 
	From: TAKAI Kousuke <takai@vlsi.kuee.kyoto-u.ac.jp>
	
	OVhisthasmsgid() doesn't return its value if HISlookup() succeeds.

2002-01-05 20:45  vinocur

	* doc/man/overview.fmt.5: 
	Clarification of rebuilding overview after changes to overview.fmt
	
	Bugfix, expireover is no longer used for rebuilding overview

2002-01-03 22:47  kondou

	* configure: 
	Integrate changes for Berkeley DB 4.0

2002-01-03 15:39  alexk

	* configure.in, frontends/ovdb_monitor.c, frontends/ovdb_stat.c,
	storage/ovdb/ovdb-private.h, storage/ovdb/ovdb.c: Integrate changes
	for Berkeley DB 4.0

2001-12-24 02:40  kondou

	* storage/buffindexed/buffindexed.c: 
	From: TAKAI Kousuke <takai@vlsi.kuee.kyoto-u.ac.jp>
	
	Trandindexed and buffindexed backends are using `bool' for return
	type of GROUPfilesize.	This does not matter if bool is defined to
	int, but gcc 3, which has proper bool type, reveals this problem
	(group.index always gets truncated to 1 byte).

2001-12-24 02:39  kondou

	* lib/snprintf.c: 
	From: TAKAI Kousuke <takai@vlsi.kuee.kyoto-u.ac.jp>
	
	lib/snprintf.c has invalid construct `va_arg (args, short int)'
	(second arg of va_arg must be a promoted type).  Recent gcc refuses
	to compile such constructs (older gcc do not complain about them,
	but silently generate wrong code on big endian machines).

2001-12-19 22:36  kondou

	* storage/tradspool/tradspool.c: 
	innfeed failed to reload newsgroup database in certain case

2001-12-12 09:29  rra

	* tests/lib/: confparse-t.c, config/errors, config/warnings: Update
	the test suite to use ok() and ok_string() from libtest.c, and add
	extensive new tests for the parser error handling and reporting. 
	Abstract out the code to read and test a lot of separate
	configuration files.

2001-12-12 09:27  rra

	* tests/lib/vector-t.c: Fix test 47, which was testing the wrong
	thing, and use ok() from libtest.c.

2001-12-12 09:26  rra

	* tests/lib/snprintf-t.c: Rename ok_format to test_format, remove
	an unused variable, and use ok() from libtest.c.

2001-12-12 09:24  rra

	* tests/lib/setenv-t.c: Use ok() from libtest.c and break multiple
	tests into separate calls to ok().

2001-12-12 09:23  rra

	* tests/lib/: pread-t.c, pwrite-t.c: Use the standard INN includes
	rather than rolling our own and pull ok() from libtest.c.

2001-12-12 09:22  rra

	* tests/lib/md5-t.c: Make digest2hex static, rename the test
	function to start with test_*, and use the libtest.c functions
	where appropriate.

2001-12-12 09:21  rra

	* tests/lib/: inet_aton-t.c, inet_ntoa-t.c: Better abstract the
	tests into test_* functions and use the libtest.c functions where
	appropriate.

2001-12-12 09:20  rra

	* tests/lib/hstrerror-t.c: Use ok_string() and rename the test
	function to test_error() from ok().

2001-12-12 09:19  rra

	* tests/lib/fakewrite.c: Add prototypes for write and writev to
	avoid warnings, put the body of if statements on on separate line
	from the statement, and fix some comparison between signed and
	unsigned errors.

2001-12-12 09:18  rra

	* tests/lib/xwrite-t.c: Use new functions beginning with test_* to
	do the tests rather than function names including ok to avoid
	confusion with libtest.c.

2001-12-12 09:16  rra

	* tests/lib/qio-t.c: Use the libtest.c ok() and ok_string()
	functions and break tests that were testing multiple things at the
	same time into separate tests.	Also add a few casts to take care
	of errors.

2001-12-12 09:16  rra

	* tests/lib/date-t.c: Use the libtest.c ok() and ok_string()
	functions and break tests that were testing multiple things at the
	same time into separate tests.

2001-12-12 09:15  rra

	* tests/lib/: concat-t.c, hashtab-t.c, memcmp-t.c, strerror-t.c:
	Use the libtest.c ok() and ok_string() functions instead of rolling
	separate ones.

2001-12-12 09:10  rra

	* tests/Makefile: Link the tests that need it against libtest.o.

2001-12-12 09:08  rra

	* tests/runtests.c: Include time.h for difftime() on Linux.

2001-12-12 09:07  rra

	* tests/: libtest.c, libtest.h: Some commonly-used utility
	functions for writing tests, pulled out of the individual test
	suites.

2001-12-12 09:07  rra

	* lib/strerror.c: Move sys_nerr and sys_errlist out of the function
	to the top level to avoid warnings and prototype test_strerror when
	compiling with TESTING.

2001-12-12 09:05  rra

	* lib/: hstrerror.c, inet_aton.c, inet_ntoa.c, memcmp.c, pread.c,
	pwrite.c, setenv.c: Prototype the test functions when building with
	TESTING to avoid warnings in the test suite.

2001-12-12 09:04  rra

	* lib/confparse.c: Use "invalid" instead of "illegal" in warning
	messages.  Fix the error message for a bare word containing a colon
	in the middle to complain about the colon and not the character
	after the colon.  Add a missing space to the error message about a
	run-on string.	Fix various problems with file_read_more() and
	file->current.	Report the correct line number for duplicate
	parameters.

2001-12-07 07:26  kondou

	* backends/nntpsend.in, doc/man/nntpsend.8: 
	From: Ben Rosengart <br@panix.com>
	
	new flag '-w' is added to sleep specified duration before invoking
	innxmit

2001-12-01 01:55  rra

	* samples/control.ctl: Update the URLs for dk.*.

2001-11-18 22:59  rra

	* samples/control.ctl: Update the URL for relcom.*.  Reported by
	William F. Maton.

2001-11-17 08:27  kondou

	* storage/ov.c: 
	From: "John Witford" <jwitford@hutch.com.au>
	
	timewarp was incorrectly calculated

2001-11-16 05:46  kondou

	* frontends/mailpost.in: 
	From: Kenichi Okada <okada@opaopa.org>
	
	Fix for some mailing list tools (ezmlm, et al)

2001-11-11 13:45  kondou

	* lib/clientactive.c: 
	From: Paul A Vixie <Paul_Vixie@isc.org>
	
	if your caller is going to do perror() on your failure, set errno

2001-11-11 13:38  kondou

	* frontends/cnfsstat.in: 
	From: Basil Kruglov <basil@cifnet.com>
	
	fixing not showing any syslog for cnfsstat messages on FreeBSD box

2001-10-22 12:24  alexk

	* expire/expire.c: At completion news.daily expects
	`history.n.done' to be created, not history.done.

2001-10-19 03:56  kondou

	* innd/rc.c, nnrpd/perm.c: 
	From: Bettina Fink <laura@hydrophil.de>
	
	typo fixed

2001-10-14 20:33  rra

	* samples/control.ctl: Add some additional comments about the
	stgt.* hierarchy.

2001-10-04 01:35  kondou

	* innd/python.c: 
	From: LaMont Jones <lamont@hp.com>
	
	fixes a compile problem on hp-ux (using HP's compiler), which is
	triggered because isspace is doesn't have () around it in the macro
	expansion

2001-09-27 08:27  kondou

	* samples/control.ctl: 
	stgt.* is updated

2001-09-26 13:19  kondou

	* README, doc/pod/readme.pod: 
	update for new suck url

2001-09-25 07:32  kondou

	* nnrpd/: nnrpd.c, post.c: 
	create directory for readertrack unless existed
	
	tracked posted article was not written correctly

2001-09-25 07:29  kondou

	* doc/: man/inn.conf.5, pod/inn.conf.pod: 
	description of readertrack was still incorrect

2001-09-25 03:58  rra

	* samples/moderators: Add a special rule for ukr.* at the request
	of the hierarchy maintainer.

2001-09-22 13:30  kondou

	* frontends/mailpost.in, doc/man/mailpost.8: 
	From: Kenichi Okada <okada@opaopa.org>
	
	patch to handle crosspost

2001-09-22 12:50  kondou

	* nnrpd/post.c: 
	nnrpd should have dumped core if readertrack enabled and the value
	is unset in CMDtable

2001-09-22 12:47  kondou

	* doc/: man/inn.conf.5, pod/inn.conf.pod: 
	clarify what readertrack is intended for

2001-09-21 15:11  kondou

	* storage/cnfs/cnfs.c: 
	show correct error message, if stat()'ing cycbuffer fails

2001-09-01 15:20  kondou

	* configure, configure.in: 
	From: Kenichi Okada <okada@opaopa.org>
	
	recent libcrypto needs libdl for enabling ssl

2001-08-31 08:54  kondou

	* nnrpd/nnrpd.c, doc/man/nnrpd.8: 
	From: Kenichi Okada <okada@opaopa.org>
	
	add '-f' option to keep nnrpd in the foreground

2001-08-29 05:08  rra

	* samples/control.ctl: Update address to which to send changes. 
	Update comments for cmi.*, t-netz.*, and zer.*.  Mark uiuc.* as
	local and update the configuration appropriately.  Update the
	information for z-netz.*.

2001-08-28 02:21  rra

	* doc/config-syntax: Clarify that the number ranges are based on
	the C99 minimums.

2001-08-21 06:50  rra

	* samples/control.ctl: Change the control message sender for
	alabama.* and hsv.*.

2001-08-19 05:55  rra

	* samples/control.ctl: Add cn.*.

2001-08-18 18:47  rra

	* samples/control.ctl: Update saar.* information.  Add opera.*. 
	Update the comments for the defunct hierarchies to all say to
	remove any groups carried in those hierarchies.  Mark mod.* as
	defunct.

2001-08-18 00:04  rra

	* samples/control.ctl: Added bes.*.

2001-08-18 00:02  rra

	* samples/control.ctl: Massive cleanup.  Rewrote the initial
	comment to give more information, collapsed the small sections at
	the beginning into a section for misc.	control messages, added
	*LOCAL*, *PRIVATE*, and *DEFUNCT* tags to various hierarchies,
	standardized the format of the comments to a large degree, and
	removed the commented-out non-PGP lines, instead adding
	instructions on how to modify a PGP line to be a non-PGP line.

2001-08-17 21:27  rra

	* samples/moderators: Update and clarify the initial comment and
	add nl.* at the request of the hierarchy administrator.

2001-08-17 21:20  rra

	* samples/control.ctl: Add humanityquest.*, update the information
	for ie.* and linux.*.

2001-08-17 04:27  rra

	* doc/compliance-nntp: Fix a confusing summary (for articles with
	missing Message-ID headers and NNTP retrieval).

2001-08-17 02:18  rra

	* MANIFEST: Added doc/man/perl-nocem.8.

2001-08-17 02:18  rra

	* doc/man/: Makefile, perl-nocem.8: Add the perl-nocem man page.

2001-08-17 02:17  rra

	* control/Makefile: Add a rule to build the perl-nocem man page
	from the POD embedded in the script, run with make man.

2001-08-17 02:09  rra

	* MANIFEST, doc/GPL, doc/Makefile: Distribute a copy of the GPL
	with INN to remain in compliance with the license on those
	stand-alone programs that come with INN that are under the GPL
	(currently authprogs/auth_smb and its library and perl-nocem).

2001-08-17 02:04  rra

	* LICENSE: Update for the new control directory, add
	control/perl-nocem.in, and update the license for controlchan.	Add
	a paragraph about license compatibility explaining why we can ship
	software that's covered under the GPL even though the main INN
	license is incompatible with it.

2001-08-17 02:03  rra

	* MANIFEST: Add control/perl-nocem.in.

2001-08-17 02:02  rra

	* control/: Makefile, perl-nocem.in: Add a Perl NoCeM
	implementation from Marco d'Itri.

2001-08-17 01:47  rra

	* authprogs/Makefile: Cosmetic fixes and reordering.

2001-08-16 23:32  rra

	* samples/control.ctl: Update it.* information with new details
	from Marco d'Itri.

2001-08-16 22:47  rra

	* samples/control.ctl: Update some comments, rewrite the comments
	for alt.* and remove the commented-out trusted rmgroupers, all of
	which are now obsolete anyway, and add milw.*.

2001-08-14 22:45  rra

	* nnrpd/perm.c: Make sure to explicitly initialize all pointer
	values in curaccess in SetDefaultAccess.  Fixes a crash reported by
	Devin Ganger.

2001-08-11 20:32  hkehoe

	* configure, configure.in: Add BerkeleyDB.3.3 to configure search

2001-08-11 15:07  kondou

	* storage/tradspool/tradspool.c: 
	articles which belong to newly created group did not come up when
	reading

2001-08-11 15:05  kondou

	* storage/cnfs/cnfs.c: 
	now gives an error if cycbuff or metacycbuff is duplicated

2001-08-11 15:04  kondou

	* scripts/scanlogs.in: 
	unwanted.log was not cumulative(1.* was so)

2001-08-11 06:34  alexk

	* frontends/: ovdb_monitor.c, ovdb_stat.c: Accomodate interface
	changes in Berkeley DB 3.3.11

2001-07-29 14:36  kondou

	* nnrpd/nnrpd.h: 
	From: christian mock <cm@tahina.priv.at>
	
	fixes compilation error with gcc3.0

2001-07-29 06:04  rra

	* TODO: Add better return status from ctlinnd reload incoming.conf.

2001-07-26 10:47  alexk

	* history/hisv6/hisv6.c: Add missed dbzsize() when creating new
	history files

2001-07-25 12:23  alexk

	* expire/Makefile, expire/expire.c, history/hisv6/hisv6-private.h,
	history/hisv6/hisv6.c, history/hisv6/hisv6.h: Move reserve/go back
	into expire and out of the sub method (we introduce an undocumented
	dependency on the caller of HISexpire where they must have called
	ICCopen - this needs fixing). This fixes the problems with expiry
	into new directories and leaving the server paused afterwards.
	
	Update hisv6 to use the error mechanism hoisted into the main
	history API.

2001-07-25 12:17  alexk

	* history/: his.c, Makefile, hisinterface.h: Provide a new method
	his_seterror() in his.c to hoist error handling out of the sub
	methods into a common parent method.

2001-07-25 12:00  alexk

	* doc/: man/libinnhist.3, pod/libinnhist.pod: Update HISexpire to
	reflect where the reserve/pause/go now happen (and the requirements
	on the caller). Fix some typos and some of the sense in the
	descriptions of the functions.

2001-07-25 11:59  alexk

	* doc/man/expire.8: Document -s <size> (size database for <size>
	pairs) flag to expire

2001-07-25 07:33  alexk

	* backends/Makefile, frontends/Makefile, innd/Makefile,
	nnrpd/Makefile: Add missing $(LIBHIST) targets

2001-07-24 22:51  kondou

	* nnrpd/group.c: 
	From: M Manoj Kumar <manoj@sasken.com>
	
	nnrpd tried to examine the existense of each article regardless of
	nnrpdcheckart when listgroups is issued

2001-07-24 22:41  kondou

	* doc/man/inews.1, MANIFEST: 
	From: "Adam J. Richter" <adam@yggdrasil.com>
	
	typo fixed

2001-07-19 09:02  rra

	* authprogs/smbval/smblib.c: Needs <string.h>.

2001-07-19 09:01  rra

	* expire/expire.c: EXPreason isn't const (it's malloc'd memory
	that's later freed).

2001-07-19 08:52  rra

	* control/Makefile: Add a missing backslash.

2001-07-19 08:49  rra

	* history/his.c: HISctl returns a bool, and NULL isn't a bool;
	return false instead.  (NULL fails on systems where NULL is defined
	as a pointer type rather than just 0.)

2001-07-19 05:34  rra

	* configure, configure.in, include/config.h.in: Rearrange the SSL
	checks to check for prerequisite libraries first and to separate
	the -L flag from the accumulating list of libraries.  This may fix
	problems on systems where link order matters.
	
	Define _GNU_SOURCE when compiling with large files on Linux so that
	the right pread and pwrite definitions will be picked up from
	unistd.h.
	
	Reformat and update some comments.

2001-07-19 03:22  rra

	* NEWS, doc/pod/news.pod: Expand the entry for the new history API
	(and add it to the POD version of the NEWS file).

2001-07-19 03:14  rra

	* CONTRIBUTORS: Add the history API to Alex Kiernan's entry, add
	Jochen Erwied.

2001-07-19 00:40  rra

	* MANIFEST: signcontrol moved from frontends to control.

2001-07-19 00:40  rra

	* frontends/Makefile: Move signcontrol to control/.

2001-07-19 00:39  rra

	* control/Makefile: Add signcontrol.

2001-07-19 00:39  rra

	* control/signcontrol.in: Moved from frontends/pgpverify.in; see
	that file for older revision history.

2001-07-19 00:32  rra

	* control/: controlchan.in, modules/checkgroups.pl,
	modules/ihave.pl, modules/newgroup.pl, modules/rmgroup.pl,
	modules/sendme.pl, modules/sendsys.pl, modules/senduuname.pl,
	modules/version.pl: Add a standard header to all files using the
	comment convention used elsewhere in INN for Perl code, and state
	the license (only the first two clauses of the general INN
	license).

2001-07-18 22:13  rra

	* tests/lib/vector-t.c: Change tests to account for changing
	split_whitespace to split_space, and test behavior of the split
	functions with trailing delimiters somewhat better.

2001-07-18 22:12  rra

	* lib/vector.c, include/inn/vector.h: Change split_whitespace to
	split_space and only split on tabs and spaces, which is more useful
	for INN than a general split on any whitespace.

2001-07-18 22:11  rra

	* lib/Makefile, tests/Makefile: Add a make warnings target.

2001-07-18 19:53  rra

	* doc/Makefile: Install compliance-nntp and the config-*
	documentation, control-messages is no longer current.

2001-07-18 19:52  rra

	* MANIFEST: The old description of control message handling
	predated controlchan and therefore is no longer accurate.

2001-07-18 18:50  rra

	* Makefile: Add include to libdirs so that it's built on make
	update.

2001-07-18 14:37  kondou

	* configure, configure.in: 
	From: Roman Gollent <roman@pobox.com>
	
	Forte C 6.0 is considered

2001-07-18 13:43  kondou

	* nnrpd/perm.c: 
	From: "Yury B.Razbegin" <yur@simtel.ru>
	
	nnrpd crashes under FreeBSD 4.3. It occurs because of incorrect
	operations of initialization and destruction of variables. At the
	end of the mail the appropriate patch are attached

2001-07-18 13:23  alexk

	* MANIFEST, doc/man/Makefile, expire/Makefile: Remove newsrequeue
	which has rotted

2001-07-18 12:40  alexk

	* history/hisv6/: hisv6-private.h, hisv6.c, hisv6.h: Implement
	HISctl, read-only expire, add in option to pause during HISwalk

2001-07-18 12:38  alexk

	* expire/expireover.c, innd/util.c, expire/grephistory.c,
	expire/makehistory.c, expire/prunehistory.c, nnrpd/nnrpd.c,
	backends/innxmit.c, backends/nntpget.c: Replace histopts with
	HISctl

2001-07-18 12:36  alexk

	* expire/expire.c: Add -s flag (size of new database), fix up
	remaining broken options post history API: -x, -n & -i

2001-07-18 12:33  alexk

	* history/his.c, history/hisinterface.h, include/inn/history.h: Add
	HISctl interface, add reason into HISwalk interface, remove
	histopts, remove dirty handling from his.c (leave it to the
	subordinate history manager)

2001-07-18 12:29  alexk

	* doc/: man/libinnhist.3, pod/libinnhist.pod: Update documentation
	for changes to interface into history API - remove histopts, add
	HISctl, add reason into HISwalk

2001-07-18 08:04  alexk

	* backends/Makefile, history/Makefile, innd/Makefile,
	innfeed/Makefile, lib/Makefile, nnrpd/Makefile, storage/Makefile:
	Update dependencies on the Makefiles

2001-07-18 08:03  alexk

	* configure, configure.in: Add more link crap to make the FreeBSD
	port of Py2.0 happy. Patch from greg andruk <gja@meowing.net>

2001-07-18 07:54  alexk

	* innd/python.c: Change to use the new history functions, patch
	from greg andruk <gja@meowing.net>

2001-07-17 22:38  kondou

	* history/his.c: 
	From: Igor Timkin <ivt@newsfeed.gamma.ru>
	
	dirty flag never set to 1

2001-07-16 19:02  alexk

	* frontends/Makefile, innfeed/Makefile: Shared builds need history
	library everywhere, patch from Igor Timkin <ivt@gamma.ru>

2001-07-12 18:32  vinocur

	* TODO: Remove a completed TODO item (creating backoff_db directory
	if it doesn't exist) that was missed when the patch was committed.

2001-07-12 09:18  alexk

	* history/his.c: Need to include portable/time.h to get struct
	timeval et al.

2001-07-12 08:44  kondou

	* storage/Makefile: 
	buildconfg and other needed stuff were not created properly

2001-07-11 21:38  vinocur

	* innfeed/startinnfeed.c: Fixed off-by-one error in checking number
	of arguments.  Patch from Sven Paulus.

2001-07-11 12:30  alexk

	* doc/man/Makefile: libinnhist.3 should be installed

2001-07-11 12:24  alexk

	* include/config.h.in: Remove HIS_... stuff from here too
	(acconfig.h is the master)

2001-07-11 07:42  alexk

	* include/acconfig.h: HIS_... not needed any more as its hidden in
	the implementation

2001-07-11 07:40  alexk

	* nnrpd/: Makefile, article.c, group.c, misc.c, newnews.c, nnrpd.c,
	nnrpd.h: Convert nnrpd to use the history API

2001-07-11 07:38  alexk

	* expire/: expire.c, grephistory.c, makedbz.c, makehistory.c,
	prunehistory.c: Convert expire to use the history API

2001-07-11 07:35  alexk

	* expire/Makefile, expire/expireover.c, include/ov.h, storage/ov.c,
	storage/ovinterface.h, storage/buffindexed/buffindexed.c,
	storage/buffindexed/buffindexed.h, storage/ovdb/ovdb.c,
	storage/ovdb/ovdb.h: Pass history handle into OVhisthasmsgid, add
	history handle passed to each ..._expiregroup, convert expireover
	to use history API

2001-07-11 07:26  alexk

	* innd/: Makefile, art.c, cc.c, chan.c, icd.c, nc.c, perl.c, wip.c:
	Convert to make calls into the history API rather than private
	routines

2001-07-11 07:25  alexk

	* innd/innd.c: Use new internal glue for connecting to the history
	API

2001-07-11 07:24  alexk

	* innd/innd.h: Add interface to innd history API glue routines,
	remove old internal history interfaces

2001-07-11 07:23  alexk

	* innd/util.c: Additional glue routines to connect innd to the
	history API

2001-07-11 07:18  alexk

	* backends/: Makefile, innxmit.c, nntpget.c: Migrate to the history
	API

2001-07-11 07:12  alexk

	* include/libinn.h, samples/inn.conf.in, scripts/inncheck.in: Add
	support for the `hismethod' configuration setting

2001-07-09 13:05  rra

	* MANIFEST: Add doc/compliance-nntp.

2001-07-09 12:37  rra

	* lib/: memcmp.c, qio.c: Coding style fixes (the body of an if
	should be on a line by itself).

2001-07-09 11:12  alexk

	* include/storage.h: Add `token' to the definition of the TOKEN
	typedef so we can use elided declarations

2001-07-09 09:56  alexk

	* Makefile.global.in, Makefile: Add history API library to the
	build

2001-07-09 09:43  alexk

	* MANIFEST: History API files have moved into history/

2001-07-09 09:00  alexk

	* doc/man/grephistory.1: Remove options no longer supported under
	the history API (-h & -t)

2001-07-09 08:59  alexk

	* doc/man/: inn.conf.5, makehistory.8: Update following changes to
	the PODs

2001-07-09 08:52  alexk

	* doc/man/libinnhist.3: History API documentation converted from
	pod

2001-07-09 08:51  alexk

	* doc/pod/Makefile: Remove dbprocs from the build list - its gone
	away

2001-07-09 08:42  alexk

	* doc/pod/: Makefile, libinnhist.pod: History API documentation

2001-07-09 08:41  alexk

	* doc/pod/makehistory.pod: Add -s option for sizing the history
	database

2001-07-09 08:41  alexk

	* doc/pod/inn.conf.pod: Add documentation on the `hismethod' option

2001-07-09 08:28  alexk

	* history/Makefile: History API master Makefile

2001-07-09 08:26  alexk

	* history/hisv6/hisv6.c: v6 history API implementation

2001-07-09 08:26  alexk

	* history/hisv6/hisv6.h: Internal v6 history API interface for
	export to the public interface

2001-07-09 08:25  alexk

	* history/hisv6/hisv6-private.h: Internal interfaces for the v6
	history API

2001-07-09 08:25  alexk

	* history/hisv6/hismethod.config: v6 history API configuration

2001-07-09 08:20  alexk

	* history/hisinterface.h: Interface between the public history API
	and the implementations; each history module must implement this
	interface.

2001-07-09 08:19  alexk

	* history/his.c, include/inn/history.h: API into the pluggable
	history mechanism; this is the public interface, documented in
	libinnhist(3)

2001-07-09 08:09  alexk

	* lib/Makefile, lib/sequence.c, include/inn/sequence.h: Sequence
	space arithmetic routines (the kind typically used for DNS serial
	numbers)

2001-07-09 08:07  alexk

	* NEWS: Add brief detail on the history API changes

2001-07-09 08:06  alexk

	* MANIFEST: Add history API files

2001-07-09 08:06  alexk

	* LICENSE: Add licensing for libhist/* (basically new BSD license)

2001-07-09 04:42  rra

	* lib/snprintf.c: Silence a few warnings.

2001-07-09 04:33  rra

	* Makefile.global.in: Add -Wno-long-long to WARNINGS to silence
	warnings from building lib/snprintf.c.

2001-07-08 12:58  rra

	* doc/compliance-nntp: Initial audit of INN against
	draft-ietf-nntpext-base-13.txt.

2001-07-06 01:16  rra

	* TODO: Add to the requested new features list having inncheck
	check the syntax of all of the files that can be returned by the
	server to a client with the various LIST commands.

2001-07-05 04:15  rra

	* nnrpd/group.c: The check to see if the current group has changed
	should be case sensitive, since newsgroup names are case sensitive.

2001-07-04 20:20  rra

	* nnrpd/nnrpd.c: Assume that the client can't auth for SSL
	connections, which fixes some issues with client certs.  Patch from
	Bettina Fink <laura@hydrophil.de>.

2001-07-04 20:18  rra

	* innd/chan.c: Free additional resources that are now part of a
	channel on channel close to close a memory leak.  Patch from Alex
	Kiernan <alexk@demon.net>.

2001-07-04 07:06  rra

	* tests/lib/xmalloc.t: Fix the line numbers for the failure
	messages.

2001-07-04 07:05  rra

	* tests/lib/vector-t.c: Test 47 was testing the wrong thing (not
	sure why I ever thought it was right).

2001-07-04 07:05  rra

	* tests/lib/snprintf-t.c: Add Hrvoje Niksic's tests for long long
	support, which also required massaging buffer sizes since some of
	the results were too long for the buffer size that was being used.

2001-07-04 07:04  rra

	* lib/snprintf.c: Add support for long long, from a patch by Hrvoje
	Niksic.

2001-07-03 22:55  kondou

	* contrib/reset-cnfs.c: 
	From: Roman Gollent <roman@pobox.com>
	
	support for raw device largefile

2001-07-01 02:29  rra

	* TODO: Add finding an external Samba library to the release goals
	for 2.4.  Add a generic, modular anti-spam and anti-abuse filter to
	the release goals for 2.5, along with better recovery tools for
	tradspool and tradindex, the configure rewrite to use autoconf
	2.50, and breaking out program-specific sections of inn.conf into
	their own groups.
	
	Downgrade some more ambitious documentation issues from
	high-priority status and break the general projects into
	documentation, bug fixes, feature improvements, code cleanup, and
	general projects.  Add writing documentation for all extensions to
	RFC 977 or RFC 1036.  Add using vectors and cvectors everywhere,
	renaming TRUE and FALSE, eliminating the needless casts to void,
	converting the remaining K&R code, converting nnrpd to use
	daemonize, splitting out the keyword code from innd/art.c and
	fixing its configuration, and splitting the CNFS, tradspool, and
	tradindexed code into more separate files.
	
	Move header parsing to a long-term project, and add looking at
	writing an mmap emulation for systems that don't have mmap.  Add
	untabifying the code and standardizing the indentation style to
	something that should be done if we ever reboot the CVS repository.

2001-06-30 05:19  rra

	* include/libinn.h: Remove the prototype for cpcatpath.

2001-06-30 05:15  rra

	* storage/tradspool/tradspool.c: Use portable/mmap.h.  Remove
	unnecessary madvise DONTNEED calls before munmap.
	
	Use concatpath rather than cpcatpath (which means that we're also
	now using dynamically allocated memory rather than a static buffer
	size).	In some cases, this requires an additional free of the path
	after using it.

2001-06-30 05:09  rra

	* storage/: timecaf/timecaf.c, timehash/timehash.c: Use
	portable/mmap.h.  Remove unnecessary madvise DONTNEED calls before
	munmap.

2001-06-30 05:07  rra

	* storage/ovdb/ovdb.c: Use concatpath rather than cpcatpath (which
	means that we're also now using dynamically allocated memory rather
	than a static buffer size).  In some cases, this requires an
	additional free of the path after using it.

2001-06-30 05:01  rra

	* storage/cnfs/cnfs.c: Use portable/mmap.h.  Eliminate several
	unnecessary madvise DONTNEED calls right before a munmap (which
	means the same thing).
	
	Use concatpath rather than cpcatpath (which means that we're also
	now using dynamically allocated memory rather than a static buffer
	size).	In some cases, this requires an additional free of the path
	after using it.

2001-06-30 04:10  rra

	* storage/buffindexed/buffindexed.c: Use portable/mmap.h.
	
	Use concatpath rather than cpcatpath (which means that we're also
	now using dynamically allocated memory rather than a static buffer
	size).	In some cases, this requires an additional free of the path
	after using it.

2001-06-30 03:54  rra

	* include/paths.h.in: Update the comment to reflect that we now use
	concatpath rather than cpcatpath.

2001-06-30 01:19  rra

	* tests/lib/vector-t.c: Add tests for cvectors.

2001-06-30 00:58  rra

	* innd/: art.c, cc.c, innd.c, inndstart.c, lc.c, nc.c, newsfeeds.c,
	rc.c, tcl.c: Use concatpath rather than cpcatpath (which means that
	we're also now using dynamically allocated memory rather than a
	static buffer size).  In some cases, this requires an additional
	free of the path after using it.

2001-06-30 00:55  rra

	* innd/icd.c: Use portable/mmap.h and the functions it defines.
	
	Use concatpath rather than cpcatpath (which means that we're also
	now using dynamically allocated memory rather than a static buffer
	size).	In some cases, this requires an additional free of the path
	after using it.

2001-06-30 00:53  rra

	* innd/ng.c: Remove the include of <sys/mman.h> as this file
	doesn't use any mmap I/O.

2001-06-30 00:17  rra

	* innfeed/article.c: Use portable/mmap.h, use MAP_FAILED to check
	failure of mmap.

2001-06-30 00:08  rra

	* lib/vector.c: Add a struct cvector interface for managing vectors
	that hold const char * and remove the complexity from the vector_*
	interface for dealing with the now-defunct shallow flag.  Simply
	some of the logic in the split routines.

2001-06-30 00:05  rra

	* include/inn/vector.h: Add a struct cvector to hold const char *'s
	and an additional set of interfaces for managing them.	vector_join
	and cvector_join now take const struct [c]vector *'s.

2001-06-30 00:03  rra

	* tests/lib/setenv-t.c: Skip the tests of error handling behavior
	if setenv succeeds even where the memory allocation is supposed to
	fail, to handle platforms like Linux where data limits are
	ineffective.

2001-06-30 00:02  rra

	* tests/lib/: xmalloc.c, xmalloc.t: Move setting of resource limits
	into xmalloc.c from xmalloc.t to avoid problems on Linux and allow
	skipping tests (by xmalloc returning 2) for platforms (like Linux)
	where resource limits are ineffective.	Skip the tests that we
	expect to fail if xmalloc and friends actually succeed.

2001-06-29 23:21  rra

	* tests/lib/confparse-t.c: Introduce ok_string to check string
	results so that they can be printed out if they differ from what's
	expected.

2001-06-29 23:20  rra

	* tests/lib/hashtab-t.c: Declare private functions as static.  Pass
	allocated strings to the hash table so that they can be freed on
	hash_delete and to avoid type system violations.

2001-06-29 23:18  rra

	* tests/Makefile: Also remove *.lo, */*.lo, .libs, and */.libs on
	make clean.

2001-06-29 23:15  rra

	* frontends/: ctlinnd.c, ovdb_init.c, ovdb_monitor.c,
	ovdb_server.c, rnews.c: Use concatpath rather than cpcatpath (which
	means that we're also now using dynamically allocated memory rather
	than a static buffer size).  In some cases, this requires an
	additional free of the path after using it.

2001-06-29 22:42  rra

	* expire/: expire.c, grephistory.c, makedbz.c, prunehistory.c: Use
	concatpath rather than cpcatpath (which means that we're also now
	using dynamically allocated memory rather than a static buffer
	size).	In some cases, this requires an additional free of the path
	after using it.

2001-06-29 22:40  rra

	* expire/makehistory.c: Use concatpath rather than cpcatpath (which
	means that we're also now using dynamically allocated memory rather
	than a static buffer size).  In some cases, this requires an
	additional free of the path after using it.
	
	Remove OldHistoryPath; nothing uses it.

2001-06-29 22:37  rra

	* expire/convdate.c: Minor style updates.  Casting the argument to
	CTYPE is unnecessary, and better to pass sizeof to makedate rather
	than a magic constant.

2001-06-29 22:34  rra

	* backends/: actsync.c, archive.c, batcher.c, buffchan.c,
	innxmit.c, nntpget.c: Use concatpath rather than cpcatpath (which
	means that we're also now using dynamically allocated memory rather
	than a static buffer size).  In some cases, this requires an
	additional free of the path after using it.

2001-06-29 22:29  rra

	* authprogs/smbval/Makefile: Remove *.lo and .libs on make clean.

2001-06-29 22:28  rra

	* authprogs/radius.c: Use concatpath rather than cpcatpath (which
	means that we're also now using dynamically allocated memory rather
	than a static buffer size).  In some cases, this requires an
	additional free of the path after using it.
	
	Remove the dbm headers since this file doesn't use dbm.  Also clean
	up the includes a bit.

2001-06-29 22:26  rra

	* authprogs/ckpasswd.c: Use HAVE_DBM to decide whether to compile
	in dbm support, rather than basing it on the presence of the header
	files.

2001-06-29 22:20  rra

	* configure, configure.in, include/config.h.in: Remove the check
	for varargs.h and stdarg.h when the system doesn't have standard C
	headers, since we now require stdarg.h be present.  Define HAVE_DBM
	if the system has dbm libraries rather than assuming that if the
	headers are present, so are the database functions.

2001-06-29 21:57  rra

	* storage/: Make.methods, Makefile, buildconfig.in: Build system
	rewrite for libstorage.
	
	Completely rewrite buildconfig.in, merging ovbuildconfig.in into it
	to avoid unnecessary code duplication and making it hopefully more
	readable.  No longer use find to find .config files; instead, use
	readdir and native Perl code.  Sort everything while generating
	files to make the file contents stable (so that Make.methods
	doesn't always show up as having local modifications).	Merge
	Make.ovmethods into Make.methods and update the Makefile so that
	buildconfig only needs to be run once.	Make the output of
	buildconfig more readable.

2001-06-29 21:51  rra

	* storage/ov.c: Use concatpath rather than cpcatpath (which means
	that we're also now using dynamically allocated memory rather than
	a static buffer size).	In some cases, this requires an additional
	free of the path after using it.
	
	Remove <sys/mman.h> as this file doesn't do any memory-mapped I/O.

2001-06-29 21:50  rra

	* storage/interface.c: Use concatpath rather than cpcatpath (which
	means that we're also now using dynamically allocated memory rather
	than a static buffer size).  In some cases, this requires an
	additional free of the path after using it.

2001-06-29 21:42  rra

	* nnrpd/: commands.c, newnews.c, sasl_config.c: Use concatpath
	rather than cpcatpath (which means that we're also now using
	dynamically allocated memory rather than a static buffer size).  In
	some cases, this requires an additional free of the path after
	using it.

2001-06-29 21:41  rra

	* nnrpd/perm.c: Use concatpath rather than cpcatpath (which means
	that we're also now using dynamically allocated memory rather than
	a static buffer size).	In some cases, this requires an additional
	free of the path after using it.  In some spots, use concat instead
	of sprintf.

2001-06-29 21:39  rra

	* nnrpd/nnrpd.h: Remove support for <varargs.h>.

2001-06-29 21:38  rra

	* nnrpd/nnrpd.c: Use concatpath rather than cpcatpath (which means
	that we're also now using dynamically allocated memory rather than
	a static buffer size).	In some cases, this requires an additional
	free of the path after using it.
	
	Strip out the support for <varargs.h>; we now require ANSI C and
	therefore require <stdarg.h> and don't need the additional
	complexity.

2001-06-29 21:35  rra

	* nnrpd/group.c: Neither <netinet/in.h> nor <sys/mman.h> were
	necessary in this file.

2001-06-29 21:30  rra

	* nnrpd/article.c: Rearrange includes and drop <sys/mman.h> as
	memory-mapped I/O is no longer used in this file.  Use concatpath
	instead of cpcatpath.

2001-06-29 21:14  rra

	* include/portable/mmap.h: Initial version of a portability wrapper
	around <sys/mman.h> that deals with mmap variations detected by
	autoconf.

2001-06-29 21:10  rra

	* lib/Makefile: Add a pattern rule for .lo files; otherwise,
	aborted makes wouldn't be properly restarted in some circumstances
	when using libtool.

2001-06-29 21:07  rra

	* lib/: clientactive.c, defdist.c, getmodaddr.c, inndcomm.c,
	remopen.c, sendpass.c: Use concatpath rather than cpcatpath (which
	means that we're also now using dynamically allocated memory rather
	than a static buffer size).  In some cases, this requires an
	additional free of the path after using it.  None of these spots
	were security-relevant, since the arguments to cpcatpath were
	inn.conf data and compile-time constants, but this method is still
	more robust.

2001-06-29 20:59  rra

	* lib/confparse.c: param->type was unintialized, param->line was
	off by one, and the decoding of quoted strings wasn't properly
	nul-terminated.

2001-06-21 23:10  kondou

	* control/modules/: ihave.pl, sendme.pl: 
	From: "Matthew C. Aycock" <matt@mathcs.emory.edu>
	
	Statement-modifier foreach isn't supported by all the versions of
	Perl that each module is supposed to work with; use a traditional
	foreach instead

2001-06-21 11:22  rra

	* README, doc/pod/readme.pod: Update the URL for suck.

2001-06-21 10:52  rra

	* doc/config-design: Add that the parser must be re-entrant and
	thread-safe and that the grammar not require lookahead to parse.

2001-06-21 10:49  rra

	* lib/confparse.c: Remove comment referring to a function which no
	longer exists, include the token struct directly into the
	config_file struct rather than defining it separately since token
	structs are never manipulated independent of config_file structs.

2001-06-21 09:32  rra

	* TODO: Update the status of the new configuration file parser and
	break up the remaining tasks by timeline.  Clarify the work that
	the IPv6 patch needs.  Add finding a Samba library that can replace
	the Samba code in the authprogs directory to the high-priority
	tasks list.  Add a note that ternary search trees may be the right
	data structure for the parameter hashes in the configuration
	parser.  Add removing the configuration parsing code from inndstart
	and startinnfeed.

2001-06-21 09:06  rra

	* HACKING, doc/pod/hacking.pod: Document the FIXME convention and
	the convention of putting the body of an if on a separate line even
	if it's a single line.

2001-06-21 09:05  rra

	* MANIFEST: Update for new configuration parsing code and string
	vector code.

2001-06-21 09:04  rra

	* tests/TESTS: Add lib/confparse and lib/vector.

2001-06-21 09:04  rra

	* tests/Makefile: Add lib/confparse.t and lib/vector.t.

2001-06-21 09:04  rra

	* tests/lib/vector-t.c: New test suite for the string vector
	manipulation code.

2001-06-21 09:04  rra

	* tests/lib/confparse-t.c: New test suite for the configuration
	parser.

2001-06-21 09:03  rra

	* tests/lib/config/valid: A sample of valid parameters without
	groups, of type boolean, integer, and string (including quoted
	strings).

2001-06-21 09:03  rra

	* lib/Makefile: Add confparse.c and vector.c.

2001-06-21 09:02  rra

	* lib/confparse.c, include/inn/confparse.h: New configuration file
	parsing code.  Fully implements parameters of type boolean,
	integer, or string, although is still missing some escape handling
	in quoted strings (particularly anything that generates a character
	from octal or hex digits).  Nested groups are not implemented yet,
	but the interface is there; likewise for vector parameters.  Error
	handling in the parser is fully implemented, but error functions
	are not yet provided to the caller.

2001-06-21 09:00  rra

	* include/inn/vector.h, lib/vector.c: New code for manipulating
	counted vectors of strings.

2001-06-21 08:59  rra

	* doc/: config-design, config-semantics, config-syntax: Design
	documentation for the new configuration file parser.

2001-06-21 08:59  rra

	* Makefile.global.in: Update the WARNINGS variable and break it out
	into its own section with a comment about what warnings we're using
	and why.

2001-06-21 08:58  rra

	* tests/lib/: xmalloc.c, xmalloc.t: Add tests for xstrndup.

2001-06-21 08:57  rra

	* include/libinn.h, lib/xmalloc.c: Add xstrndup, like xstrdup but
	only copy the first n characters of the string.

2001-06-20 03:10  kondou

	* authprogs/radius.c: 
	From: "Yury B.Razbegin" <yur@simtel.ru>
	
	forgot to initialize

2001-06-19 21:21  rra

	* control/controlchan.in: Statement-modifier foreach isn't
	supported by all the versions of Perl that controlchan is supposed
	to work with; use a traditional foreach instead.

2001-06-16 15:50  kondou

	* authprogs/radius.c: 
	From: elr@panix.com
	
	consider radius packet lost(tries to retransmit)

2001-06-16 14:35  kondou

	* innfeed/: imap_connection.c, startinnfeed.c: 
	From: "Jeffrey M. Vinocur" <jeff@litech.org>
	
	fixed a typo in the imap code comments
	
	imapfeed now can be spawend by startinnfeed

2001-06-16 14:33  kondou

	* doc/man/startinnfeed.1: 
	From: "Jeffrey M. Vinocur" <jeff@litech.org>
	
	describe how to invoke imapfeed

2001-06-16 14:24  kondou

	* control/gpgverify.in: 
	From: "Andy Igoshin" <ai@vsu.ru>
	
	parenthesis was missed

2001-06-16 14:14  kondou

	* doc/man/inn.conf.5, doc/man/readers.conf.5, doc/pod/inn.conf.pod,
	doc/pod/readers.conf.pod, nnrpd/article.c, nnrpd/misc.c: 
	backoff_db does not need to be existed
	
	From: "Jeffrey M. Vinocur" <jeff@litech.org>
	
	nnrpd rate limits for ssl

2001-06-16 04:34  kondou

	* include/inndcomm.h: 
	From: Heiko Schlichting <inn-bugs@fu-berlin.de>
	
	The comment in include/inndcomm.h describing the ICC protocol seems
	to be wrong.  The message length is of type short and therefore 2
	bytes and not 4 as written

2001-06-16 04:30  kondou

	* authprogs/radius.c: 
	From: "Yury B.Razbegin" <yur@simtel.ru>
	
	cpcatpath() returns static area which was incorrectly DISPOSE'd.

2001-06-14 22:37  kondou

	* nnrpd/perm.c: 
	From: "Yury B.Razbegin" <yur@simtel.ru>
	
	simple misprint in the program text

2001-06-03 14:02  kondou

	* backends/mod-active.in: 
	'-w' is now dropped for executing perl

2001-05-25 16:54  kondou

	* storage/tradspool/tradspool.c: 
	SMerrno was not set in a certain case if tradspool_retrieve()
	failed

2001-05-24 02:34  kondou

	* authprogs/ident.c: 
	From: "Matthias Urlichs" <smurf@noris.de>
	
	when querying hosts behind firewalls which deny auth-requests (that
	is, they don't send reject packets), the authprogs/ident program
	shipped with INN 2.3.{0,1} simply hangs forever, and thus also
	nnrpd just hangs;neither can the user really connect, nor does he
	get any error message.

2001-05-24 02:17  kondou

	* configure, configure.in: 
	From: Unified Meowbot <meowbot@meowing.net>
	
	This change is to allow an embedded Python interpreter to load
	dynamic C modules.

2001-05-24 02:06  kondou

	* backends/filechan.c, backends/innxmit.c, contrib/mlockfile.c,
	doc/man/libinn.3, include/libinn.h, lib/lockfile.c,
	storage/buffindexed/buffindexed.c, storage/ovdb/ovdb.c,
	storage/timecaf/caf.c: 
	From: James Ralston <qralston+ml.inn-patches@andrew.cmu.edu>
	
	patch renames all of INN's symbols that conflict with glibc when
	-D_GNU_SOURCE is used

2001-05-24 01:42  kondou

	* nnrpd/nnrpd.c: 
	'-n' was treated as unknown option

2001-05-15 10:06  rra

	* control/controlchan.in: Fixed test logic to skip non-module files
	in the control directory; files were only being skipped if they
	didn't end in .pl *and* weren't files.

2001-05-15 10:03  rra

	* control/controlchan.in: Check for newgroup and rmgroup control
	messages that don't specify a newsgroup and drop them.	Also fix an
	error in printing the moderation flag in the log message for
	_pgpfail messages.

2001-05-14 04:21  rra

	* INSTALL, doc/pod/install.pod: Update the minimum required version
	of Perl to 5.004_03, and fix the URL for the latest version of
	Perl.  Remove mention of pgpgpg, since after the next pgpverify
	update it will support GnuPG natively.	Move the information about
	running h2ph up to the list of prerequisites and mention that it's
	not necessary for Perl 5.6.1.  Update for controlchan being on by
	default.

2001-05-14 04:18  rra

	* doc/man/controlchan.8: Remove the mention of usecontrolchan,
	clarify that Sys::Syslog only needs special attention for versions
	of Perl prior to 5.6.0.

2001-05-14 04:17  rra

	* doc/man/control.ctl.5: Update for controlchan being the only way
	of processing control messages.

2001-05-14 04:16  rra

	* doc/man/newslog.5: Clarify that errlog now mostly consists of
	error messages from feeds defined in newsfeeds (rather than control
	message processing programs).

2001-05-14 04:15  rra

	* doc/: man/inn.conf.5, pod/inn.conf.pod: Remove usecontrolchan and
	update the description of pathcontrol.

2001-05-14 04:15  rra

	* doc/: pod/innd.pod, man/innd.8: Remove documentation of the old
	control message processing.

2001-05-14 04:14  rra

	* scripts/innreport_inn.pm: Remove the artctrl timer for innd.

2001-05-14 04:12  rra

	* scripts/inncheck.in: Remove usecontrolchan from inn.conf
	checking, stop checking for control programs (at some point,
	checking for the .pl handlers should be added).

2001-05-14 04:12  rra

	* site/Makefile: Remove all of the old control message handling
	programs.

2001-05-14 04:11  rra

	* include/paths.h.in: Remove _PATH_BADCONTROLPROG, no longer used.

2001-05-14 04:10  rra

	* include/libinn.h: Remove usecontrolchan and pathcontrol (which is
	now only used by controlchan and doesn't need to be in the innconf
	struct).

2001-05-14 04:05  rra

	* innd/: chan.c, innd.h: Remove the artctrl timer.

2001-05-14 04:04  rra

	* innd/icd.c: Always make sure that people don't remove
	control.cancel, not just when usecontrolchan is set (since
	usecontrolchan is going away).

2001-05-14 04:03  rra

	* innd/art.c: Remove all of the control message handling except for
	cancel messages, and also remove the timer call around ARTcontrol
	since all it does now is check to see if the message is a cancel.

2001-05-14 03:59  rra

	* samples/newsfeeds.in: Enable the controlchan feed by default.

2001-05-14 03:59  rra

	* samples/inn.conf.in: Remove usecontrolchan.

2001-05-14 03:59  rra

	* samples/Makefile: Remove all of the old control message handling
	scripts.

2001-05-14 03:54  rra

	* lib/xwrite.c: Minor formatting fixes (putting if bodies on a
	separate line).

2001-05-14 03:53  rra

	* lib/timer.c: Minor formatting fixes.

2001-05-14 03:53  rra

	* lib/strerror.c: Minor style fixes (rewrapping comments, putting
	the if body on a separate line).

2001-05-14 03:52  rra

	* lib/fdflags.c: Minor style fix (put the body of an if on a
	separate line from the if).

2001-05-10 17:09  rra

	* doc/man/ctlinnd.8: ctlinnd kill is correct; ctlinnd signal is
	not.  Patch from Andrew Stribblehill
	<a.d.stribblehill@durham.ac.uk>.

2001-05-10 17:07  rra

	* samples/innreport.conf.in: Report too many connections from a
	given site.  Patch from Fabien Tassin <fta@sofaraway.org>.

2001-05-10 17:07  rra

	* scripts/innreport_inn.pm: Track reports of too many connections
	from a site.  Patch from Fabien Tassin <fta@sofaraway.org>.

2001-05-09 20:03  rra

	* TODO: Improve the wording of the to-do item for replacing
	innshellvars.pl with a Perl module, and add an innshellvars
	equivalent for Python to the list.

2001-05-09 12:56  rra

	* scripts/: innshellvars.in, innshellvars.pl.in,
	innshellvars.tcl.in: Make available the path to gpgv if found by
	configure.

2001-05-09 12:55  rra

	* configure, configure.in: Require Perl 5.004_03 for controlchan
	(and to see if anyone complains, since we're still some distance
	away from a new major release).  Search for gpgv as well as PGP
	programs.  Prefer wget to ncftpget for a simple ftp program.

2001-05-09 09:36  rra

	* control/modules/newgroup.pl: Put the new newsgroups temporary
	file in the same directory as the newsgroups file to avoid
	cross-directory renames.  Also unlink the temporary file if the
	description didn't change.

2001-05-09 09:36  rra

	* control/modules/rmgroup.pl: Put the new newsgroups temporary file
	in the same directory as the newsgroups file to avoid
	cross-directory renames.

2001-05-07 15:11  kondou

	* scripts/simpleftp.in: 
	'-T' is now dropped

2001-05-06 15:34  kondou

	* innd/: innd.c, innd.h: 
	User-Agent and X-Original-Message-ID are added to ARTheaders[], and
	Also-Control is now treated as HTobs

2001-05-06 04:25  rra

	* control/Makefile: Use UPINSTALL rather than INSTALL to install
	the modules.

2001-05-06 04:25  rra

	* Makefile.global.in: Add an UPINSTALL variable.

2001-05-06 04:14  rra

	* Makefile: Also add the control directory to make all.

2001-05-06 03:47  rra

	* CONTRIBUTORS: Update for the controlchan landing and Jeffrey
	Vinocur's recent contributions.

2001-05-06 03:41  rra

	* TODO: Update for the controlchan landing and the new control
	directory, note that Marco has a preliminary IPv6 patch.

2001-05-06 03:11  rra

	* MANIFEST: Update for the move of all control-message-related
	programs into the control directory.

2001-05-06 03:06  rra

	* site/Makefile: docheckgroups and all controlchan modules are now
	installed directly from the control/ directory and aren't from
	samples.

2001-05-06 03:06  rra

	* samples/Makefile: docheckgroups moved to control/ and all
	controlchan modules moved to control/modules/.

2001-05-06 03:01  rra

	* backends/Makefile: controlbatch, controlchan, gpgverify, and
	pgpverify moved to control/.

2001-05-06 02:59  rra

	* Makefile: Add control to PROGDIRS.

2001-05-06 02:57  rra

	* control/Makefile: Initial version.

2001-05-06 02:57  rra

	* control/docheckgroups.in: Moved here from
	samples/docheckgroups.in; see that file for older revision history.

2001-05-06 02:56  rra

	* control/controlbatch.in: Moved here from
	backends/controlbatch.in; see that file for older revision history.

2001-05-06 02:56  rra

	* control/pgpverify.in: Moved from backends/pgpverify.in; see that
	file for older revision history.  Updated to the upstream version
	1.13.1.

2001-05-06 02:55  rra

	* control/gpgverify.in: The GnuPG version of pgpverify, named
	separately for right now until the upstream version of pgpverify
	can be updated.

2001-05-06 02:54  rra

	* control/: controlchan.in, modules/checkgroups.pl,
	modules/ihave.pl, modules/newgroup.pl, modules/rmgroup.pl,
	modules/sendme.pl, modules/sendsys.pl, modules/senduuname.pl,
	modules/version.pl: New version of controlchan from Marco d'Itri
	<md@linux.it>, along with a new set of handler modules.

2001-05-05 16:08  kondou

	* nnrpd/misc.c: 
	group limitation was not enabled for 'article <msgid>'

2001-05-05 09:26  rra

	* Makefile: Create a separate maintclean target that removes the
	results of a make dist, and make sure that make distclean doesn't
	delete the ChangeLog.

2001-05-04 05:08  kondou

	* storage/buffindexed/buffindexed.c: 
	causing eyesore error(eg. 'buffindexed: ovgroupmmap ovbuff is
	null(ovindex is 13833, ovblock is 926496050') is now fixed

2001-04-28 15:21  kondou

	* doc/man/readers.conf.5, doc/pod/readers.conf.pod, nnrpd/nnrpd.h,
	nnrpd/perm.c: 
	From: "Jeffrey M. Vinocur" <jeff@litech.org>
	
	enabling maximum number of bytes per second with readers.conf when
	reading

2001-04-27 06:38  kondou

	* samples/cycbuff.conf: 
	Clarify order of item in comment

2001-04-24 19:18  rra

	* samples/control.ctl: Added ee.* based on tsoome@ut.ee (Toomas
	Soome)'s posting to news.admin.technical.

2001-04-23 22:41  kondou

	* storage/ov.c: 
	From: Andrew Stribblehill <a.d.stribblehill@durham.ac.uk>
	
	expireover occasionally dumped core

2001-04-23 12:28  rra

	* TODO: Clarify the note about ternary search trees.

2001-04-23 08:41  kondou

	* doc/man/readers.conf.5, doc/pod/readers.conf.pod, nnrpd/nnrpd.h,
	nnrpd/perm.c: 
	From: "Jeffrey M. Vinocur" <jeff@litech.org>
	
	patch that adds a parameter to readers.conf access stanzas for
	denying a connection and giving a specified error message to the
	client

2001-04-23 06:29  kondou

	* nnrpd/article.c: 
	From: jani+inn@ifi.uio.no
	
	if a header line is broken up into several continued lines, as e.g.
	Subject, Newsgroups and References may be, GetHeader() doesn't cope
	with it

2001-04-23 03:27  kondou

	* frontends/: getlist.c, sm.c: getlist
	
	From: Jochen Erwied <mack@joker.erwied.de>
	
	patch for getlist and actsync to connect to servers requiring
	authentication before using 'LIST ACTIVE' or similar commands sm
	
	read token list from stdin is available

2001-04-23 03:26  kondou

	* doc/man/: actsync.8, getlist.1, innxmit.8: actsync.8 getlist.1
	
	From: Jochen Erwied <mack@joker.erwied.de>
	
	patch for getlist and actsync to connect to servers requiring
	authentication before using 'LIST ACTIVE' or similar commands
	innxmit.8
	
	From: "Marco d'Itri" <md@linux.it>
	
	patch adds headers feed support to innxmit sm.8
	
	read token list from stdin is available

2001-04-23 03:24  kondou

	* backends/: actsync.c, innxmit.c: 
	From: Jochen Erwied <mack@joker.erwied.de>
	
	patch for getlist and actsync to connect to servers requiring
	authentication before using 'LIST ACTIVE' or similar commands
	
	From: "Marco d'Itri" <md@linux.it>
	
	patch adds headers feed support to innxmit

2001-04-22 23:21  kondou

	* innd/nc.c: 
	From: Kenichi Okada <okada@opaopa.org>
	
	no nntp command was accepted after xpath

2001-04-22 10:14  rra

	* TODO: Add ternary search trees for the active file.

2001-04-22 10:04  rra

	* HACKING, doc/pod/hacking.pod: Add notes on generating a new
	release, update the current version number of podlators.

2001-04-22 06:41  rra

	* support/: config.guess, config.sub: Import of config.* version
	2001-04-20

2001-04-22 06:31  rra

	* samples/control.ctl: Add codewarrior.*, update the e-mail
	addresses and PGP signatures for wales.*, and add URL and PGP key
	information for malta.* and europa.*.

2001-04-22 06:14  rra

	* samples/control.ctl: Synchronize with the ftp.isc.org version.
	
	Add england.*, europa.*, and hamster.*, update the issuer
	information for bit.* and saar.*, and open up newsgroup creation in
	finet.* more to reflect that hierarchy's policies.

2001-04-18 07:58  rra

	* nnrpd/perm.c: Fix typo in "authenticator succesful" message,
	reported by Bettina Fink.

2001-04-17 21:53  rra

	* doc/man/storage.conf.5: Note that size is in bytes.

2001-04-14 17:30  kondou

	* innd/art.c: 
	counting article size was incorrect(1 byte smaller)

2001-04-12 21:08  rra

	* INSTALL, doc/pod/install.pod: Add a warning about equivalence of
	the news UID and the news GID in practice.

2001-04-12 16:21  rra

	* innfeed/misc.c: Use vsnprintf instead of vsprintf in logOrPrint
	with a fixed buffer.

2001-04-08 22:54  kondou

	* innd/art.c: 
	From: davidsen@tmr.com (bill davidsen)
	
	incorrect article size was created if 'H' in newsfeeds is defined

2001-04-08 21:47  kondou

	* storage/cnfs/cnfs.c: 
	From: Alex Kiernan <alexk@demon.net>
	
	fix OLD_CNFS, remove unused variables
	
	fix cnfs_next for innconf->maxartsize==0

2001-04-04 22:56  kondou

	* storage/cnfs/cnfs.c: 
	retrieved articles were corrupted

2001-04-04 22:55  kondou

	* expire/makehistory.c: 
	consider corrputed overview data(just skip)
	
	"\r" and "\n" (not "\r\n") are also treated as eol

2001-04-02 12:43  scrappy

	* authprogs/libauth.h: #include <arpa/inet.h>
	
	needs:
	
	#include <netinet/in.h>
	
	at least under FreeBSD 4.2-STABLE ...

2001-03-29 15:12  kondou

	* nnrpd/nnrpd.c: 
	From: Sven Paulus <sven@tin.org>
	
	create nnrpd.pid for each instance

2001-03-29 01:04  kondou

	* storage/cnfs/cnfs.c: 
	From: Alex Kiernan <alexk@demon.net>
	
	Fix uninitialised memory read when initialising cycbuffs

2001-03-26 22:41  kondou

	* storage/interface.c: 
	corrupted article might lead incorrect memory allocation

2001-03-26 22:37  kondou

	* expire/makehistory.c: 
	may dumped core if articles are broken

2001-03-22 03:27  kondou

	* lib/timer.c: 
	From: Alex Kiernan <alexk@demon.net>
	
	The TMRstart() version of this got fixed, but the TMRstop one got
	missed.

2001-03-19 05:16  kondou

	* storage/cnfs/cnfs.c: 
	From: Alex Kiernan <alexk@demon.net>
	
	cleaning up

2001-03-19 04:13  kondou

	* innd/cc.c: 
	shut up compilation warnings

2001-03-19 03:30  kondou

	* innd/cc.c: 
	From: "Marco d'Itri" <md@linux.it>
	
	report perl filter statistics

